# Changelog

## [v0.3.1](https://github.com/containers/youki/compare/v0.3.0...v0.3.1) - 2023-12-19
### 💪 Improvements
- fix(libcgroups): report CPU throttling stats in 'libcgroups::v2' by @xiaoyang-sde in https://github.com/containers/youki/pull/2524
- fix(main): support arm64 release youki by @cuisongliu in https://github.com/containers/youki/pull/2498
### 🐛 Bug Fixes
- Specify the protobuf crate because of the rust-criu crate by @utam0k in https://github.com/containers/youki/pull/2497
### 📖 Documentation improvements
- docs(main): support arm64 release docs by @cuisongliu in https://github.com/containers/youki/pull/2510
- fix docs by @lengrongfu in https://github.com/containers/youki/pull/2550
- docs(main): auto release node using just by @cuisongliu in https://github.com/containers/youki/pull/2537
### 🧪 Test improvements and Misc Fixes
- Grouping patch updates in dependabot. by @utam0k in https://github.com/containers/youki/pull/2496
- Fix the config of the dependenda bot by @utam0k in https://github.com/containers/youki/pull/2502
- feature(main): add release  strip by @cuisongliu in https://github.com/containers/youki/pull/2503
- test(integration_test): port 'runtime-tools/validation/linux_sysctl' by @xiaoyang-sde in https://github.com/containers/youki/pull/2527
- docs(libcgroup): add docs for several items in 'libcgroup::v2' by @xiaoyang-sde in https://github.com/containers/youki/pull/2525
- test(integration_test): port 'runtime-tools/validation/linux_seccomp' by @xiaoyang-sde in https://github.com/containers/youki/pull/2531
- fix(libcgroups): clean up 'libcgroups::v1::manager' by @xiaoyang-sde in https://github.com/containers/youki/pull/2530
- small typo in trace message by @Pvlerick in https://github.com/containers/youki/pull/2535
- Set up userns in a straightforward way by @utam0k in https://github.com/containers/youki/pull/2548
- Rust 1.74.1 by @utam0k in https://github.com/containers/youki/pull/2557
- Simplify release workflow by @jprendes in https://github.com/containers/youki/pull/2541
- config: Automated Tagpr Update for 0.3.1 by @github-actions in https://github.com/containers/youki/pull/2571
- Release for v0.3.1 by @github-actions in https://github.com/containers/youki/pull/2570
- Ignore CHANGELOG.md in typos by @utam0k in https://github.com/containers/youki/pull/2572

## [v0.3.1](https://github.com/containers/youki/compare/v0.3.0...v0.3.1) - 2023-12-17
### 💪 Improvements
- fix(libcgroups): report CPU throttling stats in 'libcgroups::v2' by @xiaoyang-sde in https://github.com/containers/youki/pull/2524
- fix(main): support arm64 release youki by @cuisongliu in https://github.com/containers/youki/pull/2498
### 🐛 Bug Fixes
- Specify the protobuf crate because of the rust-criu crate by @utam0k in https://github.com/containers/youki/pull/2497
### 📖 Documentation improvements
- docs(main): support arm64 release docs by @cuisongliu in https://github.com/containers/youki/pull/2510
- fix docs by @lengrongfu in https://github.com/containers/youki/pull/2550
- docs(main): auto release node using just by @cuisongliu in https://github.com/containers/youki/pull/2537
### 🧪 Test improvements and Misc Fixes
- Grouping patch updates in dependabot. by @utam0k in https://github.com/containers/youki/pull/2496
- Fix the config of the dependenda bot by @utam0k in https://github.com/containers/youki/pull/2502
- feature(main): add release  strip by @cuisongliu in https://github.com/containers/youki/pull/2503
- test(integration_test): port 'runtime-tools/validation/linux_sysctl' by @xiaoyang-sde in https://github.com/containers/youki/pull/2527
- docs(libcgroup): add docs for several items in 'libcgroup::v2' by @xiaoyang-sde in https://github.com/containers/youki/pull/2525
- test(integration_test): port 'runtime-tools/validation/linux_seccomp' by @xiaoyang-sde in https://github.com/containers/youki/pull/2531
- fix(libcgroups): clean up 'libcgroups::v1::manager' by @xiaoyang-sde in https://github.com/containers/youki/pull/2530
- small typo in trace message by @Pvlerick in https://github.com/containers/youki/pull/2535
- Set up userns in a straightforward way by @utam0k in https://github.com/containers/youki/pull/2548
- Rust 1.74.1 by @utam0k in https://github.com/containers/youki/pull/2557
- Simplify release workflow by @jprendes in https://github.com/containers/youki/pull/2541
- config: Automated Tagpr Update for 0.3.1 by @github-actions in https://github.com/containers/youki/pull/2571

## [v0.3.0](https://github.com/containers/youki/compare/v0.2.0...v0.3.0) - 2023-10-15
### 💪 Improvements
- Feat/podman rootless by @YJDoc2 in https://github.com/containers/youki/pull/2370
- feat: allow customize cgroup root path by @fengxsong in https://github.com/containers/youki/pull/2411
### 🐛 Bug Fixes
- Use raw syscalls to avoid sporadic hangs by @jprendes in https://github.com/containers/youki/pull/2425
- Fix device duplication in rootfs preparation by @YJDoc2 in https://github.com/containers/youki/pull/2438
### 📖 Documentation improvements
- Add the documentation for debugging by @utam0k in https://github.com/containers/youki/pull/2382
- Update the developer documentation for the e2e tests. by @utam0k in https://github.com/containers/youki/pull/2381
- docs: update docs regarding the changes in #2411 by @fengxsong in https://github.com/containers/youki/pull/2434
### 🧪 Test improvements and Misc Fixes
- Change rootless required function and privilege decision by @YJDoc2 in https://github.com/containers/youki/pull/2279
- Skip the tests related to criu when criu is not found by @utam0k in https://github.com/containers/youki/pull/2365
- Refactor doc test and justfile by @yihuaf in https://github.com/containers/youki/pull/2330
- Add initial tests for rootless podman by @YJDoc2 in https://github.com/containers/youki/pull/2406
- update nix to 0.27.1 by @anti-entropy123 in https://github.com/containers/youki/pull/2369
- Refactor test dir structure by @YJDoc2 in https://github.com/containers/youki/pull/2421
- Use static build of wasmedge by @jprendes in https://github.com/containers/youki/pull/2420
- v0.3.0 by @utam0k in https://github.com/containers/youki/pull/2437

## [v0.2.0](https://github.com/containers/youki/compare/v0.1.0...v0.2.0) - 2023-09-01
### 💪 Improvements
- Liboci additional flags and subcommands, as required by ociplex by @c3d in https://github.com/containers/youki/pull/2149
- add io priority by @lengrongfu in https://github.com/containers/youki/pull/2164
- Implemented the clone fallback when clone3 returns ENOSYS by @yihuaf in https://github.com/containers/youki/pull/2203
- Return an error when passing unsupported mount options by @utam0k in https://github.com/containers/youki/pull/2308
- v0.2.0 by @utam0k in https://github.com/containers/youki/pull/2333
### 💥 Breaking Changes
- Use syscall type to delay the creation of syscall struct. by @yihuaf in https://github.com/containers/youki/pull/2155
- Refactor the libcgroups interface by @yihuaf in https://github.com/containers/youki/pull/2168
- refactored executor and executor manager by @yihuaf in https://github.com/containers/youki/pull/2186
- Refactored the Executor interface yet again by @yihuaf in https://github.com/containers/youki/pull/2230
- Rename the rootless struct  to UserNamespaceConfig by @YJDoc2 in https://github.com/containers/youki/pull/2257
- move the validation logic into executor by @yihuaf in https://github.com/containers/youki/pull/2258
### 📖 Documentation improvements
- Add one label to generate release notes by @utam0k in https://github.com/containers/youki/pull/2122
### 🧪 Test improvements and Misc Fixes
- [Trivial] exclude the oci-runtime-test from the typos by @yihuaf in https://github.com/containers/youki/pull/2133
- disable musl test for now by @yihuaf in https://github.com/containers/youki/pull/2150
- Fix musl test function not parametered correctly by @yihuaf in https://github.com/containers/youki/pull/2158
- Rust 1.71.0 by @utam0k in https://github.com/containers/youki/pull/2167
- Make container_args clone-able by @yihuaf in https://github.com/containers/youki/pull/2193
- Update CI go version to 1.20 by @YJDoc2 in https://github.com/containers/youki/pull/2227
- Fix podman tests to properly run by @YJDoc2 in https://github.com/containers/youki/pull/2233
- Named all GitHub Actions workflows by @utam0k in https://github.com/containers/youki/pull/2256
- Include Breaking Changes section in the release note by @utam0k in https://github.com/containers/youki/pull/2265
- Extend wait time for auto-merge by @utam0k in https://github.com/containers/youki/pull/2278
- Switch codespace from gitpod by @utam0k in https://github.com/containers/youki/pull/2306
- Rust 1.72 by @utam0k in https://github.com/containers/youki/pull/2323
- Update Migration Guide for 0.2.0 release by @YJDoc2 in https://github.com/containers/youki/pull/2334
### Other Changes
- turn on musl test in CI by @yihuaf in https://github.com/containers/youki/pull/2069
- Update wasm related deps by @YJDoc2 in https://github.com/containers/youki/pull/2087
- Quick install guide by @utam0k in https://github.com/containers/youki/pull/2096
- re-export oci-spec in libcontainer by @yihuaf in https://github.com/containers/youki/pull/2068
- Increate musl CI test timeout to 20 by @YJDoc2 in https://github.com/containers/youki/pull/2143

## [v0.1.0](https://github.com/containers/youki/compare/v0.0.5...v0.1.0) - 2023-06-21
- (auto merged) chore(deps): bump cap-std from 1.0.7 to 1.0.8 by @dependabot in https://github.com/containers/youki/pull/1747
- (auto merged) chore(deps): bump cap-fs-ext from 1.0.7 to 1.0.8 by @dependabot in https://github.com/containers/youki/pull/1750
- (auto merged) chore(deps): bump cap-time-ext from 1.0.7 to 1.0.8 by @dependabot in https://github.com/containers/youki/pull/1749
- chore(deps): bump wasmtime from 6.0.1 to 7.0.0 by @dependabot in https://github.com/containers/youki/pull/1702
- [Trivial] Fix makefile targets to use PHONY by @yihuaf in https://github.com/containers/youki/pull/1743
- Fix stop container when prestart hook fails. by @yihuaf in https://github.com/containers/youki/pull/1745
- (auto merged) chore(deps): bump system-interface from 0.25.4 to 0.25.5 by @dependabot in https://github.com/containers/youki/pull/1753
- (auto merged) chore(deps): bump futures-core from 0.3.27 to 0.3.28 by @dependabot in https://github.com/containers/youki/pull/1754
- (auto merged) chore(deps): bump futures-io from 0.3.27 to 0.3.28 by @dependabot in https://github.com/containers/youki/pull/1756
- (auto merged) chore(deps): bump iana-time-zone from 0.1.54 to 0.1.55 by @dependabot in https://github.com/containers/youki/pull/1758
- (auto merged) chore(deps): bump futures-sink from 0.3.27 to 0.3.28 by @dependabot in https://github.com/containers/youki/pull/1759
- [Trivial] Remove the metadata semvar causing a warning. by @yihuaf in https://github.com/containers/youki/pull/1744
- chore(deps): bump serial_test from 1.0.0 to 2.0.0 by @dependabot in https://github.com/containers/youki/pull/1755
- (auto merged) chore(deps): bump is-terminal from 0.4.5 to 0.4.6 by @dependabot in https://github.com/containers/youki/pull/1746
- (auto merged) chore(deps): bump cap-primitives from 1.0.8 to 1.0.9 by @dependabot in https://github.com/containers/youki/pull/1748
- chore(deps): bump tempfile from 3.4.0 to 3.5.0 by @dependabot in https://github.com/containers/youki/pull/1751
- (auto merged) chore(deps): bump memfd from 0.6.2 to 0.6.3 by @dependabot in https://github.com/containers/youki/pull/1752
- (auto merged) chore(deps): bump clang-sys from 1.6.0 to 1.6.1 by @dependabot in https://github.com/containers/youki/pull/1757
- (auto merged) chore(deps): bump cap-time-ext from 1.0.8 to 1.0.9 by @dependabot in https://github.com/containers/youki/pull/1760
- (auto merged) chore(deps): bump rkyv from 0.7.40 to 0.7.41 by @dependabot in https://github.com/containers/youki/pull/1761
- (auto merged) chore(deps): bump cap-std from 1.0.8 to 1.0.9 by @dependabot in https://github.com/containers/youki/pull/1762
- (auto merged) chore(deps): bump futures from 0.3.27 to 0.3.28 by @dependabot in https://github.com/containers/youki/pull/1765
- (auto merged) chore(deps): bump proc-macro2 from 1.0.54 to 1.0.55 by @dependabot in https://github.com/containers/youki/pull/1763
- (auto merged) chore(deps): bump core-foundation-sys from 0.8.3 to 0.8.4 by @dependabot in https://github.com/containers/youki/pull/1766
- (auto merged) chore(deps): bump cap-rand from 1.0.8 to 1.0.9 by @dependabot in https://github.com/containers/youki/pull/1768
- (auto merged) chore(deps): bump fd-lock from 3.0.10 to 3.0.11 by @dependabot in https://github.com/containers/youki/pull/1770
- (auto merged) chore(deps): bump iana-time-zone from 0.1.55 to 0.1.56 by @dependabot in https://github.com/containers/youki/pull/1771
- (auto merged) chore(deps): bump proc-macro2 from 1.0.55 to 1.0.56 by @dependabot in https://github.com/containers/youki/pull/1772
- (auto merged) chore(deps): bump cap-fs-ext from 1.0.8 to 1.0.9 by @dependabot in https://github.com/containers/youki/pull/1773
- chore(deps): bump rustix from 0.36.11 to 0.36.12 by @dependabot in https://github.com/containers/youki/pull/1774
- (auto merged) chore(deps): bump libc from 0.2.140 to 0.2.141 by @dependabot in https://github.com/containers/youki/pull/1776
- chore(deps): bump vergen from 7.5.1 to 8.1.1 by @dependabot in https://github.com/containers/youki/pull/1764
- (auto merged) chore(deps): bump zstd-sys from 2.0.7+zstd.1.5.4 to 2.0.8+zstd.1.5.5 by @dependabot in https://github.com/containers/youki/pull/1778
- (auto merged) chore(deps): bump filetime from 0.2.20 to 0.2.21 by @dependabot in https://github.com/containers/youki/pull/1780
- Fix path to youki binary in dockerd command by @kemkemG0 in https://github.com/containers/youki/pull/1781
- chore(deps): bump bitflags from 2.0.2 to 2.1.0 by @dependabot in https://github.com/containers/youki/pull/1779
- Address ECHILD by @utam0k in https://github.com/containers/youki/pull/1777
- (auto merged) chore(deps): bump io-lifetimes from 1.0.9 to 1.0.10 by @dependabot in https://github.com/containers/youki/pull/1775
- New logo! by @utam0k in https://github.com/containers/youki/pull/1782
- (auto merged) chore(deps): bump system-interface from 0.25.5 to 0.25.6 by @dependabot in https://github.com/containers/youki/pull/1783
- (auto merged) chore(deps): bump getrandom from 0.2.8 to 0.2.9 by @dependabot in https://github.com/containers/youki/pull/1784
- (auto merged) chore(deps): bump cap-rand from 1.0.9 to 1.0.10 by @dependabot in https://github.com/containers/youki/pull/1785
- (auto merged) chore(deps): bump cap-primitives from 1.0.9 to 1.0.10 by @dependabot in https://github.com/containers/youki/pull/1787
- (auto merged) chore(deps): bump io-extras from 0.17.2 to 0.17.4 by @dependabot in https://github.com/containers/youki/pull/1788
- (auto merged) chore(deps): bump is-terminal from 0.4.6 to 0.4.7 by @dependabot in https://github.com/containers/youki/pull/1790
- (auto merged) chore(deps): bump winx from 0.35.0 to 0.35.1 by @dependabot in https://github.com/containers/youki/pull/1789
- (auto merged) chore(deps): bump fd-lock from 3.0.11 to 3.0.12 by @dependabot in https://github.com/containers/youki/pull/1786
- Update version check in validate_spec to support 1.X.Y version.  by @utam0k in https://github.com/containers/youki/pull/1793
- (auto merged) chore(deps): bump cap-std from 1.0.9 to 1.0.10 by @dependabot in https://github.com/containers/youki/pull/1796
- (auto merged) chore(deps): bump crossbeam-channel from 0.5.7 to 0.5.8 by @dependabot in https://github.com/containers/youki/pull/1797
- (auto merged) chore(deps): bump cap-rand from 1.0.10 to 1.0.12 by @dependabot in https://github.com/containers/youki/pull/1798
- (auto merged) chore(deps): bump errno from 0.3.0 to 0.3.1 by @dependabot in https://github.com/containers/youki/pull/1799
- (auto merged) chore(deps): bump cap-time-ext from 1.0.9 to 1.0.10 by @dependabot in https://github.com/containers/youki/pull/1800
- (auto merged) chore(deps): bump cap-fs-ext from 1.0.9 to 1.0.10 by @dependabot in https://github.com/containers/youki/pull/1802
- (auto merged) chore(deps): bump uuid from 1.3.0 to 1.3.1 by @dependabot in https://github.com/containers/youki/pull/1801
- (auto merged) chore(deps): bump cap-primitives from 1.0.10 to 1.0.12 by @dependabot in https://github.com/containers/youki/pull/1795
- (auto merged) chore(deps): bump cap-fs-ext from 1.0.10 to 1.0.12 by @dependabot in https://github.com/containers/youki/pull/1804
- (auto merged) chore(deps): bump cap-std from 1.0.10 to 1.0.12 by @dependabot in https://github.com/containers/youki/pull/1805
- (auto merged) chore(deps): bump cap-time-ext from 1.0.10 to 1.0.12 by @dependabot in https://github.com/containers/youki/pull/1803
- Modify pointer type from i8 to c_char by @kemkemG0 in https://github.com/containers/youki/pull/1792
- (auto merged) chore(deps): bump serde from 1.0.159 to 1.0.160 by @dependabot in https://github.com/containers/youki/pull/1806
- (auto merged) chore(deps): bump cap-rand from 1.0.12 to 1.0.13 by @dependabot in https://github.com/containers/youki/pull/1807
- (auto merged) chore(deps): bump serde_json from 1.0.95 to 1.0.96 by @dependabot in https://github.com/containers/youki/pull/1809
- (auto merged) chore(deps): bump cap-primitives from 1.0.12 to 1.0.13 by @dependabot in https://github.com/containers/youki/pull/1808
- Add the bpftrace program file for debugging. by @utam0k in https://github.com/containers/youki/pull/1794
- (auto merged) chore(deps): bump wat from 1.0.61 to 1.0.62 by @dependabot in https://github.com/containers/youki/pull/1813
- (auto merged) chore(deps): bump cap-fs-ext from 1.0.12 to 1.0.13 by @dependabot in https://github.com/containers/youki/pull/1814
- (auto merged) chore(deps): bump cap-std from 1.0.12 to 1.0.13 by @dependabot in https://github.com/containers/youki/pull/1815
- (auto merged) chore(deps): bump cap-time-ext from 1.0.12 to 1.0.13 by @dependabot in https://github.com/containers/youki/pull/1816
- youki exec should not clean up on error by @yihuaf in https://github.com/containers/youki/pull/1818
- (auto merged) chore(deps): bump rustc-demangle from 0.1.22 to 0.1.23 by @dependabot in https://github.com/containers/youki/pull/1820
- (auto merged) chore(deps): bump libdbus-sys from 0.2.4 to 0.2.5 by @dependabot in https://github.com/containers/youki/pull/1821
- (auto merged) chore(deps): bump libc from 0.2.141 to 0.2.142 by @dependabot in https://github.com/containers/youki/pull/1829
- (auto merged) chore(deps): bump cap-primitives from 1.0.13 to 1.0.14 by @dependabot in https://github.com/containers/youki/pull/1831
- (auto merged) chore(deps): bump cpufeatures from 0.2.6 to 0.2.7 by @dependabot in https://github.com/containers/youki/pull/1832
- (auto merged) chore(deps): bump system-interface from 0.25.6 to 0.25.7 by @dependabot in https://github.com/containers/youki/pull/1833
- (auto merged) chore(deps): bump cap-rand from 1.0.13 to 1.0.14 by @dependabot in https://github.com/containers/youki/pull/1834
- chore(deps): bump regex from 1.7.3 to 1.8.0 by @dependabot in https://github.com/containers/youki/pull/1830
- Fix Errno as unresolved type. by @yihuaf in https://github.com/containers/youki/pull/1836
- (auto merged) chore(deps): bump cap-std from 1.0.13 to 1.0.14 by @dependabot in https://github.com/containers/youki/pull/1837
- (auto merged) chore(deps): bump syscalls from 0.6.9 to 0.6.10 by @dependabot in https://github.com/containers/youki/pull/1838
- (auto merged) chore(deps): bump cap-fs-ext from 1.0.13 to 1.0.14 by @dependabot in https://github.com/containers/youki/pull/1839
- (auto merged) chore(deps): bump cap-time-ext from 1.0.13 to 1.0.14 by @dependabot in https://github.com/containers/youki/pull/1840
- (auto merged) chore(deps): bump regex-syntax from 0.7.0 to 0.7.1 by @dependabot in https://github.com/containers/youki/pull/1842
- (auto merged) chore(deps): bump rustix from 0.36.12 to 0.36.13 by @dependabot in https://github.com/containers/youki/pull/1841
- (auto merged) chore(deps): bump bumpalo from 3.12.0 to 3.12.1 by @dependabot in https://github.com/containers/youki/pull/1843
- (auto merged) chore(deps): bump regex from 1.8.0 to 1.8.1 by @dependabot in https://github.com/containers/youki/pull/1844
- add cleanup container by @lengrongfu in https://github.com/containers/youki/pull/1824
- chore(deps): bump wasmer from 2.3.0 to 3.2.0 by @dependabot in https://github.com/containers/youki/pull/1825
- chore(deps): bump bitflags from 2.1.0 to 2.2.1 by @dependabot in https://github.com/containers/youki/pull/1845
- Named process for debugging. by @utam0k in https://github.com/containers/youki/pull/1846
- (auto merged) chore(deps): bump openssl-sys from 0.9.86 to 0.9.87 by @dependabot in https://github.com/containers/youki/pull/1848
- (auto merged) chore(deps): bump target-lexicon from 0.12.6 to 0.12.7 by @dependabot in https://github.com/containers/youki/pull/1850
- (auto merged) chore(deps): bump openssl from 0.10.51 to 0.10.52 by @dependabot in https://github.com/containers/youki/pull/1849
- (auto merged) chore(deps): bump tracing-attributes from 0.1.23 to 0.1.24 by @dependabot in https://github.com/containers/youki/pull/1851
- (auto merged) chore(deps): bump tracing from 0.1.37 to 0.1.38 by @dependabot in https://github.com/containers/youki/pull/1853
- (auto merged) chore(deps): bump vergen from 8.1.1 to 8.1.2 by @dependabot in https://github.com/containers/youki/pull/1854
- (auto merged) chore(deps): bump tokio-util from 0.7.7 to 0.7.8 by @dependabot in https://github.com/containers/youki/pull/1855
- Rust 1.69.0 by @utam0k in https://github.com/containers/youki/pull/1852
- chore(deps): bump tokio from 1.27.0 to 1.28.0 by @dependabot in https://github.com/containers/youki/pull/1856
- chore(deps): bump wasmtime from 7.0.0 to 8.0.0 by @dependabot in https://github.com/containers/youki/pull/1835
- Requires linux kernel 5.3 because of clone3(2) by @utam0k in https://github.com/containers/youki/pull/1857
- Override log opt when specified more than once by @boaz-quotient in https://github.com/containers/youki/pull/1847
- Add support to Intel RDT. by @ipuustin in https://github.com/containers/youki/pull/1822
- (auto merged) chore(deps): bump wasmtime from 8.0.0 to 8.0.1 by @dependabot in https://github.com/containers/youki/pull/1858
- (auto merged) chore(deps): bump wat from 1.0.62 to 1.0.63 by @dependabot in https://github.com/containers/youki/pull/1859
- (auto merged) chore(deps): bump vergen from 8.1.2 to 8.1.3 by @dependabot in https://github.com/containers/youki/pull/1860
- (auto merged) chore(deps): bump flate2 from 1.0.25 to 1.0.26 by @dependabot in https://github.com/containers/youki/pull/1862
- (auto merged) chore(deps): bump uuid from 1.3.1 to 1.3.2 by @dependabot in https://github.com/containers/youki/pull/1863
- (auto merged) chore(deps): bump reqwest from 0.11.16 to 0.11.17 by @dependabot in https://github.com/containers/youki/pull/1864
- (auto merged) chore(deps): bump winnow from 0.4.1 to 0.4.4 by @dependabot in https://github.com/containers/youki/pull/1865
- (auto merged) chore(deps): bump wasmtime-wasi from 8.0.0 to 8.0.1 by @dependabot in https://github.com/containers/youki/pull/1866
- (auto merged) chore(deps): bump anyhow from 1.0.70 to 1.0.71 by @dependabot in https://github.com/containers/youki/pull/1867
- (auto merged) chore(deps): bump winnow from 0.4.4 to 0.4.5 by @dependabot in https://github.com/containers/youki/pull/1870
- (auto merged) chore(deps): bump enumset from 1.0.12 to 1.0.13 by @dependabot in https://github.com/containers/youki/pull/1869
- (auto merged) chore(deps): bump anstream from 0.3.1 to 0.3.2 by @dependabot in https://github.com/containers/youki/pull/1871
- (auto merged) chore(deps): bump winnow from 0.4.5 to 0.4.6 by @dependabot in https://github.com/containers/youki/pull/1873
- Adopt `thiserror` for libcgroups by @squili in https://github.com/containers/youki/pull/1872
- Update the version of containerd used for testing by @utam0k in https://github.com/containers/youki/pull/1875
- (auto merged) chore(deps): bump slice-group-by from 0.3.0 to 0.3.1 by @dependabot in https://github.com/containers/youki/pull/1879
- Implement `thiserror` for libcontainer - Part 1 by @yihuaf in https://github.com/containers/youki/pull/1876
- rewrote the bpf example by @yihuaf in https://github.com/containers/youki/pull/1877
- (auto merged) chore(deps): bump serde from 1.0.160 to 1.0.161 by @dependabot in https://github.com/containers/youki/pull/1882
- (auto merged) chore(deps): bump pkg-config from 0.3.26 to 0.3.27 by @dependabot in https://github.com/containers/youki/pull/1878
- chore(deps): bump wasmer-wasix from 0.3.1 to 0.4.0 by @dependabot in https://github.com/containers/youki/pull/1880
- Refactor the lifecycle test by @yihuaf in https://github.com/containers/youki/pull/1868
- (auto merged) chore(deps): bump libc from 0.2.142 to 0.2.143 by @dependabot in https://github.com/containers/youki/pull/1885
- (auto merged) chore(deps): bump serde from 1.0.161 to 1.0.162 by @dependabot in https://github.com/containers/youki/pull/1886
- Implemented more `thiserror` for libcontainer (Part 2) by @yihuaf in https://github.com/containers/youki/pull/1881
- replaced tempdir in libcgroup by @yihuaf in https://github.com/containers/youki/pull/1888
- Add easy way to test with K8s by @utam0k in https://github.com/containers/youki/pull/1884
- (auto merged) chore(deps): bump libc from 0.2.143 to 0.2.144 by @dependabot in https://github.com/containers/youki/pull/1892
- Migrate to `tempfile` for `libcontainer` and `youki` crate by @yihuaf in https://github.com/containers/youki/pull/1887
- chore(deps): bump enumset from 1.0.13 to 1.1.1 by @dependabot in https://github.com/containers/youki/pull/1893
- (auto merged) chore(deps): bump quote from 1.0.26 to 1.0.27 by @dependabot in https://github.com/containers/youki/pull/1894
- (auto merged) chore(deps): bump js-sys from 0.3.61 to 0.3.62 by @dependabot in https://github.com/containers/youki/pull/1896
- (auto merged) chore(deps): bump bumpalo from 3.12.1 to 3.12.2 by @dependabot in https://github.com/containers/youki/pull/1898
- Migrate integration test to use tempfile by @yihuaf in https://github.com/containers/youki/pull/1891
- Implement `thiserror` for libcontainer - Part 3 by @yihuaf in https://github.com/containers/youki/pull/1895
- (auto merged) chore(deps): bump tokio from 1.28.0 to 1.28.1 by @dependabot in https://github.com/containers/youki/pull/1903
- (auto merged) chore(deps): bump enumset from 1.1.1 to 1.1.2 by @dependabot in https://github.com/containers/youki/pull/1902
- (auto merged) chore(deps): bump wasm-bindgen-futures from 0.4.34 to 0.4.35 by @dependabot in https://github.com/containers/youki/pull/1904
- (auto merged) chore(deps): bump web-sys from 0.3.61 to 0.3.62 by @dependabot in https://github.com/containers/youki/pull/1905
- (auto merged) chore(deps): bump enumset_derive from 0.8.0 to 0.8.1 by @dependabot in https://github.com/containers/youki/pull/1906
- Docs: Update readme by @njucjc in https://github.com/containers/youki/pull/1907
- deps: do not use chrono default-features. by @ipuustin in https://github.com/containers/youki/pull/1900
- (auto merged) chore(deps): bump serde from 1.0.162 to 1.0.163 by @dependabot in https://github.com/containers/youki/pull/1909
- (auto merged) chore(deps): bump tracing-core from 0.1.30 to 0.1.31 by @dependabot in https://github.com/containers/youki/pull/1910
- [Trivial] fix dependency for fedora by @yihuaf in https://github.com/containers/youki/pull/1908
- convert youki to use tracing by @yihuaf in https://github.com/containers/youki/pull/1899
- Use safe_path crate instead of our original secure_join by @utam0k in https://github.com/containers/youki/pull/1911
- (auto merged) chore(deps): bump rkyv_derive from 0.7.41 to 0.7.42 by @dependabot in https://github.com/containers/youki/pull/1913
- (auto merged) chore(deps): bump bytecheck_derive from 0.6.10 to 0.6.11 by @dependabot in https://github.com/containers/youki/pull/1914
- (auto merged) chore(deps): bump rkyv from 0.7.41 to 0.7.42 by @dependabot in https://github.com/containers/youki/pull/1916
- (auto merged) chore(deps): bump h2 from 0.3.18 to 0.3.19 by @dependabot in https://github.com/containers/youki/pull/1918
- (auto merged) chore(deps): bump iana-time-zone-haiku from 0.1.1 to 0.1.2 by @dependabot in https://github.com/containers/youki/pull/1919
- chore(deps): bump security-framework-sys from 2.8.0 to 2.9.0 by @dependabot in https://github.com/containers/youki/pull/1920
- chore(deps): bump pin-project from 1.0.12 to 1.1.0 by @dependabot in https://github.com/containers/youki/pull/1917
- chore(deps): bump wasmedge-sdk from 0.7.1 to 0.8.1 by @dependabot in https://github.com/containers/youki/pull/1915
- Implemented `thiserror` for libcontainer - Part 4 by @yihuaf in https://github.com/containers/youki/pull/1912
- (auto merged) chore(deps): bump js-sys from 0.3.62 to 0.3.63 by @dependabot in https://github.com/containers/youki/pull/1922
- (auto merged) chore(deps): bump wat from 1.0.63 to 1.0.64 by @dependabot in https://github.com/containers/youki/pull/1923
- (auto merged) chore(deps): bump proc-macro2 from 1.0.56 to 1.0.57 by @dependabot in https://github.com/containers/youki/pull/1925
- (auto merged) chore(deps): bump uuid from 1.3.2 to 1.3.3 by @dependabot in https://github.com/containers/youki/pull/1927
- (auto merged) chore(deps): bump wasm-bindgen from 0.2.85 to 0.2.86 by @dependabot in https://github.com/containers/youki/pull/1926
- chore(deps): bump security-framework from 2.8.2 to 2.9.0 by @dependabot in https://github.com/containers/youki/pull/1924
- (auto merged) chore(deps): bump web-sys from 0.3.62 to 0.3.63 by @dependabot in https://github.com/containers/youki/pull/1931
- (auto merged) chore(deps): bump cap-primitives from 1.0.14 to 1.0.15 by @dependabot in https://github.com/containers/youki/pull/1932
- (auto merged) chore(deps): bump wasm-bindgen-futures from 0.4.35 to 0.4.36 by @dependabot in https://github.com/containers/youki/pull/1933
- (auto merged) chore(deps): bump reqwest from 0.11.17 to 0.11.18 by @dependabot in https://github.com/containers/youki/pull/1934
- (auto merged) chore(deps): bump cap-rand from 1.0.14 to 1.0.15 by @dependabot in https://github.com/containers/youki/pull/1935
- Fixed typo by @CreepyPvP in https://github.com/containers/youki/pull/1928
- implemented thiserror for containers - Part 5 by @yihuaf in https://github.com/containers/youki/pull/1930
- main_process: close the channel receivers. by @ipuustin in https://github.com/containers/youki/pull/1936
- (auto merged) chore(deps): bump cap-fs-ext from 1.0.14 to 1.0.15 by @dependabot in https://github.com/containers/youki/pull/1938
- (auto merged) chore(deps): bump proc-macro2 from 1.0.57 to 1.0.58 by @dependabot in https://github.com/containers/youki/pull/1939
- (auto merged) chore(deps): bump syscalls from 0.6.10 to 0.6.11 by @dependabot in https://github.com/containers/youki/pull/1940
- (auto merged) chore(deps): bump cap-time-ext from 1.0.14 to 1.0.15 by @dependabot in https://github.com/containers/youki/pull/1941
- chore(deps): bump bitflags from 2.2.1 to 2.3.1 by @dependabot in https://github.com/containers/youki/pull/1943
- (auto merged) chore(deps): bump security-framework from 2.9.0 to 2.9.1 by @dependabot in https://github.com/containers/youki/pull/1944
- (auto merged) chore(deps): bump toml_edit from 0.19.8 to 0.19.9 by @dependabot in https://github.com/containers/youki/pull/1945
- Finally, remove `anyhow` from the libcontainer dependency. by @yihuaf in https://github.com/containers/youki/pull/1937
- Simplified syscall error by @yihuaf in https://github.com/containers/youki/pull/1949
- (auto merged) chore(deps): bump rustix from 0.36.13 to 0.36.14 by @dependabot in https://github.com/containers/youki/pull/1952
- (auto merged) chore(deps): bump digest from 0.10.6 to 0.10.7 by @dependabot in https://github.com/containers/youki/pull/1954
- (auto merged) chore(deps): bump base64 from 0.21.0 to 0.21.1 by @dependabot in https://github.com/containers/youki/pull/1955
- chore(deps): bump vergen from 8.1.3 to 8.2.0 by @dependabot in https://github.com/containers/youki/pull/1953
- (auto merged) chore(deps): bump regex from 1.8.1 to 1.8.2 by @dependabot in https://github.com/containers/youki/pull/1958
- chore(deps): bump bumpalo from 3.12.2 to 3.13.0 by @dependabot in https://github.com/containers/youki/pull/1957
- Fix the test to not use sigkill by @yihuaf in https://github.com/containers/youki/pull/1948
- (auto merged) chore(deps): bump wat from 1.0.64 to 1.0.65 by @dependabot in https://github.com/containers/youki/pull/1962
- (auto merged) chore(deps): bump toml_edit from 0.19.9 to 0.19.10 by @dependabot in https://github.com/containers/youki/pull/1961
- chore(deps): bump wasmtime from 8.0.1 to 9.0.1 by @dependabot in https://github.com/containers/youki/pull/1959
- Update dependencies described in docs by @l0rem1psum in https://github.com/containers/youki/pull/1960
- (auto merged) chore(deps): bump io-lifetimes from 1.0.10 to 1.0.11 by @dependabot in https://github.com/containers/youki/pull/1964
- (auto merged) chore(deps): bump vergen from 8.2.0 to 8.2.1 by @dependabot in https://github.com/containers/youki/pull/1965
- (auto merged) chore(deps): bump unicode-ident from 1.0.8 to 1.0.9 by @dependabot in https://github.com/containers/youki/pull/1966
- (auto merged) chore(deps): bump proc-macro2 from 1.0.58 to 1.0.59 by @dependabot in https://github.com/containers/youki/pull/1970
- (auto merged) chore(deps): bump quote from 1.0.27 to 1.0.28 by @dependabot in https://github.com/containers/youki/pull/1971
- (auto merged) chore(deps): bump regex from 1.8.2 to 1.8.3 by @dependabot in https://github.com/containers/youki/pull/1972
- (auto merged) chore(deps): bump base64 from 0.21.1 to 0.21.2 by @dependabot in https://github.com/containers/youki/pull/1968
- Add some clean up that improves coverage by @yihuaf in https://github.com/containers/youki/pull/1963
- (auto merged) chore(deps): bump mio from 0.8.6 to 0.8.7 by @dependabot in https://github.com/containers/youki/pull/1976
- (auto merged) chore(deps): bump syscalls from 0.6.11 to 0.6.12 by @dependabot in https://github.com/containers/youki/pull/1977
- (auto merged) chore(deps): bump tokio from 1.28.1 to 1.28.2 by @dependabot in https://github.com/containers/youki/pull/1978
- (auto merged) chore(deps): bump wat from 1.0.65 to 1.0.66 by @dependabot in https://github.com/containers/youki/pull/1980
- (auto merged) chore(deps): bump log from 0.4.17 to 0.4.18 by @dependabot in https://github.com/containers/youki/pull/1982
- (auto merged) chore(deps): bump webc from 5.0.0 to 5.0.2 by @dependabot in https://github.com/containers/youki/pull/1983
- (auto merged) chore(deps): bump wasmtime from 9.0.1 to 9.0.2 by @dependabot in https://github.com/containers/youki/pull/1981
- (auto merged) chore(deps): bump cranelift-control from 0.96.1 to 0.96.2 by @dependabot in https://github.com/containers/youki/pull/1979
- deprecate crossbeam since it is merged with std by @yihuaf in https://github.com/containers/youki/pull/1984
- (auto merged) chore(deps): bump once_cell from 1.17.1 to 1.17.2 by @dependabot in https://github.com/containers/youki/pull/1985
- (auto merged) chore(deps): bump wasmtime-wasi from 9.0.1 to 9.0.2 by @dependabot in https://github.com/containers/youki/pull/1986
- (auto merged) chore(deps): bump chrono from 0.4.24 to 0.4.25 by @dependabot in https://github.com/containers/youki/pull/1987
- (auto merged) chore(deps): bump openssl from 0.10.52 to 0.10.53 by @dependabot in https://github.com/containers/youki/pull/1988
- (auto merged) chore(deps): bump mio from 0.8.7 to 0.8.8 by @dependabot in https://github.com/containers/youki/pull/1989
- (auto merged) chore(deps): bump chrono from 0.4.25 to 0.4.26 by @dependabot in https://github.com/containers/youki/pull/1990
- Implemented sending logs to systemd-journald by @yihuaf in https://github.com/containers/youki/pull/1975
- chore(deps): bump rbpf from 0.1.0 to 0.2.0 by @dependabot in https://github.com/containers/youki/pull/1994
- (auto merged) chore(deps): bump openssl from 0.10.53 to 0.10.54 by @dependabot in https://github.com/containers/youki/pull/1998
- (auto merged) chore(deps): bump aho-corasick from 1.0.1 to 1.0.2 by @dependabot in https://github.com/containers/youki/pull/2002
- (auto merged) chore(deps): bump libc from 0.2.144 to 0.2.145 by @dependabot in https://github.com/containers/youki/pull/2003
- do not log error in the syscall crate by @yihuaf in https://github.com/containers/youki/pull/1973
- chore(deps): bump once_cell from 1.17.2 to 1.18.0 by @dependabot in https://github.com/containers/youki/pull/2001
- (auto merged) chore(deps): bump wasmtime from 9.0.2 to 9.0.3 by @dependabot in https://github.com/containers/youki/pull/1993
- (auto merged) chore(deps): bump cranelift-control from 0.96.2 to 0.96.3 by @dependabot in https://github.com/containers/youki/pull/1995
- Replace Makefiles with Just by @YJDoc2 in https://github.com/containers/youki/pull/1823
- (auto merged) chore(deps): bump wasmtime-wasi from 9.0.2 to 9.0.3 by @dependabot in https://github.com/containers/youki/pull/2006
- (auto merged) chore(deps): bump lock_api from 0.4.9 to 0.4.10 by @dependabot in https://github.com/containers/youki/pull/2008
- (auto merged) chore(deps): bump parking_lot_core from 0.9.7 to 0.9.8 by @dependabot in https://github.com/containers/youki/pull/2009
- chore(deps): bump percent-encoding from 2.2.0 to 2.3.0 by @dependabot in https://github.com/containers/youki/pull/2010
- chore(deps): bump url from 2.3.1 to 2.4.0 by @dependabot in https://github.com/containers/youki/pull/2011
- (auto merged) chore(deps): bump regex from 1.8.3 to 1.8.4 by @dependabot in https://github.com/containers/youki/pull/2007
- Do not try to acquire capabilities we are not allowed to by @jprendes in https://github.com/containers/youki/pull/2000
- (auto merged) chore(deps): bump getrandom from 0.2.9 to 0.2.10 by @dependabot in https://github.com/containers/youki/pull/2014
- (auto merged) chore(deps): bump webc from 5.0.2 to 5.0.3 by @dependabot in https://github.com/containers/youki/pull/2015
- (auto merged) chore(deps): bump object from 0.30.3 to 0.30.4 by @dependabot in https://github.com/containers/youki/pull/2017
- (auto merged) chore(deps): bump libc from 0.2.145 to 0.2.146 by @dependabot in https://github.com/containers/youki/pull/2016
- Refactor CI by @yihuaf in https://github.com/containers/youki/pull/2012
- add rsymfollow recursive mount test by @adrianalin in https://github.com/containers/youki/pull/1967
- chore(deps): bump tempfile from 3.5.0 to 3.6.0 by @dependabot in https://github.com/containers/youki/pull/2013
- (auto merged) chore(deps): bump iana-time-zone from 0.1.56 to 0.1.57 by @dependabot in https://github.com/containers/youki/pull/2020
- (auto merged) chore(deps): bump shared-buffer from 0.1.2 to 0.1.3 by @dependabot in https://github.com/containers/youki/pull/2021
- Using `typos-cli` to catch typos + fixes for existing typos by @yihuaf in https://github.com/containers/youki/pull/2018
- (auto merged) chore(deps): bump proc-macro2 from 1.0.59 to 1.0.60 by @dependabot in https://github.com/containers/youki/pull/2023
- (auto merged) chore(deps): bump serde from 1.0.163 to 1.0.164 by @dependabot in https://github.com/containers/youki/pull/2024
- (auto merged) chore(deps): bump webc from 5.0.3 to 5.0.4 by @dependabot in https://github.com/containers/youki/pull/2025
- Bump the oci-spec-rs to 0.6.1 to resolve seccomp rule issue by @yihuaf in https://github.com/containers/youki/pull/2029
- Add the test with kind to github action by @utam0k in https://github.com/containers/youki/pull/2027
- (auto merged) chore(deps): bump log from 0.4.18 to 0.4.19 by @dependabot in https://github.com/containers/youki/pull/2033
- (auto merged) chore(deps): bump tokio-rustls from 0.24.0 to 0.24.1 by @dependabot in https://github.com/containers/youki/pull/2035
- Don't create a file when it already exists when mounting with bind by @utam0k in https://github.com/containers/youki/pull/2031
- chore(deps): bump fastrand from 1.9.0 to 2.0.0 by @dependabot in https://github.com/containers/youki/pull/2032
- Update podman test workflow for new justfile setup by @YJDoc2 in https://github.com/containers/youki/pull/2037
- (auto merged) chore(deps): bump crossbeam-epoch from 0.9.14 to 0.9.15 by @dependabot in https://github.com/containers/youki/pull/2040
- (auto merged) chore(deps): bump wasm-bindgen from 0.2.86 to 0.2.87 by @dependabot in https://github.com/containers/youki/pull/2041
- (auto merged) chore(deps): bump js-sys from 0.3.63 to 0.3.64 by @dependabot in https://github.com/containers/youki/pull/2042
- (auto merged) chore(deps): bump crossbeam-utils from 0.8.15 to 0.8.16 by @dependabot in https://github.com/containers/youki/pull/2043
- (auto merged) chore(deps): bump arrayvec from 0.7.2 to 0.7.3 by @dependabot in https://github.com/containers/youki/pull/2044
- (auto merged) chore(deps): bump uuid from 1.3.3 to 1.3.4 by @dependabot in https://github.com/containers/youki/pull/2047
- (auto merged) chore(deps): bump web-sys from 0.3.63 to 0.3.64 by @dependabot in https://github.com/containers/youki/pull/2048
- (auto merged) chore(deps): bump cranelift-control from 0.96.3 to 0.96.4 by @dependabot in https://github.com/containers/youki/pull/2049
- (auto merged) chore(deps): bump bitflags from 2.3.1 to 2.3.2 by @dependabot in https://github.com/containers/youki/pull/2050
- (auto merged) chore(deps): bump wasm-bindgen-futures from 0.4.36 to 0.4.37 by @dependabot in https://github.com/containers/youki/pull/2051
- (auto merged) chore(deps): bump wasmtime from 9.0.3 to 9.0.4 by @dependabot in https://github.com/containers/youki/pull/2052
- (auto merged) chore(deps): bump winnow from 0.4.6 to 0.4.7 by @dependabot in https://github.com/containers/youki/pull/2054
- (auto merged) chore(deps): bump rustls from 0.21.1 to 0.21.2 by @dependabot in https://github.com/containers/youki/pull/2056
- (auto merged) chore(deps): bump want from 0.3.0 to 0.3.1 by @dependabot in https://github.com/containers/youki/pull/2053
- (auto merged) chore(deps): bump wasmtime-wasi from 9.0.3 to 9.0.4 by @dependabot in https://github.com/containers/youki/pull/2055
- (auto merged) chore(deps): bump sha2 from 0.10.6 to 0.10.7 by @dependabot in https://github.com/containers/youki/pull/2058
- (auto merged) chore(deps): bump cpufeatures from 0.2.7 to 0.2.8 by @dependabot in https://github.com/containers/youki/pull/2059
- Introduce a `log-level` flag. by @yihuaf in https://github.com/containers/youki/pull/2036
- (auto merged) chore(deps): bump serde_json from 1.0.96 to 1.0.97 by @dependabot in https://github.com/containers/youki/pull/2062
- (auto merged) chore(deps): bump arrayvec from 0.7.3 to 0.7.4 by @dependabot in https://github.com/containers/youki/pull/2063
- Fix the feature test and turn on in CI by @yihuaf in https://github.com/containers/youki/pull/2060
- (auto merged) chore(deps): bump tracing-attributes from 0.1.24 to 0.1.25 by @dependabot in https://github.com/containers/youki/pull/2067
- v0.1.0 by @utam0k in https://github.com/containers/youki/pull/2061
- Fix the release workflow by @utam0k in https://github.com/containers/youki/pull/2070
- (auto merged) chore(deps): bump openssl-sys from 0.9.88 to 0.9.90 by @dependabot in https://github.com/containers/youki/pull/2071
- (auto merged) chore(deps): bump target-lexicon from 0.12.7 to 0.12.8 by @dependabot in https://github.com/containers/youki/pull/2072
- (auto merged) chore(deps): bump anstyle from 1.0.0 to 1.0.1 by @dependabot in https://github.com/containers/youki/pull/2074
- (auto merged) chore(deps): bump anstyle-parse from 0.2.0 to 0.2.1 by @dependabot in https://github.com/containers/youki/pull/2075
- (auto merged) chore(deps): bump openssl from 0.10.54 to 0.10.55 by @dependabot in https://github.com/containers/youki/pull/2073

## [v0.0.5](https://github.com/containers/youki/compare/v0.0.4...v0.0.5) - 2023-03-29
- Support recursive mount attrs by using mount_setattr(2). by @higuruchi in https://github.com/containers/youki/pull/1398
- chore(deps): bump procfs from 0.14.1 to 0.14.2 by @dependabot in https://github.com/containers/youki/pull/1391
- chore(deps): bump io-lifetimes from 1.0.1 to 1.0.3 by @dependabot in https://github.com/containers/youki/pull/1411
- chore(deps): bump backtrace from 0.3.66 to 0.3.67 by @dependabot in https://github.com/containers/youki/pull/1412
- chore(deps): bump rustix from 0.36.4 to 0.36.5 by @dependabot in https://github.com/containers/youki/pull/1413
- chore(deps): bump linux-raw-sys from 0.1.3 to 0.1.4 by @dependabot in https://github.com/containers/youki/pull/1414
- chore(deps): bump predicates from 2.1.3 to 2.1.4 by @dependabot in https://github.com/containers/youki/pull/1395
- chore(deps): bump filetime from 0.2.18 to 0.2.19 by @dependabot in https://github.com/containers/youki/pull/1399
- chore(deps): bump libc from 0.2.133 to 0.2.138 by @dependabot in https://github.com/containers/youki/pull/1392
- chore(deps): bump cc from 1.0.77 to 1.0.78 by @dependabot in https://github.com/containers/youki/pull/1416
- chore(deps): bump thiserror from 1.0.37 to 1.0.38 by @dependabot in https://github.com/containers/youki/pull/1425
- chore(deps): bump unicode-ident from 1.0.5 to 1.0.6 by @dependabot in https://github.com/containers/youki/pull/1423
- chore(deps): bump ryu from 1.0.11 to 1.0.12 by @dependabot in https://github.com/containers/youki/pull/1421
- chore(deps): bump paste from 1.0.10 to 1.0.11 by @dependabot in https://github.com/containers/youki/pull/1420
- chore(deps): bump serial_test from 0.9.0 to 0.10.0 by @dependabot in https://github.com/containers/youki/pull/1417
- chore(deps): bump scratch from 1.0.2 to 1.0.3 by @dependabot in https://github.com/containers/youki/pull/1418
- chore(deps): bump serde_repr from 0.1.9 to 0.1.10 by @dependabot in https://github.com/containers/youki/pull/1419
- chore(deps): bump proc-macro2 from 1.0.47 to 1.0.49 by @dependabot in https://github.com/containers/youki/pull/1422
- chore(deps): bump quote from 1.0.21 to 1.0.23 by @dependabot in https://github.com/containers/youki/pull/1430
- chore(deps): bump cxx-build from 1.0.83 to 1.0.85 by @dependabot in https://github.com/containers/youki/pull/1435
- chore(deps): bump proc-macro-hack from 0.5.19 to 0.5.20+deprecated by @dependabot in https://github.com/containers/youki/pull/1429
- chore(deps): bump syn from 1.0.105 to 1.0.107 by @dependabot in https://github.com/containers/youki/pull/1431
- chore(deps): bump link-cplusplus from 1.0.7 to 1.0.8 by @dependabot in https://github.com/containers/youki/pull/1432
- chore(deps): bump serde_json from 1.0.89 to 1.0.91 by @dependabot in https://github.com/containers/youki/pull/1433
- chore(deps): bump rustversion from 1.0.9 to 1.0.11 by @dependabot in https://github.com/containers/youki/pull/1434
- chore(deps): bump cxx from 1.0.83 to 1.0.85 by @dependabot in https://github.com/containers/youki/pull/1436
- chore(deps): bump serde_bytes from 0.11.7 to 0.11.8 by @dependabot in https://github.com/containers/youki/pull/1437
- chore(deps): bump is-terminal from 0.4.1 to 0.4.2 by @dependabot in https://github.com/containers/youki/pull/1438
- chore(deps): bump num_cpus from 1.14.0 to 1.15.0 by @dependabot in https://github.com/containers/youki/pull/1439
- chore(deps): bump itoa from 1.0.4 to 1.0.5 by @dependabot in https://github.com/containers/youki/pull/1440
- chore(deps): bump serde from 1.0.150 to 1.0.151 by @dependabot in https://github.com/containers/youki/pull/1441
- Update  Rust 1.66 by @utam0k in https://github.com/containers/youki/pull/1444
- Add support for wasmtime by @Furisto in https://github.com/containers/youki/pull/1402
- chore(deps): bump serde from 1.0.151 to 1.0.152 by @dependabot in https://github.com/containers/youki/pull/1445
- chore(deps): bump predicates from 2.1.4 to 2.1.5 by @dependabot in https://github.com/containers/youki/pull/1450
- Upgrade clap to v4 by @Overflow0xFFFF in https://github.com/containers/youki/pull/1443
- chore(deps): bump once_cell from 1.16.0 to 1.17.0 by @dependabot in https://github.com/containers/youki/pull/1451
- skip cgroup v2 test of oci-tools by @utam0k in https://github.com/containers/youki/pull/1406
- chore(deps): bump nom from 7.1.1 to 7.1.2 by @dependabot in https://github.com/containers/youki/pull/1453
- Update wasmtime v4.0.0 by @utam0k in https://github.com/containers/youki/pull/1452
- chore(deps): bump libdbus-sys from 0.2.2 to 0.2.3 by @dependabot in https://github.com/containers/youki/pull/1461
- chore(deps): bump cxx from 1.0.85 to 1.0.86 by @dependabot in https://github.com/containers/youki/pull/1459
- chore(deps): bump vergen from 7.4.2 to 7.5.0 by @dependabot in https://github.com/containers/youki/pull/1455
- chore(deps): bump async-trait from 0.1.60 to 0.1.61 by @dependabot in https://github.com/containers/youki/pull/1465
- chore(deps): bump regex from 1.7.0 to 1.7.1 by @dependabot in https://github.com/containers/youki/pull/1464
- chore(deps): bump glob from 0.3.0 to 0.3.1 by @dependabot in https://github.com/containers/youki/pull/1463
- chore(deps): bump ipnet from 2.7.0 to 2.7.1 by @dependabot in https://github.com/containers/youki/pull/1460
- chore(deps): bump dbus from 0.9.6 to 0.9.7 by @dependabot in https://github.com/containers/youki/pull/1457
- chore(deps): bump file-per-thread-logger from 0.1.5 to 0.1.6 by @dependabot in https://github.com/containers/youki/pull/1456
- chore(deps): bump zstd-sys from 2.0.4+zstd.1.5.2 to 2.0.5+zstd.1.5.2 by @dependabot in https://github.com/containers/youki/pull/1471
- chore(deps): bump parking_lot_core from 0.9.5 to 0.9.6 by @dependabot in https://github.com/containers/youki/pull/1473
- chore(deps): bump cxx-build from 1.0.85 to 1.0.86 by @dependabot in https://github.com/containers/youki/pull/1470
- chore(deps): bump sysinfo from 0.27.2 to 0.27.5 by @dependabot in https://github.com/containers/youki/pull/1469
- chore(deps): bump libbpf-sys from 1.0.4+v1.0.1 to 1.1.1+v1.1.0 by @dependabot in https://github.com/containers/youki/pull/1468
- chore(deps): bump system-interface from 0.25.2 to 0.25.3 by @dependabot in https://github.com/containers/youki/pull/1466
- chore(deps): bump libgit2-sys from 0.14.0+1.5.0 to 0.14.1+1.5.0 by @dependabot in https://github.com/containers/youki/pull/1467
- chore(deps): bump sysinfo from 0.27.5 to 0.27.6 by @dependabot in https://github.com/containers/youki/pull/1477
- chore(deps): bump clap_lex from 0.3.0 to 0.3.1 by @dependabot in https://github.com/containers/youki/pull/1480
- chore(deps): bump nom from 7.1.2 to 7.1.3 by @dependabot in https://github.com/containers/youki/pull/1479
- chore(deps): bump termcolor from 1.1.3 to 1.2.0 by @dependabot in https://github.com/containers/youki/pull/1478
- chore(deps): bump io-lifetimes from 1.0.3 to 1.0.4 by @dependabot in https://github.com/containers/youki/pull/1475
- chore(deps): bump proc-macro2 from 1.0.49 to 1.0.50 by @dependabot in https://github.com/containers/youki/pull/1482
- chore(deps): bump sysinfo from 0.27.6 to 0.27.7 by @dependabot in https://github.com/containers/youki/pull/1489
- chore(deps): bump serial_test from 0.10.0 to 1.0.0 by @dependabot in https://github.com/containers/youki/pull/1488
- chore(deps): bump bumpalo from 3.11.1 to 3.12.0 by @dependabot in https://github.com/containers/youki/pull/1487
- chore(deps): bump wat from 1.0.52 to 1.0.53 by @dependabot in https://github.com/containers/youki/pull/1485
- chore(deps): bump windows_x86_64_gnullvm from 0.42.0 to 0.42.1 by @dependabot in https://github.com/containers/youki/pull/1474
- Automating Dependabot with GitHub Actions by @utam0k in https://github.com/containers/youki/pull/1481
- chore(deps): bump oci-spec from 0.5.8 to 0.6.0 by @dependabot in https://github.com/containers/youki/pull/1491
- chore(deps): bump rustix from 0.36.6 to 0.36.7 by @dependabot in https://github.com/containers/youki/pull/1492
- (auto merged) chore(deps): bump ittapi from 0.3.2 to 0.3.3 by @dependabot in https://github.com/containers/youki/pull/1495
- (auto merged) chore(deps): bump unicode-bidi from 0.3.8 to 0.3.9 by @dependabot in https://github.com/containers/youki/pull/1496
- (auto merged) chore(deps): bump ittapi-sys from 0.3.2 to 0.3.3 by @dependabot in https://github.com/containers/youki/pull/1497
- chore(deps): bump rust-criu from 0.2.0 to 0.4.0 by @dependabot in https://github.com/containers/youki/pull/1494
- chore(deps): bump cap-rand from 1.0.3 to 1.0.4 by @dependabot in https://github.com/containers/youki/pull/1490
- chore(deps): bump anyhow from 1.0.65 to 1.0.68 by @dependabot in https://github.com/containers/youki/pull/1424
- chore(deps): bump windows_aarch64_gnullvm from 0.42.0 to 0.42.1 by @dependabot in https://github.com/containers/youki/pull/1476
- chore(deps): bump libc from 0.2.138 to 0.2.139 by @dependabot in https://github.com/containers/youki/pull/1442
- (auto merged) chore(deps): bump libgit2-sys from 0.14.1+1.5.0 to 0.14.2+1.5.1 by @dependabot in https://github.com/containers/youki/pull/1498
- (auto merged) chore(deps): bump cxx from 1.0.86 to 1.0.87 by @dependabot in https://github.com/containers/youki/pull/1501
- (auto merged) chore(deps): bump rayon-core from 1.10.1 to 1.10.2 by @dependabot in https://github.com/containers/youki/pull/1504
- (auto merged) chore(deps): bump wat from 1.0.53 to 1.0.55 by @dependabot in https://github.com/containers/youki/pull/1506
- (auto merged) chore(deps): bump cxx-build from 1.0.86 to 1.0.87 by @dependabot in https://github.com/containers/youki/pull/1507
- (auto merged) chore(deps): bump async-trait from 0.1.61 to 0.1.63 by @dependabot in https://github.com/containers/youki/pull/1509
- (auto merged) chore(deps): bump toml from 0.5.10 to 0.5.11 by @dependabot in https://github.com/containers/youki/pull/1508
- (auto merged) chore(deps): bump unicode-bidi from 0.3.9 to 0.3.10 by @dependabot in https://github.com/containers/youki/pull/1510
- chore(deps): bump which from 4.3.0 to 4.4.0 by @dependabot in https://github.com/containers/youki/pull/1503
- (auto merged) chore(deps): bump fd-lock from 3.0.8 to 3.0.9 by @dependabot in https://github.com/containers/youki/pull/1512
- Add descriptors.json when creating checkpoint by @adrianreber in https://github.com/containers/youki/pull/1511
- Relax the version of some crates we dependent by @utam0k in https://github.com/containers/youki/pull/1500
- (auto merged) chore(deps): bump wat from 1.0.55 to 1.0.56 by @dependabot in https://github.com/containers/youki/pull/1513
- (auto merged) chore(deps): bump either from 1.8.0 to 1.8.1 by @dependabot in https://github.com/containers/youki/pull/1514
- (auto merged) chore(deps): bump cc from 1.0.78 to 1.0.79 by @dependabot in https://github.com/containers/youki/pull/1518
- (auto merged) chore(deps): bump cxx from 1.0.87 to 1.0.88 by @dependabot in https://github.com/containers/youki/pull/1519
- (auto merged) chore(deps): bump cxx-build from 1.0.87 to 1.0.88 by @dependabot in https://github.com/containers/youki/pull/1520
- Added recursive mount attr test by @higuruchi in https://github.com/containers/youki/pull/1428
- (auto merged) chore(deps): bump futures-core from 0.3.25 to 0.3.26 by @dependabot in https://github.com/containers/youki/pull/1521
- (auto merged) chore(deps): bump futures from 0.3.25 to 0.3.26 by @dependabot in https://github.com/containers/youki/pull/1522
- (auto merged) chore(deps): bump zstd-sys from 2.0.5+zstd.1.5.2 to 2.0.6+zstd.1.5.2 by @dependabot in https://github.com/containers/youki/pull/1531
- Fix formatting with `cargo fmt --check` by @rumpl in https://github.com/containers/youki/pull/1532
- (auto merged) chore(deps): bump futures-sink from 0.3.25 to 0.3.26 by @dependabot in https://github.com/containers/youki/pull/1527
- (auto merged) chore(deps): bump async-trait from 0.1.63 to 0.1.64 by @dependabot in https://github.com/containers/youki/pull/1528
- (auto merged) chore(deps): bump cxx-build from 1.0.88 to 1.0.89 by @dependabot in https://github.com/containers/youki/pull/1535
- (auto merged) chore(deps): bump wasm-bindgen from 0.2.83 to 0.2.84 by @dependabot in https://github.com/containers/youki/pull/1536
- (auto merged) chore(deps): bump cxx from 1.0.88 to 1.0.89 by @dependabot in https://github.com/containers/youki/pull/1537
- chore(deps): bump uuid from 1.2.2 to 1.3.0 by @dependabot in https://github.com/containers/youki/pull/1538
- (auto merged) chore(deps): bump miniz_oxide from 0.6.2 to 0.6.4 by @dependabot in https://github.com/containers/youki/pull/1539
- (auto merged) chore(deps): bump js-sys from 0.3.60 to 0.3.61 by @dependabot in https://github.com/containers/youki/pull/1540
- (auto merged) chore(deps): bump heck from 0.4.0 to 0.4.1 by @dependabot in https://github.com/containers/youki/pull/1541
- Update to rust 1.67 by @Furisto in https://github.com/containers/youki/pull/1516
- chore(deps): bump pnet_datalink from 0.31.0 to 0.33.0 by @dependabot in https://github.com/containers/youki/pull/1552
- (auto merged) chore(deps): bump serde_json from 1.0.91 to 1.0.92 by @dependabot in https://github.com/containers/youki/pull/1553
- (auto merged) chore(deps): bump tinyvec_macros from 0.1.0 to 0.1.1 by @dependabot in https://github.com/containers/youki/pull/1546
- (auto merged) chore(deps): bump serde_bytes from 0.11.8 to 0.11.9 by @dependabot in https://github.com/containers/youki/pull/1554
- (auto merged) chore(deps): bump serde_json from 1.0.92 to 1.0.93 by @dependabot in https://github.com/containers/youki/pull/1555
- (auto merged) chore(deps): bump wasm-encoder from 0.22.0 to 0.22.1 by @dependabot in https://github.com/containers/youki/pull/1551
- (auto merged) chore(deps): bump proc-macro2 from 1.0.50 to 1.0.51 by @dependabot in https://github.com/containers/youki/pull/1550
- (auto merged) chore(deps): bump wat from 1.0.56 to 1.0.57 by @dependabot in https://github.com/containers/youki/pull/1547
- (auto merged) chore(deps): bump cap-rand from 1.0.4 to 1.0.5 by @dependabot in https://github.com/containers/youki/pull/1548
- Add rust-toolchain file  by @utam0k in https://github.com/containers/youki/pull/1557
- (auto merged) chore(deps): bump wat from 1.0.57 to 1.0.58 by @dependabot in https://github.com/containers/youki/pull/1558
- (auto merged) chore(deps): bump libdbus-sys from 0.2.3 to 0.2.4 by @dependabot in https://github.com/containers/youki/pull/1559
- (auto merged) chore(deps): bump darling from 0.14.2 to 0.14.3 by @dependabot in https://github.com/containers/youki/pull/1560
- Sort out github actions by @utam0k in https://github.com/containers/youki/pull/1561
- (auto merged) chore(deps): bump cxx-build from 1.0.89 to 1.0.90 by @dependabot in https://github.com/containers/youki/pull/1566
- (auto merged) chore(deps): bump target-lexicon from 0.12.5 to 0.12.6 by @dependabot in https://github.com/containers/youki/pull/1565
- (auto merged) chore(deps): bump cxx from 1.0.89 to 1.0.90 by @dependabot in https://github.com/containers/youki/pull/1567
- (auto merged) chore(deps): bump zstd-sys from 2.0.6+zstd.1.5.2 to 2.0.7+zstd.1.5.4 by @dependabot in https://github.com/containers/youki/pull/1568
- fix: doc link by @lengrongfu in https://github.com/containers/youki/pull/1542
- fix the warns from cargo clippy by @utam0k in https://github.com/containers/youki/pull/1564
- (auto merged) chore(deps): bump anyhow from 1.0.68 to 1.0.69 by @dependabot in https://github.com/containers/youki/pull/1549
- Update runtime-tools by @utam0k in https://github.com/containers/youki/pull/1569
- (auto merged) chore(deps): bump vergen from 7.5.0 to 7.5.1 by @dependabot in https://github.com/containers/youki/pull/1570
- chore(deps): bump nix from 0.25.0 to 0.26.2 by @dependabot in https://github.com/containers/youki/pull/1486
- chore(deps): bump wasmtime from 4.0.0 to 5.0.0 by @dependabot in https://github.com/containers/youki/pull/1505
- (auto merged) chore(deps): bump wat from 1.0.58 to 1.0.59 by @dependabot in https://github.com/containers/youki/pull/1572
- (auto merged) chore(deps): bump mio from 0.8.5 to 0.8.6 by @dependabot in https://github.com/containers/youki/pull/1573
- (auto merged) chore(deps): bump once_cell from 1.17.0 to 1.17.1 by @dependabot in https://github.com/containers/youki/pull/1571
- chore(deps): bump errno from 0.2.8 to 0.3.0 by @dependabot in https://github.com/containers/youki/pull/1574
- (auto merged) chore(deps): bump cxx from 1.0.90 to 1.0.91 by @dependabot in https://github.com/containers/youki/pull/1577
- chore(deps): bump procfs from 0.14.2 to 0.15.0 by @dependabot in https://github.com/containers/youki/pull/1575
- (auto merged) chore(deps): bump cxx-build from 1.0.90 to 1.0.91 by @dependabot in https://github.com/containers/youki/pull/1576
- (auto merged) chore(deps): bump memmap2 from 0.5.8 to 0.5.9 by @dependabot in https://github.com/containers/youki/pull/1582
- (auto merged) chore(deps): bump slab from 0.4.7 to 0.4.8 by @dependabot in https://github.com/containers/youki/pull/1583
- (auto merged) chore(deps): bump procfs from 0.15.0 to 0.15.1 by @dependabot in https://github.com/containers/youki/pull/1584
- Use saturating_sub instead of - for unsigned ints by @rumpl in https://github.com/containers/youki/pull/1530
- buffer read and write by @wlsnx in https://github.com/containers/youki/pull/1581
- Fix github actions by @utam0k in https://github.com/containers/youki/pull/1588
- libcontainer: make device creation interfaces public by @ipuustin in https://github.com/containers/youki/pull/1578
- chore(deps): bump wasmtime from 5.0.0 to 6.0.0 by @dependabot in https://github.com/containers/youki/pull/1586
- (auto merged) chore(deps): bump memmap2 from 0.5.9 to 0.5.10 by @dependabot in https://github.com/containers/youki/pull/1589
- (auto merged) chore(deps): bump clap_lex from 0.3.1 to 0.3.2 by @dependabot in https://github.com/containers/youki/pull/1590
- (auto merged) chore(deps): bump syn from 1.0.107 to 1.0.108 by @dependabot in https://github.com/containers/youki/pull/1591
- (auto merged) chore(deps): bump is-terminal from 0.4.3 to 0.4.4 by @dependabot in https://github.com/containers/youki/pull/1593
- (auto merged) chore(deps): bump wat from 1.0.59 to 1.0.60 by @dependabot in https://github.com/containers/youki/pull/1594
- (auto merged) chore(deps): bump wit-parser from 0.6.1 to 0.6.2 by @dependabot in https://github.com/containers/youki/pull/1592
- (auto merged) chore(deps): bump sysinfo from 0.27.7 to 0.27.8 by @dependabot in https://github.com/containers/youki/pull/1596
- (auto merged) chore(deps): bump syn from 1.0.108 to 1.0.109 by @dependabot in https://github.com/containers/youki/pull/1599
- chore(deps): bump tempfile from 3.3.0 to 3.4.0 by @dependabot in https://github.com/containers/youki/pull/1597
- chore(deps): bump oci-spec from 0.5.8 to 0.6.0 by @dependabot in https://github.com/containers/youki/pull/1598
- chore(deps): bump path-clean from 0.1.0 to 1.0.1 by @dependabot in https://github.com/containers/youki/pull/1600
- (auto merged) chore(deps): bump crossbeam-deque from 0.8.2 to 0.8.3 by @dependabot in https://github.com/containers/youki/pull/1604
- (auto merged) chore(deps): bump crossbeam-utils from 0.8.14 to 0.8.15 by @dependabot in https://github.com/containers/youki/pull/1607
- (auto merged) chore(deps): bump bytecheck from 0.6.9 to 0.6.10 by @dependabot in https://github.com/containers/youki/pull/1605
- (auto merged) chore(deps): bump crossbeam-epoch from 0.9.13 to 0.9.14 by @dependabot in https://github.com/containers/youki/pull/1609
- (auto merged) chore(deps): bump jobserver from 0.1.25 to 0.1.26 by @dependabot in https://github.com/containers/youki/pull/1606
- (auto merged) chore(deps): bump crossbeam-channel from 0.5.6 to 0.5.7 by @dependabot in https://github.com/containers/youki/pull/1608
- Allow specification of syscall impl for devices by @Furisto in https://github.com/containers/youki/pull/1603
- feat Add container id validate by @lengrongfu in https://github.com/containers/youki/pull/1602
- fix: youki's image in doc by @shimatar0 in https://github.com/containers/youki/pull/1614
- (auto merged) chore(deps): bump cxx from 1.0.91 to 1.0.92 by @dependabot in https://github.com/containers/youki/pull/1618
- (auto merged) chore(deps): bump unicode-ident from 1.0.6 to 1.0.8 by @dependabot in https://github.com/containers/youki/pull/1617
- (auto merged) chore(deps): bump rustversion from 1.0.11 to 1.0.12 by @dependabot in https://github.com/containers/youki/pull/1623
- (auto merged) chore(deps): bump serde_json from 1.0.93 to 1.0.94 by @dependabot in https://github.com/containers/youki/pull/1624
- (auto merged) chore(deps): bump thiserror from 1.0.38 to 1.0.39 by @dependabot in https://github.com/containers/youki/pull/1626
- chore(deps): bump rayon from 1.6.1 to 1.7.0 by @dependabot in https://github.com/containers/youki/pull/1625
- Implement the container_clone using CLONE_PARENT by @yihuaf in https://github.com/containers/youki/pull/1610
- feat add rdiratime/rnodiratime recursive mount test by @lengrongfu in https://github.com/containers/youki/pull/1616
- (auto merged) chore(deps): bump ryu from 1.0.12 to 1.0.13 by @dependabot in https://github.com/containers/youki/pull/1622
- (auto merged) chore(deps): bump scratch from 1.0.3 to 1.0.5 by @dependabot in https://github.com/containers/youki/pull/1621
- (auto merged) chore(deps): bump serde_repr from 0.1.10 to 0.1.11 by @dependabot in https://github.com/containers/youki/pull/1619
- (auto merged) chore(deps): bump cxx-build from 1.0.91 to 1.0.92 by @dependabot in https://github.com/containers/youki/pull/1628
- (auto merged) chore(deps): bump wit-parser from 0.6.2 to 0.6.4 by @dependabot in https://github.com/containers/youki/pull/1629
- (auto merged) chore(deps): bump async-trait from 0.1.64 to 0.1.66 by @dependabot in https://github.com/containers/youki/pull/1630
- (auto merged) chore(deps): bump io-lifetimes from 1.0.5 to 1.0.6 by @dependabot in https://github.com/containers/youki/pull/1631
- (auto merged) chore(deps): bump itoa from 1.0.5 to 1.0.6 by @dependabot in https://github.com/containers/youki/pull/1632
- (auto merged) chore(deps): bump wat from 1.0.60 to 1.0.61 by @dependabot in https://github.com/containers/youki/pull/1633
- (auto merged) chore(deps): bump paste from 1.0.11 to 1.0.12 by @dependabot in https://github.com/containers/youki/pull/1635
- feat add rdev/rnodev recursive mount test by @lengrongfu in https://github.com/containers/youki/pull/1615
- add rrw/rexec recursive mount test by @lengrongfu in https://github.com/containers/youki/pull/1611
- (auto merged) chore(deps): bump serde from 1.0.152 to 1.0.153 by @dependabot in https://github.com/containers/youki/pull/1636
- (auto merged) chore(deps): bump wasmtime from 6.0.0 to 6.0.1 by @dependabot in https://github.com/containers/youki/pull/1644
- (auto merged) chore(deps): bump serde from 1.0.153 to 1.0.154 by @dependabot in https://github.com/containers/youki/pull/1645
- (auto merged) chore(deps): bump unicode-bidi from 0.3.10 to 0.3.11 by @dependabot in https://github.com/containers/youki/pull/1647
- (auto merged) chore(deps): bump wasmtime-wasi from 6.0.0 to 6.0.1 by @dependabot in https://github.com/containers/youki/pull/1646
- Fix CI rules not filtering integration test files properly by @lengrongfu in https://github.com/containers/youki/pull/1643
- Fix clippy warning by @yihuaf in https://github.com/containers/youki/pull/1638
- fix typo in container_main_process.rs by @minatoaquaMK2 in https://github.com/containers/youki/pull/1641
- (auto merged) chore(deps): bump rustix from 0.36.8 to 0.36.9 by @dependabot in https://github.com/containers/youki/pull/1634
- (auto merged) chore(deps): bump darling from 0.14.3 to 0.14.4 by @dependabot in https://github.com/containers/youki/pull/1651
- (auto merged) chore(deps): bump block-buffer from 0.10.3 to 0.10.4 by @dependabot in https://github.com/containers/youki/pull/1653
- fix container delete error by @lengrongfu in https://github.com/containers/youki/pull/1649
- (auto merged) chore(deps): bump libc from 0.2.139 to 0.2.140 by @dependabot in https://github.com/containers/youki/pull/1652
- Fixed container init process not re-parent to youki main process by @yihuaf in https://github.com/containers/youki/pull/1637
- add rrelatime mount test by @lengrongfu in https://github.com/containers/youki/pull/1642
- (auto merged) chore(deps): bump futures-sink from 0.3.26 to 0.3.27 by @dependabot in https://github.com/containers/youki/pull/1658
- (auto merged) chore(deps): bump futures-channel from 0.3.26 to 0.3.27 by @dependabot in https://github.com/containers/youki/pull/1657
- (auto merged) chore(deps): bump futures-task from 0.3.26 to 0.3.27 by @dependabot in https://github.com/containers/youki/pull/1659
- (auto merged) chore(deps): bump serde from 1.0.154 to 1.0.155 by @dependabot in https://github.com/containers/youki/pull/1660
- (auto merged) chore(deps): bump futures-io from 0.3.26 to 0.3.27 by @dependabot in https://github.com/containers/youki/pull/1661
- (auto merged) chore(deps): bump chrono from 0.4.23 to 0.4.24 by @dependabot in https://github.com/containers/youki/pull/1662
- (auto merged) chore(deps): bump proc-macro2 from 1.0.51 to 1.0.52 by @dependabot in https://github.com/containers/youki/pull/1664
- (auto merged) chore(deps): bump futures from 0.3.26 to 0.3.27 by @dependabot in https://github.com/containers/youki/pull/1665
- libcontainer: Make the workloads injectable by @utam0k in https://github.com/containers/youki/pull/1403
- ci: Fix test for podman by @utam0k in https://github.com/containers/youki/pull/1655
- (auto merged) chore(deps): bump windows_aarch64_gnullvm from 0.42.1 to 0.42.2 by @dependabot in https://github.com/containers/youki/pull/1667
- (auto merged) chore(deps): bump windows-targets from 0.42.1 to 0.42.2 by @dependabot in https://github.com/containers/youki/pull/1666
- (auto merged) chore(deps): bump quote from 1.0.23 to 1.0.26 by @dependabot in https://github.com/containers/youki/pull/1669
- chore(deps): bump bitflags from 1.3.2 to 2.0.0 by @dependabot in https://github.com/containers/youki/pull/1670
- (auto merged) chore(deps): bump serde from 1.0.155 to 1.0.156 by @dependabot in https://github.com/containers/youki/pull/1671
- (auto merged) chore(deps): bump predicates-tree from 1.0.7 to 1.0.9 by @dependabot in https://github.com/containers/youki/pull/1673
- (auto merged) chore(deps): bump predicates-core from 1.0.5 to 1.0.6 by @dependabot in https://github.com/containers/youki/pull/1674
- (auto merged) chore(deps): bump cap-rand from 1.0.5 to 1.0.6 by @dependabot in https://github.com/containers/youki/pull/1678
- (auto merged) chore(deps): bump io-lifetimes from 1.0.6 to 1.0.7 by @dependabot in https://github.com/containers/youki/pull/1679
- (auto merged) chore(deps): bump clap_lex from 0.3.2 to 0.3.3 by @dependabot in https://github.com/containers/youki/pull/1680
- (auto merged) chore(deps): bump bitflags from 2.0.0 to 2.0.1 by @dependabot in https://github.com/containers/youki/pull/1681
- Implement basic foreground mode by @yihuaf in https://github.com/containers/youki/pull/1656
- (auto merged) chore(deps): bump cap-primitives from 1.0.5 to 1.0.6 by @dependabot in https://github.com/containers/youki/pull/1677
- (auto merged) chore(deps): bump cxx-build from 1.0.92 to 1.0.93 by @dependabot in https://github.com/containers/youki/pull/1687
- (auto merged) chore(deps): bump bitflags from 2.0.1 to 2.0.2 by @dependabot in https://github.com/containers/youki/pull/1688
- (auto merged) chore(deps): bump is-terminal from 0.4.4 to 0.4.5 by @dependabot in https://github.com/containers/youki/pull/1693
- (auto merged) chore(deps): bump cap-rand from 1.0.6 to 1.0.7 by @dependabot in https://github.com/containers/youki/pull/1692
- (auto merged) chore(deps): bump unicode-bidi from 0.3.11 to 0.3.12 by @dependabot in https://github.com/containers/youki/pull/1695
- (auto merged) chore(deps): bump anyhow from 1.0.69 to 1.0.70 by @dependabot in https://github.com/containers/youki/pull/1694
- (auto merged) chore(deps): bump cap-std from 1.0.5 to 1.0.6 by @dependabot in https://github.com/containers/youki/pull/1696
- (auto merged) chore(deps): bump async-trait from 0.1.66 to 0.1.67 by @dependabot in https://github.com/containers/youki/pull/1686
- (auto merged) chore(deps): bump cap-fs-ext from 1.0.5 to 1.0.6 by @dependabot in https://github.com/containers/youki/pull/1700
- (auto merged) chore(deps): bump io-lifetimes from 1.0.7 to 1.0.9 by @dependabot in https://github.com/containers/youki/pull/1699
- (auto merged) chore(deps): bump unicode-bidi from 0.3.12 to 0.3.13 by @dependabot in https://github.com/containers/youki/pull/1701
- (auto merged) chore(deps): bump syscalls from 0.6.7 to 0.6.8 by @dependabot in https://github.com/containers/youki/pull/1703
- (auto merged) chore(deps): bump cap-primitives from 1.0.6 to 1.0.7 by @dependabot in https://github.com/containers/youki/pull/1689
- (auto merged) chore(deps): bump thiserror from 1.0.39 to 1.0.40 by @dependabot in https://github.com/containers/youki/pull/1690
- chore(deps): bump os_str_bytes from 6.4.1 to 6.5.0 by @dependabot in https://github.com/containers/youki/pull/1691
- chore(deps): bump cxx from 1.0.92 to 1.0.93 by @dependabot in https://github.com/containers/youki/pull/1697
- (auto merged) chore(deps): bump serde from 1.0.156 to 1.0.157 by @dependabot in https://github.com/containers/youki/pull/1705
- (auto merged) chore(deps): bump cap-std from 1.0.6 to 1.0.7 by @dependabot in https://github.com/containers/youki/pull/1708
- (auto merged) chore(deps): bump cap-fs-ext from 1.0.6 to 1.0.7 by @dependabot in https://github.com/containers/youki/pull/1709
- (auto merged) chore(deps): bump iana-time-zone from 0.1.53 to 0.1.54 by @dependabot in https://github.com/containers/youki/pull/1710
- (auto merged) chore(deps): bump regex-syntax from 0.6.28 to 0.6.29 by @dependabot in https://github.com/containers/youki/pull/1711
- (auto merged) chore(deps): bump serde_repr from 0.1.11 to 0.1.12 by @dependabot in https://github.com/containers/youki/pull/1712
- (auto merged) chore(deps): bump serde from 1.0.157 to 1.0.158 by @dependabot in https://github.com/containers/youki/pull/1715
- (auto merged) chore(deps): bump rustix from 0.36.9 to 0.36.11 by @dependabot in https://github.com/containers/youki/pull/1714
- (auto merged) chore(deps): bump regex from 1.7.1 to 1.7.2 by @dependabot in https://github.com/containers/youki/pull/1716
- chore(deps): bump cap-time-ext from 1.0.5 to 1.0.7 by @dependabot in https://github.com/containers/youki/pull/1713
- Refactor youki delete to match runc/crun. by @yihuaf in https://github.com/containers/youki/pull/1654
- (auto merged) chore(deps): bump proc-macro2 from 1.0.52 to 1.0.53 by @dependabot in https://github.com/containers/youki/pull/1718
- add rsuid and rnosymfollow by @lengrongfu in https://github.com/containers/youki/pull/1685
- fix(libcontainer): Run test_is_executable with a more common file by @Overflow0xFFFF in https://github.com/containers/youki/pull/1676
- add cargo fmt to make lint by @lengrongfu in https://github.com/containers/youki/pull/1719
- Introduce seccomp feature for libcontainer with musl by @krisnova in https://github.com/containers/youki/pull/1484
- (auto merged) chore(deps): bump rustc-demangle from 0.1.21 to 0.1.22 by @dependabot in https://github.com/containers/youki/pull/1721
- (auto merged) chore(deps): bump syscalls from 0.6.8 to 0.6.9 by @dependabot in https://github.com/containers/youki/pull/1722
- (auto merged) chore(deps): bump regex from 1.7.2 to 1.7.3 by @dependabot in https://github.com/containers/youki/pull/1724
- (auto merged) chore(deps): bump cxx from 1.0.93 to 1.0.94 by @dependabot in https://github.com/containers/youki/pull/1726
- (auto merged) chore(deps): bump proc-macro2 from 1.0.53 to 1.0.54 by @dependabot in https://github.com/containers/youki/pull/1727
- (auto merged) chore(deps): bump indexmap from 1.9.2 to 1.9.3 by @dependabot in https://github.com/containers/youki/pull/1728
- (auto merged) chore(deps): bump cpufeatures from 0.2.5 to 0.2.6 by @dependabot in https://github.com/containers/youki/pull/1729
- (auto merged) chore(deps): bump cxx-build from 1.0.93 to 1.0.94 by @dependabot in https://github.com/containers/youki/pull/1730
- (auto merged) chore(deps): bump mockall from 0.11.3 to 0.11.4 by @dependabot in https://github.com/containers/youki/pull/1731
- (auto merged) chore(deps): bump generic-array from 0.14.6 to 0.14.7 by @dependabot in https://github.com/containers/youki/pull/1732
- (auto merged) chore(deps): bump ipnet from 2.7.1 to 2.7.2 by @dependabot in https://github.com/containers/youki/pull/1733
- (auto merged) chore(deps): bump serde_json from 1.0.94 to 1.0.95 by @dependabot in https://github.com/containers/youki/pull/1734
- (auto merged) chore(deps): bump serde from 1.0.158 to 1.0.159 by @dependabot in https://github.com/containers/youki/pull/1736
- (auto merged) chore(deps): bump cmake from 0.1.49 to 0.1.50 by @dependabot in https://github.com/containers/youki/pull/1737
- (auto merged) chore(deps): bump cap-rand from 1.0.7 to 1.0.8 by @dependabot in https://github.com/containers/youki/pull/1738
- (auto merged) chore(deps): bump cap-primitives from 1.0.7 to 1.0.8 by @dependabot in https://github.com/containers/youki/pull/1739
- v0.0.5 by @utam0k in https://github.com/containers/youki/pull/1740
- CI: Comment out featuretest. by @utam0k in https://github.com/containers/youki/pull/1741

## [v0.0.4](https://github.com/containers/youki/compare/v0.0.3...v0.0.4) - 2022-12-13
- chore(deps): bump slab from 0.4.5 to 0.4.6 in /crates by @dependabot in https://github.com/containers/youki/pull/819
- chore(deps): bump clap from 3.1.7 to 3.1.8 in /crates by @dependabot in https://github.com/containers/youki/pull/818
- chore(deps): bump tracing-core from 0.1.23 to 0.1.24 in /crates by @dependabot in https://github.com/containers/youki/pull/817
- chore(deps): bump enumset from 1.0.8 to 1.0.9 in /crates by @dependabot in https://github.com/containers/youki/pull/822
- chore(deps): bump enumset_derive from 0.5.6 to 0.5.7 in /crates by @dependabot in https://github.com/containers/youki/pull/823
- chore(deps): bump enumset from 1.0.9 to 1.0.10 in /crates by @dependabot in https://github.com/containers/youki/pull/825
- chore(deps): bump sysinfo from 0.23.6 to 0.23.7 in /crates by @dependabot in https://github.com/containers/youki/pull/826
- chore(deps): bump syn from 1.0.90 to 1.0.91 in /crates by @dependabot in https://github.com/containers/youki/pull/827
- chore(deps): bump wat from 1.0.41 to 1.0.42 in /crates by @dependabot in https://github.com/containers/youki/pull/824
- chore(deps): bump sysinfo from 0.23.7 to 0.23.8 in /crates by @dependabot in https://github.com/containers/youki/pull/830
- chore(deps): bump libc from 0.2.121 to 0.2.122 in /crates by @dependabot in https://github.com/containers/youki/pull/829
- chore(deps): bump proc-macro2 from 1.0.36 to 1.0.37 in /crates by @dependabot in https://github.com/containers/youki/pull/828
- chore(deps): bump js-sys from 0.3.56 to 0.3.57 in /crates by @dependabot in https://github.com/containers/youki/pull/832
- chore(deps): bump wasm-bindgen from 0.2.79 to 0.2.80 in /crates by @dependabot in https://github.com/containers/youki/pull/831
- chore(rustdoc): Fix `rustdoc` warnings by @adoerr in https://github.com/containers/youki/pull/833
- Support rust 1.60.0 by @Furisto in https://github.com/containers/youki/pull/835
- Add support for CFS bandwith burst by @Furisto in https://github.com/containers/youki/pull/834
- chore(deps): bump tracing from 0.1.32 to 0.1.33 in /crates by @dependabot in https://github.com/containers/youki/pull/836
- chore(deps): bump sysinfo from 0.23.8 to 0.23.9 in /crates by @dependabot in https://github.com/containers/youki/pull/837
- chore(deps): bump quote from 1.0.17 to 1.0.18 in /crates by @dependabot in https://github.com/containers/youki/pull/841
- chore(deps): bump flate2 from 1.0.22 to 1.0.23 in /crates by @dependabot in https://github.com/containers/youki/pull/840
- chore(deps): bump libbpf-sys from 0.6.1-2 to 0.7.0+v0.7.0 in /crates by @dependabot in https://github.com/containers/youki/pull/839
- chore(deps): bump libc from 0.2.122 to 0.2.123 in /crates by @dependabot in https://github.com/containers/youki/pull/842
- chore(deps): bump enumset from 1.0.10 to 1.0.11 in /crates by @dependabot in https://github.com/containers/youki/pull/843
- chore(deps): bump tracing-core from 0.1.24 to 0.1.25 in /crates by @dependabot in https://github.com/containers/youki/pull/844
- Update the docs for the directory structure changes by @YJDoc2 in https://github.com/containers/youki/pull/813
- chore(deps): bump rayon-core from 1.9.1 to 1.9.2 in /crates by @dependabot in https://github.com/containers/youki/pull/848
- chore(deps): bump sysinfo from 0.23.9 to 0.23.10 in /crates by @dependabot in https://github.com/containers/youki/pull/846
- chore(deps): bump tracing from 0.1.33 to 0.1.34 in /crates by @dependabot in https://github.com/containers/youki/pull/850
- chore(deps): bump tracing-core from 0.1.25 to 0.1.26 in /crates by @dependabot in https://github.com/containers/youki/pull/849
- chore(deps): bump rayon from 1.5.1 to 1.5.2 in /crates by @dependabot in https://github.com/containers/youki/pull/847
- chore(deps): bump clap from 3.1.8 to 3.1.9 in /crates by @dependabot in https://github.com/containers/youki/pull/852
- Ensure pid and root path are canonicalized by @Furisto in https://github.com/containers/youki/pull/851
- chore(deps): bump backtrace from 0.3.64 to 0.3.65 in /crates by @dependabot in https://github.com/containers/youki/pull/853
- chore(deps): bump libc from 0.2.123 to 0.2.124 in /crates by @dependabot in https://github.com/containers/youki/pull/854
- chore(deps): bump clap from 3.1.9 to 3.1.10 in /crates by @dependabot in https://github.com/containers/youki/pull/856
- chore(deps): bump libbpf-sys from 0.7.0+v0.7.0 to 0.7.1+v0.7.0 in /crates by @dependabot in https://github.com/containers/youki/pull/857
- chore(deps): bump clap_complete from 3.1.1 to 3.1.2 in /crates by @dependabot in https://github.com/containers/youki/pull/858
- chore(deps): bump derive_builder from 0.11.1 to 0.11.2 in /crates by @dependabot in https://github.com/containers/youki/pull/859
- chore(deps): bump anyhow from 1.0.56 to 1.0.57 in /crates by @dependabot in https://github.com/containers/youki/pull/862
- chore(deps): bump darling from 0.13.1 to 0.13.4 in /crates by @dependabot in https://github.com/containers/youki/pull/860
- Follow the breaking changes of nix by @utam0k in https://github.com/containers/youki/pull/863
- chore(deps): bump tinyvec from 1.5.1 to 1.6.0 in /crates by @dependabot in https://github.com/containers/youki/pull/864
- Convenient use of rust-analyzer and other tools by placing Cargo.toml in the root. by @utam0k in https://github.com/containers/youki/pull/855
- chore(deps): bump uuid from 0.8.2 to 1.0.0 by @dependabot in https://github.com/containers/youki/pull/866
- Bump nix from 0.24.0 to 0.24.1 by @Furisto in https://github.com/containers/youki/pull/867
- chore(deps): bump unicode-bidi from 0.3.7 to 0.3.8 by @dependabot in https://github.com/containers/youki/pull/870
- chore(deps): bump tracing-attributes from 0.1.20 to 0.1.21 by @dependabot in https://github.com/containers/youki/pull/869
- Add a missing instruction in the readme by @RMPR in https://github.com/containers/youki/pull/871
- chore(deps): bump libz-sys from 1.1.5 to 1.1.6 by @dependabot in https://github.com/containers/youki/pull/872
- chore(deps): bump pin-project-lite from 0.2.8 to 0.2.9 by @dependabot in https://github.com/containers/youki/pull/868
- Add flat logos to docs folder by @scary4cat in https://github.com/containers/youki/pull/873
- chore(deps): bump clap from 3.1.12 to 3.1.14 by @dependabot in https://github.com/containers/youki/pull/884
- chore(deps): bump clap_complete from 3.1.2 to 3.1.3 by @dependabot in https://github.com/containers/youki/pull/883
- chore(deps): bump serde_json from 1.0.79 to 1.0.80 by @dependabot in https://github.com/containers/youki/pull/882
- chore(deps): bump syn from 1.0.91 to 1.0.92 by @dependabot in https://github.com/containers/youki/pull/885
- chore(deps): bump num-integer from 0.1.44 to 0.1.45 by @dependabot in https://github.com/containers/youki/pull/881
- chore(deps): bump thiserror from 1.0.30 to 1.0.31 by @dependabot in https://github.com/containers/youki/pull/880
- chore(deps): bump serde_bytes from 0.11.5 to 0.11.6 by @dependabot in https://github.com/containers/youki/pull/879
- chore(deps): bump memchr from 2.4.1 to 2.5.0 by @dependabot in https://github.com/containers/youki/pull/878
- chore(deps): bump serde from 1.0.136 to 1.0.137 by @dependabot in https://github.com/containers/youki/pull/877
- chore(deps): bump libc from 0.2.124 to 0.2.125 by @dependabot in https://github.com/containers/youki/pull/876
- chore(deps): bump sysinfo from 0.23.10 to 0.23.11 by @dependabot in https://github.com/containers/youki/pull/875
- chore(deps): bump clap from 3.1.14 to 3.1.15 by @dependabot in https://github.com/containers/youki/pull/886
- chore(deps): bump log from 0.4.16 to 0.4.17 by @dependabot in https://github.com/containers/youki/pull/887
- chore(deps): bump unicode-xid from 0.2.2 to 0.2.3 by @dependabot in https://github.com/containers/youki/pull/888
- chore(deps): bump serde_json from 1.0.80 to 1.0.81 by @dependabot in https://github.com/containers/youki/pull/893
- chore(deps): bump bytecheck from 0.6.7 to 0.6.8 by @dependabot in https://github.com/containers/youki/pull/892
- chore(deps): bump num-traits from 0.2.14 to 0.2.15 by @dependabot in https://github.com/containers/youki/pull/891
- chore(deps): bump rkyv from 0.7.37 to 0.7.38 by @dependabot in https://github.com/containers/youki/pull/890
- chore(deps): bump xattr from 0.2.2 to 0.2.3 by @dependabot in https://github.com/containers/youki/pull/889
- chore(deps): bump num_threads from 0.1.5 to 0.1.6 by @dependabot in https://github.com/containers/youki/pull/894
- Update README by @utam0k in https://github.com/containers/youki/pull/895
- How many times in my life do I have to repeat forgetting close? by @utam0k in https://github.com/containers/youki/pull/896
- resize page to fit svg image by @scary4cat in https://github.com/containers/youki/pull/901
- chore(deps): bump rust-criu from `6df3057` to `3f1340b` by @dependabot in https://github.com/containers/youki/pull/906
- chore(deps): bump clap_complete from 3.1.3 to 3.1.4 by @dependabot in https://github.com/containers/youki/pull/903
- chore(deps): bump clap from 3.1.15 to 3.1.17 by @dependabot in https://github.com/containers/youki/pull/904
- chore(deps): bump mio from 0.8.2 to 0.8.3 by @dependabot in https://github.com/containers/youki/pull/907
- chore(deps): bump proc-macro2 from 1.0.37 to 1.0.38 by @dependabot in https://github.com/containers/youki/pull/905
- chore(deps): bump object from 0.28.3 to 0.28.4 by @dependabot in https://github.com/containers/youki/pull/910
- chore(deps): bump syn from 1.0.92 to 1.0.93 by @dependabot in https://github.com/containers/youki/pull/913
- chore(deps): bump clap from 3.1.17 to 3.1.18 by @dependabot in https://github.com/containers/youki/pull/912
- chore(deps): bump sysinfo from 0.23.11 to 0.23.12 by @dependabot in https://github.com/containers/youki/pull/911
- support configure cpu.idle by Cgroupfs by @wineway in https://github.com/containers/youki/pull/908
- chore(deps): bump mockall from 0.11.0 to 0.11.1 by @dependabot in https://github.com/containers/youki/pull/918
- chore(deps): bump itoa from 1.0.1 to 1.0.2 by @dependabot in https://github.com/containers/youki/pull/922
- chore(deps): bump rayon from 1.5.2 to 1.5.3 by @dependabot in https://github.com/containers/youki/pull/921
- chore(deps): bump rayon-core from 1.9.2 to 1.9.3 by @dependabot in https://github.com/containers/youki/pull/920
- chore(deps): bump os_str_bytes from 6.0.0 to 6.0.1 by @dependabot in https://github.com/containers/youki/pull/919
- chore(deps): bump ryu from 1.0.9 to 1.0.10 by @dependabot in https://github.com/containers/youki/pull/917
- chore(deps): bump syn from 1.0.93 to 1.0.94 by @dependabot in https://github.com/containers/youki/pull/916
- put the runtime feature into the oci-spec-rs crate. by @utam0k in https://github.com/containers/youki/pull/923
- chore(deps): bump proc-macro2 from 1.0.38 to 1.0.39 by @dependabot in https://github.com/containers/youki/pull/924
- chore(deps): bump vergen from 7.0.0 to 7.1.0 by @dependabot in https://github.com/containers/youki/pull/927
- chore(deps): bump once_cell from 1.10.0 to 1.11.0 by @dependabot in https://github.com/containers/youki/pull/929
- chore(deps): bump wat from 1.0.42 to 1.0.43 by @dependabot in https://github.com/containers/youki/pull/928
- chore(deps): bump libc from 0.2.125 to 0.2.126 by @dependabot in https://github.com/containers/youki/pull/926
- chore(deps): bump syn from 1.0.94 to 1.0.95 by @dependabot in https://github.com/containers/youki/pull/925
- chore(deps): bump regex-syntax from 0.6.25 to 0.6.26 by @dependabot in https://github.com/containers/youki/pull/934
- chore(deps): bump regex from 1.5.5 to 1.5.6 by @dependabot in https://github.com/containers/youki/pull/932
- Rust 1.61.0 by @utam0k in https://github.com/containers/youki/pull/931
- chore(deps): bump sysinfo from 0.23.12 to 0.23.13 by @dependabot in https://github.com/containers/youki/pull/933
- chore(deps): bump once_cell from 1.11.0 to 1.12.0 by @dependabot in https://github.com/containers/youki/pull/937
- chore(deps): bump target-lexicon from 0.12.3 to 0.12.4 by @dependabot in https://github.com/containers/youki/pull/940
- Remove the build dependency from some tests. by @utam0k in https://github.com/containers/youki/pull/909
- Update cargo-llvm-cov and use rust 1.60.0 for coverage by @taiki-e in https://github.com/containers/youki/pull/898
- Fix CI compilation issues by @Furisto in https://github.com/containers/youki/pull/945
- chore(deps): bump os_str_bytes from 6.0.1 to 6.1.0 by @dependabot in https://github.com/containers/youki/pull/944
- chore(deps): bump uuid from 1.0.0 to 1.1.0 by @dependabot in https://github.com/containers/youki/pull/943
- bump git2 from 0.14.2 to 0.14.4 by @utam0k in https://github.com/containers/youki/pull/946
- support the all option in the kill command. by @utam0k in https://github.com/containers/youki/pull/935
- chore(deps): bump flate2 from 1.0.23 to 1.0.24 by @dependabot in https://github.com/containers/youki/pull/948
- chore(deps): bump indexmap from 1.8.1 to 1.8.2 by @dependabot in https://github.com/containers/youki/pull/949
- chore(deps): bump libz-sys from 1.1.6 to 1.1.8 by @dependabot in https://github.com/containers/youki/pull/950
- bump syscalls from 0.5.0 to 0.6.0  by @utam0k in https://github.com/containers/youki/pull/947
- chore(deps): bump miniz_oxide from 0.5.1 to 0.5.3 by @dependabot in https://github.com/containers/youki/pull/952
- chore(deps): bump uuid from 1.1.0 to 1.1.1 by @dependabot in https://github.com/containers/youki/pull/954
- chore(deps): bump syn from 1.0.95 to 1.0.96 by @dependabot in https://github.com/containers/youki/pull/957
- chore(deps): bump bumpalo from 3.9.1 to 3.10.0 by @dependabot in https://github.com/containers/youki/pull/956
- chore(deps): bump serial_test from 0.6.0 to 0.7.0 by @dependabot in https://github.com/containers/youki/pull/962
- chore(deps): bump memmap2 from 0.5.3 to 0.5.4 by @dependabot in https://github.com/containers/youki/pull/961
- chore(deps): bump libbpf-sys from 0.7.1+v0.7.0 to 0.8.0+v0.8.0 by @dependabot in https://github.com/containers/youki/pull/960
- chore: update .gitignore by @tony84727 in https://github.com/containers/youki/pull/964
- Use pnet_datalink instead of pnet. by @utam0k in https://github.com/containers/youki/pull/963
- Prepare containerd integration test environment using youki by @guni1192 in https://github.com/containers/youki/pull/914
- chore(deps): bump tracing from 0.1.34 to 0.1.35 by @dependabot in https://github.com/containers/youki/pull/969
- chore(deps): bump wasmer-wasi from 2.2.1 to 2.3.0 by @dependabot in https://github.com/containers/youki/pull/967
- chore(deps): bump tracing-core from 0.1.26 to 0.1.27 by @dependabot in https://github.com/containers/youki/pull/966
- chore(deps): bump vergen from 7.2.0 to 7.2.1 by @dependabot in https://github.com/containers/youki/pull/965
- chore(deps): bump fragile from 1.2.0 to 1.2.1 by @dependabot in https://github.com/containers/youki/pull/972
- chore(deps): bump syscalls from 0.6.0 to 0.6.1 by @dependabot in https://github.com/containers/youki/pull/971
- chore(deps): bump wat from 1.0.43 to 1.0.44 by @dependabot in https://github.com/containers/youki/pull/970
- chore(deps): bump uuid from 1.1.1 to 1.1.2 by @dependabot in https://github.com/containers/youki/pull/973
- chore(deps): bump getrandom from 0.2.6 to 0.2.7 by @dependabot in https://github.com/containers/youki/pull/978
- chore(deps): bump clap_lex from 0.2.0 to 0.2.2 by @dependabot in https://github.com/containers/youki/pull/977
- chore(deps): bump unicode-ident from 1.0.0 to 1.0.1 by @dependabot in https://github.com/containers/youki/pull/976
- chore(deps): bump js-sys from 0.3.57 to 0.3.58 by @dependabot in https://github.com/containers/youki/pull/982
- chore(deps): bump wasm-bindgen from 0.2.80 to 0.2.81 by @dependabot in https://github.com/containers/youki/pull/983
- chore(deps): bump clap from 3.1.18 to 3.2.4 by @dependabot in https://github.com/containers/youki/pull/984
- chore(deps): bump clap_complete from 3.1.4 to 3.2.1 by @dependabot in https://github.com/containers/youki/pull/985
- chore(deps): bump time from 0.1.43 to 0.1.44 by @dependabot in https://github.com/containers/youki/pull/986
- chore: a separate target directory for runtimetest by @tony84727 in https://github.com/containers/youki/pull/981
- chore(deps): bump clap from 3.2.4 to 3.2.5 by @dependabot in https://github.com/containers/youki/pull/988
- chore(deps): bump crossbeam-epoch from 0.9.8 to 0.9.9 by @dependabot in https://github.com/containers/youki/pull/992
- chore(deps): bump crossbeam-channel from 0.5.4 to 0.5.5 by @dependabot in https://github.com/containers/youki/pull/991
- chore(deps): bump crossbeam-utils from 0.8.8 to 0.8.9 by @dependabot in https://github.com/containers/youki/pull/990
- chore(deps): bump indexmap from 1.8.2 to 1.9.0 by @dependabot in https://github.com/containers/youki/pull/989
- test: hooks integration test by @tony84727 in https://github.com/containers/youki/pull/959
- Remove duplicated assignment by @cyyzero in https://github.com/containers/youki/pull/993
- chore(deps): bump mio from 0.8.3 to 0.8.4 by @dependabot in https://github.com/containers/youki/pull/995
- chore(deps): bump anyhow from 1.0.57 to 1.0.58 by @dependabot in https://github.com/containers/youki/pull/996
- chore(deps): bump syn from 1.0.96 to 1.0.98 by @dependabot in https://github.com/containers/youki/pull/994
- chore(deps): bump quote from 1.0.18 to 1.0.19 by @dependabot in https://github.com/containers/youki/pull/997
- chore(deps): bump rustversion from 1.0.6 to 1.0.7 by @dependabot in https://github.com/containers/youki/pull/998
- chore(deps): bump proc-macro2 from 1.0.39 to 1.0.40 by @dependabot in https://github.com/containers/youki/pull/999
- chore(deps): bump clap_lex from 0.2.2 to 0.2.3 by @dependabot in https://github.com/containers/youki/pull/1001
- chore(deps): bump indexmap from 1.9.0 to 1.9.1 by @dependabot in https://github.com/containers/youki/pull/1003
- chore(deps): bump clap_complete from 3.2.1 to 3.2.2 by @dependabot in https://github.com/containers/youki/pull/1004
- chore(deps): bump quote from 1.0.19 to 1.0.20 by @dependabot in https://github.com/containers/youki/pull/1005
- chore(deps): bump clap from 3.2.5 to 3.2.6 by @dependabot in https://github.com/containers/youki/pull/1006
- chore(deps): bump tracing-core from 0.1.27 to 0.1.28 by @dependabot in https://github.com/containers/youki/pull/1007
- chore(deps): bump crossbeam-utils from 0.8.9 to 0.8.10 by @dependabot in https://github.com/containers/youki/pull/1008
- chore(deps): bump smallvec from 1.8.0 to 1.8.1 by @dependabot in https://github.com/containers/youki/pull/1014
- chore(deps): bump serial_test from 0.7.0 to 0.8.0 by @dependabot in https://github.com/containers/youki/pull/1013
- chore(deps): bump base-x from 0.2.10 to 0.2.11 by @dependabot in https://github.com/containers/youki/pull/1012
- chore(deps): bump rkyv from 0.7.38 to 0.7.39 by @dependabot in https://github.com/containers/youki/pull/1010
- chore(deps): bump unicode-normalization from 0.1.19 to 0.1.20 by @dependabot in https://github.com/containers/youki/pull/1011
- chore(deps): bump clap_lex from 0.2.3 to 0.2.4 by @dependabot in https://github.com/containers/youki/pull/1015
- chore(deps): bump clap_complete from 3.2.2 to 3.2.3 by @dependabot in https://github.com/containers/youki/pull/1017
- Added podman local system tests by @stefins in https://github.com/containers/youki/pull/1009
- chore(deps): bump serde_json from 1.0.81 to 1.0.82 by @dependabot in https://github.com/containers/youki/pull/1021
- chore(deps): bump either from 1.6.1 to 1.7.0 by @dependabot in https://github.com/containers/youki/pull/1020
- chore(deps): bump smallvec from 1.8.1 to 1.9.0 by @dependabot in https://github.com/containers/youki/pull/1019
- chore(deps): bump clap from 3.2.6 to 3.2.7 by @dependabot in https://github.com/containers/youki/pull/1016
- chore(deps): bump tracing-attributes from 0.1.21 to 0.1.22 by @dependabot in https://github.com/containers/youki/pull/1024
- chore(deps): bump fixedbitset from 0.4.1 to 0.4.2 by @dependabot in https://github.com/containers/youki/pull/1025
- chore(deps): bump filetime from 0.2.16 to 0.2.17 by @dependabot in https://github.com/containers/youki/pull/1026
- chore(deps): bump unicode-normalization from 0.1.20 to 0.1.21 by @dependabot in https://github.com/containers/youki/pull/1027
- chore(deps): bump corosensei from 0.1.2 to 0.1.3 by @dependabot in https://github.com/containers/youki/pull/1029
- chore(deps): bump serde from 1.0.137 to 1.0.138 by @dependabot in https://github.com/containers/youki/pull/1030
- chore(deps): bump once_cell from 1.12.0 to 1.12.1 by @dependabot in https://github.com/containers/youki/pull/1031
- chore(deps): bump clap from 3.2.7 to 3.2.8 by @dependabot in https://github.com/containers/youki/pull/1023
- chore(deps): bump regex-syntax from 0.6.26 to 0.6.27 by @dependabot in https://github.com/containers/youki/pull/1033
- chore(deps): bump wat from 1.0.44 to 1.0.45 by @dependabot in https://github.com/containers/youki/pull/1034
- chore(deps): bump regex from 1.5.6 to 1.6.0 by @dependabot in https://github.com/containers/youki/pull/1035
- chore(deps): bump once_cell from 1.12.1 to 1.13.0 by @dependabot in https://github.com/containers/youki/pull/1032
- chore(deps): bump syscalls from 0.6.1 to 0.6.2 by @dependabot in https://github.com/containers/youki/pull/1022
- chore(deps): bump procfs from 0.12.0 to 0.13.0 by @dependabot in https://github.com/containers/youki/pull/1028
- chore(deps): bump backtrace from 0.3.65 to 0.3.66 by @dependabot in https://github.com/containers/youki/pull/1036
- chore(deps): bump syscalls from 0.6.2 to 0.6.3 by @dependabot in https://github.com/containers/youki/pull/1037
- Automatically publish packages by @MostlyAmiable in https://github.com/containers/youki/pull/1000
- chore(deps): bump libbpf-sys from 0.8.0+v0.8.0 to 0.8.1+v0.8.0 by @dependabot in https://github.com/containers/youki/pull/1041
- chore(deps): bump rust-criu from 0.1.0 to 0.2.0 by @dependabot in https://github.com/containers/youki/pull/1040
- chore(deps): bump memmap2 from 0.5.4 to 0.5.5 by @dependabot in https://github.com/containers/youki/pull/1039
- reduce the number of args. by @utam0k in https://github.com/containers/youki/pull/1042
- chore(deps): bump clap from 3.2.8 to 3.2.10 by @dependabot in https://github.com/containers/youki/pull/1046
- chore(deps): bump wat from 1.0.45 to 1.0.46 by @dependabot in https://github.com/containers/youki/pull/1048
- chore(deps): bump serde from 1.0.138 to 1.0.139 by @dependabot in https://github.com/containers/youki/pull/1045
- chore(deps): bump clap from 3.2.10 to 3.2.11 by @dependabot in https://github.com/containers/youki/pull/1047
- chore(deps): bump syscalls from 0.6.3 to 0.6.5 by @dependabot in https://github.com/containers/youki/pull/1050
- chore(deps): bump clap from 3.2.11 to 3.2.12 by @dependabot in https://github.com/containers/youki/pull/1049
- chore(deps): bump libbpf-sys from 0.8.1+v0.8.0 to 0.8.2+v0.8.1 by @dependabot in https://github.com/containers/youki/pull/1056
- chore(deps): bump dbus from 0.9.5 to 0.9.6 by @dependabot in https://github.com/containers/youki/pull/1043
- chore(deps): bump os_str_bytes from 6.1.0 to 6.2.0 by @dependabot in https://github.com/containers/youki/pull/1055
- chore(deps): bump rustversion from 1.0.7 to 1.0.8 by @dependabot in https://github.com/containers/youki/pull/1054
- chore(deps): bump gimli from 0.26.1 to 0.26.2 by @dependabot in https://github.com/containers/youki/pull/1053
- chore(deps): bump nix from 0.24.1 to 0.24.2 by @dependabot in https://github.com/containers/youki/pull/1052
- chore(deps): bump unicode-ident from 1.0.1 to 1.0.2 by @dependabot in https://github.com/containers/youki/pull/1051
- chore(deps): bump procfs from 0.13.0 to 0.13.2 by @dependabot in https://github.com/containers/youki/pull/1044
- Fix some typos by @z1cheng in https://github.com/containers/youki/pull/1057
- chore(deps): bump slab from 0.4.6 to 0.4.7 by @dependabot in https://github.com/containers/youki/pull/1058
- chore(deps): bump libbpf-sys from 0.8.2+v0.8.1 to 0.8.3+v0.8.1 by @dependabot in https://github.com/containers/youki/pull/1060
- chore(deps): bump clap from 3.2.12 to 3.2.13 by @dependabot in https://github.com/containers/youki/pull/1059
- chore(deps): bump serde from 1.0.139 to 1.0.140 by @dependabot in https://github.com/containers/youki/pull/1061
- chore(deps): bump clap from 3.2.13 to 3.2.14 by @dependabot in https://github.com/containers/youki/pull/1062
- chore(deps): bump crossbeam-epoch from 0.9.9 to 0.9.10 by @dependabot in https://github.com/containers/youki/pull/1072
- chore(deps): bump crossbeam from 0.8.1 to 0.8.2 by @dependabot in https://github.com/containers/youki/pull/1071
- chore(deps): bump bytecheck from 0.6.8 to 0.6.9 by @dependabot in https://github.com/containers/youki/pull/1070
- chore(deps): bump mockall from 0.11.1 to 0.11.2 by @dependabot in https://github.com/containers/youki/pull/1069
- chore(deps): bump crossbeam-channel from 0.5.5 to 0.5.6 by @dependabot in https://github.com/containers/youki/pull/1065
- chore(deps): bump fastrand from 1.7.0 to 1.8.0 by @dependabot in https://github.com/containers/youki/pull/1073
- chore(deps): bump proc-macro2 from 1.0.40 to 1.0.41 by @dependabot in https://github.com/containers/youki/pull/1074
- chore(deps): bump clap from 3.2.14 to 3.2.15 by @dependabot in https://github.com/containers/youki/pull/1078
- chore(deps): bump js-sys from 0.3.58 to 0.3.59 by @dependabot in https://github.com/containers/youki/pull/1077
- chore(deps): bump redox_syscall from 0.2.13 to 0.2.15 by @dependabot in https://github.com/containers/youki/pull/1066
- chore(deps): bump crossbeam-queue from 0.3.5 to 0.3.6 by @dependabot in https://github.com/containers/youki/pull/1064
- chore(deps): bump crossbeam-deque from 0.8.1 to 0.8.2 by @dependabot in https://github.com/containers/youki/pull/1063
- chore(deps): bump crossbeam-utils from 0.8.10 to 0.8.11 by @dependabot in https://github.com/containers/youki/pull/1068
- chore(deps): bump proc-macro2 from 1.0.41 to 1.0.42 by @dependabot in https://github.com/containers/youki/pull/1075
- chore(deps): bump redox_syscall from 0.2.15 to 0.2.16 by @dependabot in https://github.com/containers/youki/pull/1079
- chore(deps): bump wat from 1.0.46 to 1.0.47 by @dependabot in https://github.com/containers/youki/pull/1080
- chore(deps): bump git2 from 0.14.4 to 0.15.0 by @dependabot in https://github.com/containers/youki/pull/1081
- Update to rust 1.62.1 by @Furisto in https://github.com/containers/youki/pull/1082
- chore(deps): bump clap from 3.2.15 to 3.2.16 by @dependabot in https://github.com/containers/youki/pull/1085
- chore(deps): bump tracing from 0.1.35 to 0.1.36 by @dependabot in https://github.com/containers/youki/pull/1083
- chore(deps): bump vergen from 7.2.1 to 7.3.2 by @dependabot in https://github.com/containers/youki/pull/1084
- chore(deps): bump serde from 1.0.140 to 1.0.141 by @dependabot in https://github.com/containers/youki/pull/1089
- chore(deps): bump itoa from 1.0.2 to 1.0.3 by @dependabot in https://github.com/containers/youki/pull/1091
- chore(deps): bump serde from 1.0.141 to 1.0.142 by @dependabot in https://github.com/containers/youki/pull/1092
- chore(deps): bump serde_repr from 0.1.8 to 0.1.9 by @dependabot in https://github.com/containers/youki/pull/1098
- chore(deps): bump unicode-ident from 1.0.2 to 1.0.3 by @dependabot in https://github.com/containers/youki/pull/1093
- chore(deps): bump serde_bytes from 0.11.6 to 0.11.7 by @dependabot in https://github.com/containers/youki/pull/1097
- chore(deps): bump thiserror from 1.0.31 to 1.0.32 by @dependabot in https://github.com/containers/youki/pull/1094
- chore(deps): bump ryu from 1.0.10 to 1.0.11 by @dependabot in https://github.com/containers/youki/pull/1103
- chore(deps): bump syn from 1.0.98 to 1.0.99 by @dependabot in https://github.com/containers/youki/pull/1102
- chore(deps): bump proc-macro2 from 1.0.42 to 1.0.43 by @dependabot in https://github.com/containers/youki/pull/1096
- chore(deps): bump serde_json from 1.0.82 to 1.0.83 by @dependabot in https://github.com/containers/youki/pull/1100
- chore(deps): bump rustversion from 1.0.8 to 1.0.9 by @dependabot in https://github.com/containers/youki/pull/1095
- chore(deps): bump quote from 1.0.20 to 1.0.21 by @dependabot in https://github.com/containers/youki/pull/1099
- Bump procfs from 0.13.2 to 0.14.0 by @Furisto in https://github.com/containers/youki/pull/1106
- chore(deps): bump anyhow from 1.0.58 to 1.0.60 by @dependabot in https://github.com/containers/youki/pull/1090
- chore(deps): bump libc from 0.2.126 to 0.2.127 by @dependabot in https://github.com/containers/youki/pull/1101
- chore(deps): bump chrono from 0.4.19 to 0.4.21 by @dependabot in https://github.com/containers/youki/pull/1108
- Changed bats installation script to apt package manager by @stefins in https://github.com/containers/youki/pull/1125
- chore(deps): bump iana-time-zone from 0.1.41 to 0.1.45 by @dependabot in https://github.com/containers/youki/pull/1124
- chore(deps): bump io-lifetimes from 0.7.2 to 0.7.3 by @dependabot in https://github.com/containers/youki/pull/1126
- chore(deps): bump rustix from 0.35.7 to 0.35.9 by @dependabot in https://github.com/containers/youki/pull/1127
- chore(deps): bump vergen from 7.3.2 to 7.4.0 by @dependabot in https://github.com/containers/youki/pull/1130
- chore(deps): bump iana-time-zone from 0.1.45 to 0.1.46 by @dependabot in https://github.com/containers/youki/pull/1131
- chore(deps): bump clap_complete from 3.2.3 to 3.2.4 by @dependabot in https://github.com/containers/youki/pull/1132
- chore(deps): bump clap from 3.2.16 to 3.2.17 by @dependabot in https://github.com/containers/youki/pull/1117
- chore(deps): bump serial_test from 0.8.0 to 0.9.0 by @dependabot in https://github.com/containers/youki/pull/1113
- chore(deps): bump serde from 1.0.142 to 1.0.143 by @dependabot in https://github.com/containers/youki/pull/1110
- chore(deps): bump memmap2 from 0.5.5 to 0.5.7 by @dependabot in https://github.com/containers/youki/pull/1120
- chore(deps): bump chrono from 0.4.21 to 0.4.22 by @dependabot in https://github.com/containers/youki/pull/1135
- chore(deps): bump futures-core from 0.3.21 to 0.3.23 by @dependabot in https://github.com/containers/youki/pull/1136
- chore(deps): bump os_str_bytes from 6.2.0 to 6.3.0 by @dependabot in https://github.com/containers/youki/pull/1134
- chore(deps): bump futures-channel from 0.3.21 to 0.3.23 by @dependabot in https://github.com/containers/youki/pull/1141
- chore(deps): bump procfs from 0.14.0 to 0.14.1 by @dependabot in https://github.com/containers/youki/pull/1139
- chore(deps): bump bumpalo from 3.10.0 to 3.11.0 by @dependabot in https://github.com/containers/youki/pull/1138
- Fix bug that attempts is always 0 in delete_with_retry by @cyyzero in https://github.com/containers/youki/pull/1128
- Upgrade dependencies by @utam0k in https://github.com/containers/youki/pull/1137
- chore(deps): bump nix from 0.24.2 to 0.25.0 by @dependabot in https://github.com/containers/youki/pull/1147
- chore(deps): bump git2 from 0.14.4 to 0.15.0 by @dependabot in https://github.com/containers/youki/pull/1148
- build.sh enhancement for feature flags by @orimanabu in https://github.com/containers/youki/pull/1150
- chore(deps): bump lock_api from 0.4.7 to 0.4.8 by @dependabot in https://github.com/containers/youki/pull/1151
- Canonicalize the bundle path when storing in the new container data by @YJDoc2 in https://github.com/containers/youki/pull/1154
- chore(deps): bump futures-core from 0.3.23 to 0.3.24 by @dependabot in https://github.com/containers/youki/pull/1162
- chore(deps): bump futures from 0.3.23 to 0.3.24 by @dependabot in https://github.com/containers/youki/pull/1161
- chore(deps): bump futures-task from 0.3.23 to 0.3.24 by @dependabot in https://github.com/containers/youki/pull/1160
- chore(deps): bump futures-channel from 0.3.23 to 0.3.24 by @dependabot in https://github.com/containers/youki/pull/1159
- chore(deps): bump futures-io from 0.3.23 to 0.3.24 by @dependabot in https://github.com/containers/youki/pull/1158
- chore(deps): bump futures-sink from 0.3.23 to 0.3.24 by @dependabot in https://github.com/containers/youki/pull/1157
- chore(deps): bump clap from 3.2.17 to 3.2.18 by @dependabot in https://github.com/containers/youki/pull/1156
- Fix whitespaces: replace TABs to SPACEs by @orimanabu in https://github.com/containers/youki/pull/1167
- Add instructions for using podman and buildah to webassembly.md by @orimanabu in https://github.com/containers/youki/pull/1155
- chore(deps): bump which from 4.2.5 to 4.3.0 by @dependabot in https://github.com/containers/youki/pull/1170
- chore(deps): bump thiserror from 1.0.32 to 1.0.33 by @dependabot in https://github.com/containers/youki/pull/1169
- chore(deps): bump clap from 3.2.18 to 3.2.19 by @dependabot in https://github.com/containers/youki/pull/1166
- chore(deps): bump iana-time-zone from 0.1.46 to 0.1.47 by @dependabot in https://github.com/containers/youki/pull/1165
- chore(deps): bump android_system_properties from 0.1.4 to 0.1.5 by @dependabot in https://github.com/containers/youki/pull/1164
- chore(deps): bump dashmap from 5.3.4 to 5.4.0 by @dependabot in https://github.com/containers/youki/pull/1163
- Upgrade dependencies by @utam0k in https://github.com/containers/youki/pull/1172
- chore(deps): bump thiserror from 1.0.33 to 1.0.34 by @dependabot in https://github.com/containers/youki/pull/1175
- chore(deps): bump miniz_oxide from 0.5.3 to 0.5.4 by @dependabot in https://github.com/containers/youki/pull/1176
- chore(deps): bump oci-spec from 0.5.7 to 0.5.8 by @dependabot in https://github.com/containers/youki/pull/1179
- chore(deps): bump url from 2.2.2 to 2.3.0 by @dependabot in https://github.com/containers/youki/pull/1180
- chore(deps): bump percent-encoding from 2.1.0 to 2.2.0 by @dependabot in https://github.com/containers/youki/pull/1182
- chore(deps): bump url from 2.3.0 to 2.3.1 by @dependabot in https://github.com/containers/youki/pull/1181
- chore(deps): bump anyhow from 1.0.63 to 1.0.65 by @dependabot in https://github.com/containers/youki/pull/1192
- chore(deps): bump iana-time-zone from 0.1.47 to 0.1.48 by @dependabot in https://github.com/containers/youki/pull/1185
- chore(deps): bump clap from 3.2.20 to 3.2.21 by @dependabot in https://github.com/containers/youki/pull/1184
- Fix README issue links by @LeoColomb in https://github.com/containers/youki/pull/1183
- chore(deps): bump unicode-ident from 1.0.3 to 1.0.4 by @dependabot in https://github.com/containers/youki/pull/1193
- chore(deps): bump wasm-bindgen from 0.2.82 to 0.2.83 by @dependabot in https://github.com/containers/youki/pull/1186
- chore(deps): bump js-sys from 0.3.59 to 0.3.60 by @dependabot in https://github.com/containers/youki/pull/1188
- chore(deps): bump clap_complete from 3.2.4 to 3.2.5 by @dependabot in https://github.com/containers/youki/pull/1187
- chore(deps): bump syn from 1.0.99 to 1.0.100 by @dependabot in https://github.com/containers/youki/pull/1196
- chore(deps): bump unicode-normalization from 0.1.21 to 0.1.22 by @dependabot in https://github.com/containers/youki/pull/1199
- chore(deps): bump env_logger from 0.9.0 to 0.9.1 by @dependabot in https://github.com/containers/youki/pull/1198
- chore(deps): bump clap from 3.2.21 to 3.2.22 by @dependabot in https://github.com/containers/youki/pull/1197
- Get the result of exec command by @utam0k in https://github.com/containers/youki/pull/1018
- chore(deps): bump lock_api from 0.4.8 to 0.4.9 by @dependabot in https://github.com/containers/youki/pull/1203
- chore(deps): bump once_cell from 1.14.0 to 1.15.0 by @dependabot in https://github.com/containers/youki/pull/1201
- chore(deps): bump thiserror from 1.0.34 to 1.0.35 by @dependabot in https://github.com/containers/youki/pull/1191
- chore(deps): bump wat from 1.0.48 to 1.0.49 by @dependabot in https://github.com/containers/youki/pull/1205
- chore(deps): bump iana-time-zone from 0.1.48 to 0.1.49 by @dependabot in https://github.com/containers/youki/pull/1208
- chore(deps): bump serde from 1.0.144 to 1.0.145 by @dependabot in https://github.com/containers/youki/pull/1207
- chore(deps): bump rand_core from 0.6.3 to 0.6.4 by @dependabot in https://github.com/containers/youki/pull/1194
- chore(deps): bump unicode-width from 0.1.9 to 0.1.10 by @dependabot in https://github.com/containers/youki/pull/1189
- chore(deps): bump itertools from 0.10.3 to 0.10.5 by @dependabot in https://github.com/containers/youki/pull/1202
- chore(deps): bump jobserver from 0.1.24 to 0.1.25 by @dependabot in https://github.com/containers/youki/pull/1215
- chore(deps): bump proc-macro2 from 1.0.43 to 1.0.44 by @dependabot in https://github.com/containers/youki/pull/1216
- chore(deps): bump thiserror from 1.0.35 to 1.0.36 by @dependabot in https://github.com/containers/youki/pull/1218
- chore(deps): bump sysinfo from 0.26.2 to 0.26.3 by @dependabot in https://github.com/containers/youki/pull/1219
- chore(deps): bump iana-time-zone from 0.1.49 to 0.1.50 by @dependabot in https://github.com/containers/youki/pull/1220
- Rust 1.64.0 by @utam0k in https://github.com/containers/youki/pull/1211
- chore(deps): bump sysinfo from 0.26.3 to 0.26.4 by @dependabot in https://github.com/containers/youki/pull/1221
- chore(deps): bump syn from 1.0.100 to 1.0.101 by @dependabot in https://github.com/containers/youki/pull/1222
- Support domainname by @higuruchi in https://github.com/containers/youki/pull/1214
- chore(deps): bump rustix from 0.35.9 to 0.35.10 by @dependabot in https://github.com/containers/youki/pull/1206
- chore(deps): bump rustix from 0.35.10 to 0.35.11 by @dependabot in https://github.com/containers/youki/pull/1224
- chore(deps): bump thiserror from 1.0.36 to 1.0.37 by @dependabot in https://github.com/containers/youki/pull/1223
- chore(deps): bump proc-macro2 from 1.0.44 to 1.0.45 by @dependabot in https://github.com/containers/youki/pull/1226
- chore(deps): bump clap_derive from 3.2.18 to 4.0.1 by @dependabot in https://github.com/containers/youki/pull/1228
- chore(deps): bump crossbeam-utils from 0.8.11 to 0.8.12 by @dependabot in https://github.com/containers/youki/pull/1233
- chore(deps): bump proc-macro2 from 1.0.45 to 1.0.46 by @dependabot in https://github.com/containers/youki/pull/1230
- chore(deps): bump crossbeam-epoch from 0.9.10 to 0.9.11 by @dependabot in https://github.com/containers/youki/pull/1232
- chore(deps): bump smallvec from 1.9.0 to 1.10.0 by @dependabot in https://github.com/containers/youki/pull/1239
- chore(deps): bump clap_derive from 4.0.1 to 4.0.8 by @dependabot in https://github.com/containers/youki/pull/1237
- chore(deps): bump libseccomp from 0.2.3 to 0.3.0 by @dependabot in https://github.com/containers/youki/pull/1240
- chore(deps): bump enumset from 1.0.11 to 1.0.12 by @dependabot in https://github.com/containers/youki/pull/1244
- chore(deps): bump clap_derive from 4.0.8 to 4.0.9 by @dependabot in https://github.com/containers/youki/pull/1242
- chore(deps): bump wast from 47.0.0 to 47.0.1 by @dependabot in https://github.com/containers/youki/pull/1243
- chore(deps): bump enumset_derive from 0.6.0 to 0.6.1 by @dependabot in https://github.com/containers/youki/pull/1241
- chore(deps): bump clap_derive from 4.0.9 to 4.0.10 by @dependabot in https://github.com/containers/youki/pull/1245
- chore(deps): bump tracing-core from 0.1.29 to 0.1.30 by @dependabot in https://github.com/containers/youki/pull/1250
- chore(deps): bump tracing from 0.1.36 to 0.1.37 by @dependabot in https://github.com/containers/youki/pull/1249
- chore(deps): bump itoa from 1.0.3 to 1.0.4 by @dependabot in https://github.com/containers/youki/pull/1248
- Add git commit sha placeholder if .git not found by @YJDoc2 in https://github.com/containers/youki/pull/1251
- chore(deps): bump syn from 1.0.101 to 1.0.102 by @dependabot in https://github.com/containers/youki/pull/1247
- chore(deps): bump unicode-ident from 1.0.4 to 1.0.5 by @dependabot in https://github.com/containers/youki/pull/1253
- chore(deps): bump iana-time-zone from 0.1.50 to 0.1.51 by @dependabot in https://github.com/containers/youki/pull/1254
- chore(deps): bump uuid from 1.1.2 to 1.2.1 by @dependabot in https://github.com/containers/youki/pull/1255
- chore(deps): bump serde_json from 1.0.85 to 1.0.86 by @dependabot in https://github.com/containers/youki/pull/1256
- fix a typo by @DriedYellowPeach in https://github.com/containers/youki/pull/1257
- chore(deps): bump clap_derive from 4.0.10 to 4.0.13 by @dependabot in https://github.com/containers/youki/pull/1261
- chore(actions): upgrade to checkout action to v3 by @fsmiamoto in https://github.com/containers/youki/pull/1263
- chore(deps): bump syscalls from 0.6.6 to 0.6.7 by @dependabot in https://github.com/containers/youki/pull/1264
- chore(deps): bump iana-time-zone-haiku from 0.1.0 to 0.1.1 by @dependabot in https://github.com/containers/youki/pull/1271
- chore(deps): bump cxx-build from 1.0.78 to 1.0.79 by @dependabot in https://github.com/containers/youki/pull/1270
- chore(deps): bump proc-macro2 from 1.0.46 to 1.0.47 by @dependabot in https://github.com/containers/youki/pull/1268
- chore(deps): bump cxx from 1.0.78 to 1.0.79 by @dependabot in https://github.com/containers/youki/pull/1269
- Update libbpf to 1.0.3+v1.0.1 by @YJDoc2 in https://github.com/containers/youki/pull/1265
- chore(deps): bump bumpalo from 3.11.0 to 3.11.1 by @dependabot in https://github.com/containers/youki/pull/1276
- chore(deps): bump fragile from 1.2.1 to 1.2.2 by @dependabot in https://github.com/containers/youki/pull/1275
- chore(deps): bump parking_lot_core from 0.9.3 to 0.9.4 by @dependabot in https://github.com/containers/youki/pull/1274
- chore(deps): bump sysinfo from 0.26.4 to 0.26.5 by @dependabot in https://github.com/containers/youki/pull/1272
- chore(deps): bump mockall from 0.11.2 to 0.11.3 by @dependabot in https://github.com/containers/youki/pull/1273
- chore(deps): bump clap_derive from 4.0.13 to 4.0.18 by @dependabot in https://github.com/containers/youki/pull/1287
- chore(deps): bump futures from 0.3.24 to 0.3.25 by @dependabot in https://github.com/containers/youki/pull/1285
- chore(deps): bump futures-core from 0.3.24 to 0.3.25 by @dependabot in https://github.com/containers/youki/pull/1284
- chore(deps): bump futures-task from 0.3.24 to 0.3.25 by @dependabot in https://github.com/containers/youki/pull/1283
- chore(deps): bump syn from 1.0.102 to 1.0.103 by @dependabot in https://github.com/containers/youki/pull/1281
- chore(deps): bump getrandom from 0.2.7 to 0.2.8 by @dependabot in https://github.com/containers/youki/pull/1282
- chore(deps): bump futures-channel from 0.3.24 to 0.3.25 by @dependabot in https://github.com/containers/youki/pull/1280
- Make exec behaviour consistent with runc's exec by @YJDoc2 in https://github.com/containers/youki/pull/1252
- Fix how cgroup manager is created based on cgroups path by @YJDoc2 in https://github.com/containers/youki/pull/1288
- chore(deps): bump serde from 1.0.145 to 1.0.147 by @dependabot in https://github.com/containers/youki/pull/1290
- chore(deps): bump io-lifetimes from 0.7.3 to 0.7.4 by @dependabot in https://github.com/containers/youki/pull/1291
- chore(deps): bump filetime from 0.2.17 to 0.2.18 by @dependabot in https://github.com/containers/youki/pull/1292
- chore(deps): bump rustix from 0.35.11 to 0.35.12 by @dependabot in https://github.com/containers/youki/pull/1293
- chore(deps): bump cxx-build from 1.0.79 to 1.0.80 by @dependabot in https://github.com/containers/youki/pull/1294
- chore(deps): bump cxx from 1.0.79 to 1.0.80 by @dependabot in https://github.com/containers/youki/pull/1295
- chore(deps): bump clap from 3.2.22 to 3.2.23 by @dependabot in https://github.com/containers/youki/pull/1298
- chore(deps): bump mio from 0.8.4 to 0.8.5 by @dependabot in https://github.com/containers/youki/pull/1299
- chore(deps): bump libbpf-sys from 1.0.3+v1.0.1 to 1.0.4+v1.0.1 by @dependabot in https://github.com/containers/youki/pull/1301
- Log result of the command before returning from main by @YJDoc2 in https://github.com/containers/youki/pull/1302
- chore(deps): bump wat from 1.0.49 to 1.0.50 by @dependabot in https://github.com/containers/youki/pull/1303
- chore(deps): bump darling from 0.14.1 to 0.14.2 by @dependabot in https://github.com/containers/youki/pull/1306
- chore(deps): bump sysinfo from 0.26.5 to 0.26.6 by @dependabot in https://github.com/containers/youki/pull/1307
- chore(deps): bump pkg-config from 0.3.25 to 0.3.26 by @dependabot in https://github.com/containers/youki/pull/1308
- chore(deps): bump serde_json from 1.0.86 to 1.0.87 by @dependabot in https://github.com/containers/youki/pull/1279
- Thaw a paused container in cgroup v1 when it is forcely deleted. by @cyyzero in https://github.com/containers/youki/pull/1204
- chore(deps): bump once_cell from 1.15.0 to 1.16.0 by @dependabot in https://github.com/containers/youki/pull/1309
- chore(deps): bump io-lifetimes from 0.7.4 to 0.7.5 by @dependabot in https://github.com/containers/youki/pull/1317
- chore(deps): bump rustix from 0.35.12 to 0.35.13 by @dependabot in https://github.com/containers/youki/pull/1316
- chore(deps): bump caps from 0.5.4 to 0.5.5 by @dependabot in https://github.com/containers/youki/pull/1315
- chore(deps): bump sysinfo from 0.26.6 to 0.26.7 by @dependabot in https://github.com/containers/youki/pull/1313
- chore(deps): bump os_str_bytes from 6.3.0 to 6.3.1 by @dependabot in https://github.com/containers/youki/pull/1312
- chore(deps): bump iana-time-zone from 0.1.51 to 0.1.53 by @dependabot in https://github.com/containers/youki/pull/1310
- Add TestContainerKill required error message in kill command by @YJDoc2 in https://github.com/containers/youki/pull/1319
- chore(deps): bump predicates-core from 1.0.3 to 1.0.4 by @dependabot in https://github.com/containers/youki/pull/1322
- chore(deps): bump regex-syntax from 0.6.27 to 0.6.28 by @dependabot in https://github.com/containers/youki/pull/1328
- chore(deps): bump predicates-tree from 1.0.5 to 1.0.6 by @dependabot in https://github.com/containers/youki/pull/1323
- chore(deps): bump target-lexicon from 0.12.4 to 0.12.5 by @dependabot in https://github.com/containers/youki/pull/1324
- chore(deps): bump regex from 1.6.0 to 1.7.0 by @dependabot in https://github.com/containers/youki/pull/1325
- chore(deps): bump libloading from 0.7.3 to 0.7.4 by @dependabot in https://github.com/containers/youki/pull/1327
- Upgrade to 1.65 and fix lint errors by @YJDoc2 in https://github.com/containers/youki/pull/1321
- chore(deps): bump predicates from 2.1.1 to 2.1.2 by @dependabot in https://github.com/containers/youki/pull/1326
- chore(deps): bump cc from 1.0.73 to 1.0.74 by @dependabot in https://github.com/containers/youki/pull/1311
- Add the logo with the name by @utam0k in https://github.com/containers/youki/pull/1329
- chore(deps): bump wat from 1.0.50 to 1.0.51 by @dependabot in https://github.com/containers/youki/pull/1338
- chore(deps): bump num_cpus from 1.13.1 to 1.14.0 by @dependabot in https://github.com/containers/youki/pull/1337
- chore(deps): bump env_logger from 0.9.1 to 0.9.3 by @dependabot in https://github.com/containers/youki/pull/1335
- chore(deps): bump cxx from 1.0.80 to 1.0.81 by @dependabot in https://github.com/containers/youki/pull/1334
- chore(deps): bump ppv-lite86 from 0.2.16 to 0.2.17 by @dependabot in https://github.com/containers/youki/pull/1333
- chore(deps): bump memmap2 from 0.5.7 to 0.5.8 by @dependabot in https://github.com/containers/youki/pull/1340
- chore(deps): bump cc from 1.0.74 to 1.0.76 by @dependabot in https://github.com/containers/youki/pull/1336
- chore(deps): bump clap_derive from 4.0.18 to 4.0.21 by @dependabot in https://github.com/containers/youki/pull/1332
- chore(deps): bump cxx-build from 1.0.80 to 1.0.81 by @dependabot in https://github.com/containers/youki/pull/1331
- chore(deps): bump predicates from 2.1.2 to 2.1.3 by @dependabot in https://github.com/containers/youki/pull/1341
- chore(deps): bump predicates-tree from 1.0.6 to 1.0.7 by @dependabot in https://github.com/containers/youki/pull/1342
- chore(deps): bump predicates-core from 1.0.4 to 1.0.5 by @dependabot in https://github.com/containers/youki/pull/1343
- Ignore error when killing, if error is 'process does not exist' by @YJDoc2 in https://github.com/containers/youki/pull/1339
- chore(deps): bump chrono from 0.4.22 to 0.4.23 by @dependabot in https://github.com/containers/youki/pull/1344
- chore(deps): bump os_str_bytes from 6.3.1 to 6.4.0 by @dependabot in https://github.com/containers/youki/pull/1345
- chore(deps): bump uuid from 1.2.1 to 1.2.2 by @dependabot in https://github.com/containers/youki/pull/1346
- Fixed set capability fail. by @higuruchi in https://github.com/containers/youki/pull/1349
- Pass features across crates by @Silcet in https://github.com/containers/youki/pull/1330
- Detect architecture by uname command by @udzura in https://github.com/containers/youki/pull/1352
- chore(deps): bump indexmap from 1.9.1 to 1.9.2 by @dependabot in https://github.com/containers/youki/pull/1350
- Small fix and refine documents by @udzura in https://github.com/containers/youki/pull/1351
- chore(deps): bump rayon-core from 1.9.3 to 1.10.1 by @dependabot in https://github.com/containers/youki/pull/1360
- chore(deps): bump cc from 1.0.76 to 1.0.77 by @dependabot in https://github.com/containers/youki/pull/1353
- chore(deps): bump cxx-build from 1.0.81 to 1.0.82 by @dependabot in https://github.com/containers/youki/pull/1354
- chore(deps): bump crossbeam-epoch from 0.9.11 to 0.9.13 by @dependabot in https://github.com/containers/youki/pull/1362
- chore(deps): bump crossbeam-utils from 0.8.12 to 0.8.14 by @dependabot in https://github.com/containers/youki/pull/1364
- chore(deps): bump os_str_bytes from 6.4.0 to 6.4.1 by @dependabot in https://github.com/containers/youki/pull/1361
- chore(deps): bump cxx from 1.0.81 to 1.0.82 by @dependabot in https://github.com/containers/youki/pull/1355
- chore(deps): bump crossbeam-queue from 0.3.6 to 0.3.8 by @dependabot in https://github.com/containers/youki/pull/1363
- chore(deps): bump aho-corasick from 0.7.19 to 0.7.20 by @dependabot in https://github.com/containers/youki/pull/1370
- chore(deps): bump sysinfo from 0.26.7 to 0.26.8 by @dependabot in https://github.com/containers/youki/pull/1368
- chore(deps): bump serde_json from 1.0.87 to 1.0.89 by @dependabot in https://github.com/containers/youki/pull/1367
- chore(deps): bump wat from 1.0.51 to 1.0.52 by @dependabot in https://github.com/containers/youki/pull/1365
- chore(deps): bump rayon from 1.5.3 to 1.6.0 by @dependabot in https://github.com/containers/youki/pull/1366
- chore(deps): bump env_logger from 0.9.3 to 0.10.0 by @dependabot in https://github.com/containers/youki/pull/1374
- chore(deps): bump flate2 from 1.0.24 to 1.0.25 by @dependabot in https://github.com/containers/youki/pull/1373
- Improve the flow of the containerd test with youki by @utam0k in https://github.com/containers/youki/pull/1297
- Fix TestContainerNoBinaryExists test, by making create behaviour similar to runc by @YJDoc2 in https://github.com/containers/youki/pull/1347
- chore(deps): bump time from 0.1.44 to 0.1.45 by @dependabot in https://github.com/containers/youki/pull/1378
- chore(deps): bump syn from 1.0.103 to 1.0.104 by @dependabot in https://github.com/containers/youki/pull/1382
- chore(deps): bump serde from 1.0.147 to 1.0.148 by @dependabot in https://github.com/containers/youki/pull/1381
- chore(deps): bump is-terminal from 0.4.0 to 0.4.1 by @dependabot in https://github.com/containers/youki/pull/1380
- [libcontainer] Integrate WasmEdge Runtime by @apepkuss in https://github.com/containers/youki/pull/1320
- [actions] add workflow file for containerd integration testing by @guni1192 in https://github.com/containers/youki/pull/968
- Change targets in the makefile by @YJDoc2 in https://github.com/containers/youki/pull/1383
- Update makefile changes in containerd ci by @YJDoc2 in https://github.com/containers/youki/pull/1386
- chore(deps): bump parking_lot_core from 0.9.4 to 0.9.5 by @dependabot in https://github.com/containers/youki/pull/1384
- chore(deps): bump protobuf from 2.27.1 to 2.28.0 by @dependabot in https://github.com/containers/youki/pull/1387
- chore(deps): bump cmake from 0.1.48 to 0.1.49 by @dependabot in https://github.com/containers/youki/pull/1388
- chore(deps): bump syn from 1.0.104 to 1.0.105 by @dependabot in https://github.com/containers/youki/pull/1390
- Add hostname test by @chermehdi in https://github.com/containers/youki/pull/1376
- chore(deps): bump cxx from 1.0.82 to 1.0.83 by @dependabot in https://github.com/containers/youki/pull/1394
- chore(deps): bump cxx-build from 1.0.82 to 1.0.83 by @dependabot in https://github.com/containers/youki/pull/1393
- Check capabilities in youki info subcommand by @udzura in https://github.com/containers/youki/pull/1389
- chore(deps): bump serde from 1.0.148 to 1.0.149 by @dependabot in https://github.com/containers/youki/pull/1396
- Pin github action image by @Furisto in https://github.com/containers/youki/pull/1401
- Support pressure stall information by @Furisto in https://github.com/containers/youki/pull/1400
- chore(deps): bump rayon from 1.6.0 to 1.6.1 by @dependabot in https://github.com/containers/youki/pull/1405
- chore(deps): bump serde from 1.0.149 to 1.0.150 by @dependabot in https://github.com/containers/youki/pull/1404
- chore(deps): bump paste from 1.0.9 to 1.0.10 by @dependabot in https://github.com/containers/youki/pull/1408
- Fix release script and prepare for release by @YJDoc2 in https://github.com/containers/youki/pull/1397

## [v0.0.3](https://github.com/containers/youki/compare/v0.0.2...v0.0.3) - 2022-04-03
- Use /dev/null inside of the container by @adrianreber in https://github.com/containers/youki/pull/630
- Fix some typos and align formatting by @Szymongib in https://github.com/containers/youki/pull/631
- chore(deps): bump serde from 1.0.133 to 1.0.135 by @dependabot in https://github.com/containers/youki/pull/635
- chore(deps): bump serde_json from 1.0.75 to 1.0.78 by @dependabot in https://github.com/containers/youki/pull/637
- chore(deps): bump anyhow from 1.0.52 to 1.0.53 by @dependabot in https://github.com/containers/youki/pull/636
- chore(deps): bump crc32fast from 1.3.0 to 1.3.1 by @dependabot in https://github.com/containers/youki/pull/638
- chore(deps): bump quote from 1.0.14 to 1.0.15 by @dependabot in https://github.com/containers/youki/pull/639
- chore(deps): bump fastrand from 1.6.0 to 1.7.0 by @dependabot in https://github.com/containers/youki/pull/640
- Suppport executing wasm workloads with wasmer by @Furisto in https://github.com/containers/youki/pull/548
- chore(deps): bump libloading from 0.7.2 to 0.7.3 by @dependabot in https://github.com/containers/youki/pull/652
- chore(deps): bump wasm-bindgen from 0.2.78 to 0.2.79 by @dependabot in https://github.com/containers/youki/pull/651
- chore(deps): bump wasmer-types from 2.1.0 to 2.1.1 by @dependabot in https://github.com/containers/youki/pull/650
- chore(deps): bump rkyv from 0.7.28 to 0.7.29 by @dependabot in https://github.com/containers/youki/pull/648
- chore(deps): bump wasmer-vfs from 2.1.0 to 2.1.1 by @dependabot in https://github.com/containers/youki/pull/656
- chore(deps): bump js-sys from 0.3.55 to 0.3.56 by @dependabot in https://github.com/containers/youki/pull/655
- chore(deps): bump wat from 1.0.40 to 1.0.41 by @dependabot in https://github.com/containers/youki/pull/653
- Always call setsid by @Furisto in https://github.com/containers/youki/pull/632
- chore(deps): bump bumpalo from 3.8.0 to 3.9.1 by @dependabot in https://github.com/containers/youki/pull/649
- chore(deps): bump memmap2 from 0.5.0 to 0.5.2 by @dependabot in https://github.com/containers/youki/pull/643
- chore(deps): bump wasmer-compiler from 2.1.0 to 2.1.1 by @dependabot in https://github.com/containers/youki/pull/644
- chore(deps): bump vergen from 6.0.0 to 6.0.1 by @dependabot in https://github.com/containers/youki/pull/645
- chore(deps): bump wasmer-vm from 2.1.0 to 2.1.1 by @dependabot in https://github.com/containers/youki/pull/659
- chore(deps): bump sha1 from 0.6.0 to 0.6.1 by @dependabot in https://github.com/containers/youki/pull/646
- chore(deps): bump wasmer-derive from 2.1.0 to 2.1.1 by @dependabot in https://github.com/containers/youki/pull/658
- chore(deps): bump const_fn from 0.4.8 to 0.4.9 by @dependabot in https://github.com/containers/youki/pull/647
- chore(deps): bump libc from 0.2.113 to 0.2.114 by @dependabot in https://github.com/containers/youki/pull/654
- chore(deps): bump serde from 1.0.135 to 1.0.136 by @dependabot in https://github.com/containers/youki/pull/657
- chore(deps): bump wasmer-engine from 2.1.0 to 2.1.1 by @dependabot in https://github.com/containers/youki/pull/669
- chore(deps): bump wasmer-compiler-cranelift from 2.1.0 to 2.1.1 by @dependabot in https://github.com/containers/youki/pull/668
- chore(deps): bump rkyv from 0.7.29 to 0.7.31 by @dependabot in https://github.com/containers/youki/pull/667
- chore(deps): bump wasmer-object from 2.1.0 to 2.1.1 by @dependabot in https://github.com/containers/youki/pull/666
- chore(deps): bump wasmer-wasi-types from 2.1.0 to 2.1.1 by @dependabot in https://github.com/containers/youki/pull/660
- chore(deps): bump tempfile from 3.2.0 to 3.3.0 by @dependabot in https://github.com/containers/youki/pull/661
- chore(deps): bump which from 4.2.2 to 4.2.4 by @dependabot in https://github.com/containers/youki/pull/664
- chore(deps): bump libbpf-sys from 0.6.1-1 to 0.6.1-2 by @dependabot in https://github.com/containers/youki/pull/663
- chore(deps): bump wasmer from 2.1.0 to 2.1.1 by @dependabot in https://github.com/containers/youki/pull/665
- Support umask by @Furisto in https://github.com/containers/youki/pull/642
- chore(deps): bump wasmer-wasi from 2.1.0 to 2.1.1 by @dependabot in https://github.com/containers/youki/pull/672
- chore(deps): bump vergen from 6.0.1 to 6.0.2 by @dependabot in https://github.com/containers/youki/pull/671
- chore(deps): bump libc from 0.2.114 to 0.2.115 by @dependabot in https://github.com/containers/youki/pull/670
- ready for integration test for the exec command. by @utam0k in https://github.com/containers/youki/pull/622
- Ensure namespaces are entered in correct order by @Furisto in https://github.com/containers/youki/pull/674
- Remove duplication from commands execution in Integration tests by @Szymongib in https://github.com/containers/youki/pull/673
- chore(deps): bump lock_api from 0.4.5 to 0.4.6 by @dependabot in https://github.com/containers/youki/pull/675
- chore(deps): bump libc from 0.2.115 to 0.2.116 by @dependabot in https://github.com/containers/youki/pull/676
- chore(deps): bump backtrace from 0.3.63 to 0.3.64 by @dependabot in https://github.com/containers/youki/pull/677
- chore(deps): bump target-lexicon from 0.12.2 to 0.12.3 by @dependabot in https://github.com/containers/youki/pull/678
- chore(deps): bump libc from 0.2.116 to 0.2.117 by @dependabot in https://github.com/containers/youki/pull/679
- make sure test_make_parent_mount_private() passes even when root is not a slave. by @utam0k in https://github.com/containers/youki/pull/682
- chore(deps): bump tracing-core from 0.1.21 to 0.1.22 by @dependabot in https://github.com/containers/youki/pull/693
- chore(deps): bump crossbeam-utils from 0.8.6 to 0.8.7 by @dependabot in https://github.com/containers/youki/pull/684
- chore(deps): bump crossbeam-epoch from 0.9.6 to 0.9.7 by @dependabot in https://github.com/containers/youki/pull/685
- chore(deps): bump futures-sink from 0.3.19 to 0.3.21 by @dependabot in https://github.com/containers/youki/pull/686
- chore(deps): bump tracing-attributes from 0.1.18 to 0.1.19 by @dependabot in https://github.com/containers/youki/pull/687
- chore(deps): bump futures-channel from 0.3.19 to 0.3.21 by @dependabot in https://github.com/containers/youki/pull/688
- chore(deps): bump futures-core from 0.3.19 to 0.3.21 by @dependabot in https://github.com/containers/youki/pull/689
- chore(deps): bump crossbeam-queue from 0.3.3 to 0.3.4 by @dependabot in https://github.com/containers/youki/pull/691
- chore(deps): bump futures-io from 0.3.19 to 0.3.21 by @dependabot in https://github.com/containers/youki/pull/692
- chore(deps): bump unicode-segmentation from 1.8.0 to 1.9.0 by @dependabot in https://github.com/containers/youki/pull/697
- chore(deps): bump futures from 0.3.19 to 0.3.21 by @dependabot in https://github.com/containers/youki/pull/690
- chore(deps): bump tracing from 0.1.29 to 0.1.30 by @dependabot in https://github.com/containers/youki/pull/695
- chore(deps): bump futures-task from 0.3.19 to 0.3.21 by @dependabot in https://github.com/containers/youki/pull/696
- Use buffered io for reading state file by @Furisto in https://github.com/containers/youki/pull/683
- chore(deps): bump crc32fast from 1.3.1 to 1.3.2 by @dependabot in https://github.com/containers/youki/pull/700
- chore(deps): bump autocfg from 1.0.1 to 1.1.0 by @dependabot in https://github.com/containers/youki/pull/698
- chore(deps): bump sysinfo from 0.23.0 to 0.23.1 by @dependabot in https://github.com/containers/youki/pull/699
- adding HOME into envs when init containers by @mitnk in https://github.com/containers/youki/pull/681
- make the rootless code testable by @utam0k in https://github.com/containers/youki/pull/634
- chore(deps): bump memmap2 from 0.5.2 to 0.5.3 by @dependabot in https://github.com/containers/youki/pull/701
- Add tests to libcgroups/src/v2/devices/emulator.rs by @128f in https://github.com/containers/youki/pull/704
- Add gitpod as development option by @Furisto in https://github.com/containers/youki/pull/576
- Add a description to 'create daemon.json' in Basic Usage in docs by @kobotomorrow in https://github.com/containers/youki/pull/707
- chore(deps): bump sysinfo from 0.23.1 to 0.23.2 by @dependabot in https://github.com/containers/youki/pull/710
- chore(deps): bump ntapi from 0.3.6 to 0.3.7 by @dependabot in https://github.com/containers/youki/pull/709
- chore(deps): bump serde_json from 1.0.78 to 1.0.79 by @dependabot in https://github.com/containers/youki/pull/708
- remove cargo config by @junnplus in https://github.com/containers/youki/pull/712
- chore(deps): bump rand from 0.8.4 to 0.8.5 by @dependabot in https://github.com/containers/youki/pull/713
- Always use the same permissions for youki dir by @Szymongib in https://github.com/containers/youki/pull/705
- chore(deps): bump libc from 0.2.117 to 0.2.118 by @dependabot in https://github.com/containers/youki/pull/714
- chore(deps): bump cc from 1.0.72 to 1.0.73 by @dependabot in https://github.com/containers/youki/pull/716
- chore(deps): bump rkyv from 0.7.31 to 0.7.32 by @dependabot in https://github.com/containers/youki/pull/715
- chore(deps): bump tracing from 0.1.30 to 0.1.31 by @dependabot in https://github.com/containers/youki/pull/718
- add the rust-analyzer for gitpod. by @utam0k in https://github.com/containers/youki/pull/717
- chore(deps): bump anyhow from 1.0.53 to 1.0.54 by @dependabot in https://github.com/containers/youki/pull/723
- chore(deps): bump libc from 0.2.118 to 0.2.119 by @dependabot in https://github.com/containers/youki/pull/725
- chore(deps): bump rkyv from 0.7.32 to 0.7.33 by @dependabot in https://github.com/containers/youki/pull/724
- chore(deps): bump serial_test from 0.5.1 to 0.6.0 by @dependabot in https://github.com/containers/youki/pull/726
- chore(deps): bump anyhow from 1.0.54 to 1.0.55 by @dependabot in https://github.com/containers/youki/pull/728
- chore(deps): bump getrandom from 0.2.4 to 0.2.5 by @dependabot in https://github.com/containers/youki/pull/729
- Use cgroup.kill file if available by @Furisto in https://github.com/containers/youki/pull/722
- Add tests to crates/libcgroups/src/v2/devices/controller.rs by @128f in https://github.com/containers/youki/pull/706
- Remove caching of OCI tests in CI by @YJDoc2 in https://github.com/containers/youki/pull/727
- Add support for seccomp filter flags by @saschagrunert in https://github.com/containers/youki/pull/733
- Fix Cargo.lock file that gets generated after build by @harche in https://github.com/containers/youki/pull/734
- chore(deps): bump sysinfo from 0.23.2 to 0.23.3 by @dependabot in https://github.com/containers/youki/pull/736
- chore(deps): bump serial_test from 0.5.1 to 0.6.0 by @dependabot in https://github.com/containers/youki/pull/735
- chore(deps): bump sysinfo from 0.23.3 to 0.23.4 by @dependabot in https://github.com/containers/youki/pull/737
- chore(deps): bump git2 from 0.13.25 to 0.14.0 by @dependabot in https://github.com/containers/youki/pull/738
- Initial checkpoint support by @adrianreber in https://github.com/containers/youki/pull/641
- Add the metadates for publishing a crate by @utam0k in https://github.com/containers/youki/pull/732
- Bring back architecture diagrams to README. by @utam0k in https://github.com/containers/youki/pull/739
- Handle relative paths by @Szymongib in https://github.com/containers/youki/pull/740
- chore(deps): bump serial_test_derive from 0.5.1 to 0.6.0 by @dependabot in https://github.com/containers/youki/pull/742
- Support rust 1.59.0 by @utam0k in https://github.com/containers/youki/pull/745
- chore(deps): bump libgit2-sys from 0.13.0+1.4.1 to 0.13.1+1.4.2 by @dependabot in https://github.com/containers/youki/pull/747
- chore(deps): bump redox_syscall from 0.2.10 to 0.2.11 by @dependabot in https://github.com/containers/youki/pull/746
- chore(deps): bump git2 from 0.14.0 to 0.14.1 by @dependabot in https://github.com/containers/youki/pull/750
- chore(deps): bump sysinfo from 0.23.4 to 0.23.5 by @dependabot in https://github.com/containers/youki/pull/749
- chore(deps): bump wasmer-derive from 2.1.1 to 2.2.0 by @dependabot in https://github.com/containers/youki/pull/748
- chore(deps): bump wasmer-types from 2.1.1 to 2.2.0 by @dependabot in https://github.com/containers/youki/pull/752
- chore(deps): bump wasmer-vfs from 2.1.1 to 2.2.0 by @dependabot in https://github.com/containers/youki/pull/751
- chore(deps): bump wasmer-vm from 2.1.1 to 2.2.0 by @dependabot in https://github.com/containers/youki/pull/755
- chore(deps): bump wasmer-wasi-types from 2.1.1 to 2.2.0 by @dependabot in https://github.com/containers/youki/pull/756
- chore(deps): bump termcolor from 1.1.2 to 1.1.3 by @dependabot in https://github.com/containers/youki/pull/759
- chore(deps): bump once_cell from 1.9.0 to 1.10.0 by @dependabot in https://github.com/containers/youki/pull/761
- chore(deps): bump rkyv from 0.7.33 to 0.7.35 by @dependabot in https://github.com/containers/youki/pull/760
- Create the pid file with integration test by @utam0k in https://github.com/containers/youki/pull/762
- chore(deps): bump wasmer from 2.1.1 to 2.2.0 by @dependabot in https://github.com/containers/youki/pull/754
- Use the libseccomp-rs/libseccomp-rs crate instead of youki original libseccomp-rs. by @utam0k in https://github.com/containers/youki/pull/741
- chore(deps): bump wasmer-wasi from 2.1.1 to 2.2.0 by @dependabot in https://github.com/containers/youki/pull/764
- chore(deps): bump libz-sys from 1.1.3 to 1.1.4 by @dependabot in https://github.com/containers/youki/pull/765
- Adds more mocked tests by @128f in https://github.com/containers/youki/pull/711
- Use close_range where possible  by @Furisto in https://github.com/containers/youki/pull/758
- Update oci-spec-rs to v0.5.5 by @saschagrunert in https://github.com/containers/youki/pull/744
- Bump anyhow from 1.0.55 to 1.0.56 and fix warnings by @Furisto in https://github.com/containers/youki/pull/767
- chore(deps): bump regex from 1.5.4 to 1.5.5 by @dependabot in https://github.com/containers/youki/pull/770
- chore(deps): bump tracing-attributes from 0.1.19 to 0.1.20 by @dependabot in https://github.com/containers/youki/pull/769
- chore(deps): bump libz-sys from 1.1.4 to 1.1.5 by @dependabot in https://github.com/containers/youki/pull/768
- Refactor Directory structure by @YJDoc2 in https://github.com/containers/youki/pull/694
- Fix a comment explaining that `seccom_rule_add` requires multiple args to be broken into multiple rules. by @yihuaf in https://github.com/containers/youki/pull/775
- introduce the timeout for github actions by @utam0k in https://github.com/containers/youki/pull/777
- fix log control env val not passing properly. by @utam0k in https://github.com/containers/youki/pull/778
- Introduce the root Makefile. by @utam0k in https://github.com/containers/youki/pull/774
- update README.md for makefile. by @utam0k in https://github.com/containers/youki/pull/779
- Organize the workflows to adapt Makefile. by @utam0k in https://github.com/containers/youki/pull/780
- fix the release workflow. by @utam0k in https://github.com/containers/youki/pull/781
- make dependabot work again. by @utam0k in https://github.com/containers/youki/pull/782
- chore(deps): bump mio from 0.8.0 to 0.8.2 in /crates by @dependabot in https://github.com/containers/youki/pull/783
- chore(deps): bump log from 0.4.14 to 0.4.16 in /crates by @dependabot in https://github.com/containers/youki/pull/791
- chore(deps): bump rkyv from 0.7.35 to 0.7.36 in /crates by @dependabot in https://github.com/containers/youki/pull/787
- chore(deps): bump crossbeam-epoch from 0.9.7 to 0.9.8 in /crates by @dependabot in https://github.com/containers/youki/pull/795
- chore(deps): bump libc from 0.2.119 to 0.2.121 in /crates by @dependabot in https://github.com/containers/youki/pull/793
- chore(deps): bump quote from 1.0.15 to 1.0.16 in /crates by @dependabot in https://github.com/containers/youki/pull/790
- chore(deps): bump tracing from 0.1.31 to 0.1.32 in /crates by @dependabot in https://github.com/containers/youki/pull/785
- chore(deps): bump syn from 1.0.86 to 1.0.89 in /crates by @dependabot in https://github.com/containers/youki/pull/786
- chore(deps): bump crossbeam-utils from 0.8.7 to 0.8.8 in /crates by @dependabot in https://github.com/containers/youki/pull/784
- chore(deps): bump git2 from 0.14.1 to 0.14.2 in /crates by @dependabot in https://github.com/containers/youki/pull/796
- chore(deps): bump crossbeam-channel from 0.5.2 to 0.5.4 in /crates by @dependabot in https://github.com/containers/youki/pull/792
- chore(deps): bump libgit2-sys from 0.13.1+1.4.2 to 0.13.2+1.4.2 in /crates by @dependabot in https://github.com/containers/youki/pull/788
- chore(deps): bump redox_syscall from 0.2.11 to 0.2.12 in /crates by @dependabot in https://github.com/containers/youki/pull/794
- chore(deps): bump which from 4.2.4 to 4.2.5 in /crates by @dependabot in https://github.com/containers/youki/pull/799
- chore(deps): bump paste from 1.0.6 to 1.0.7 in /crates by @dependabot in https://github.com/containers/youki/pull/800
- chore(deps): bump quote from 1.0.16 to 1.0.17 in /crates by @dependabot in https://github.com/containers/youki/pull/801
- chore(deps): bump sysinfo from 0.23.5 to 0.23.6 in /crates by @dependabot in https://github.com/containers/youki/pull/806
- chore(deps): bump indexmap from 1.8.0 to 1.8.1 in /crates by @dependabot in https://github.com/containers/youki/pull/805
- chore(deps): bump fragile from 1.1.0 to 1.2.0 in /crates by @dependabot in https://github.com/containers/youki/pull/804
- chore(deps): bump getrandom from 0.2.5 to 0.2.6 in /crates by @dependabot in https://github.com/containers/youki/pull/802
- chore(deps): bump syn from 1.0.89 to 1.0.90 in /crates by @dependabot in https://github.com/containers/youki/pull/803
- Resolve deprecation warnings from clap by @YJDoc2 in https://github.com/containers/youki/pull/798
- chore(deps): bump redox_syscall from 0.2.12 to 0.2.13 in /crates by @dependabot in https://github.com/containers/youki/pull/808
- chore(deps): bump lock_api from 0.4.6 to 0.4.7 in /crates by @dependabot in https://github.com/containers/youki/pull/809
- chore(deps): bump rkyv from 0.7.36 to 0.7.37 in /crates by @dependabot in https://github.com/containers/youki/pull/807
- chore(deps): bump vergen from 6.0.2 to 7.0.0 in /crates by @dependabot in https://github.com/containers/youki/pull/789
- chore(deps): bump clap from 3.1.6 to 3.1.7 in /crates by @dependabot in https://github.com/containers/youki/pull/812
- chore(deps): bump pkg-config from 0.3.24 to 0.3.25 in /crates by @dependabot in https://github.com/containers/youki/pull/811
- Release v0.0.3 by @utam0k in https://github.com/containers/youki/pull/816

## [v0.0.2](https://github.com/containers/youki/compare/v0.0.1...v0.0.2) - 2022-01-22
- Bump syn from 1.0.83 to 1.0.84 by @dependabot in https://github.com/containers/youki/pull/566
- Bump proc-macro2 from 1.0.34 to 1.0.35 by @dependabot in https://github.com/containers/youki/pull/567
- Resolved `needs_to_handle` TODO's by @SarthakSingh31 in https://github.com/containers/youki/pull/568
- Fix typo in docs by @inductor in https://github.com/containers/youki/pull/572
- Bump proc-macro2 from 1.0.35 to 1.0.36 by @dependabot in https://github.com/containers/youki/pull/571
- Bump quote from 1.0.10 to 1.0.13 by @dependabot in https://github.com/containers/youki/pull/570
- Interpret a cpu quota of zero as default value by @Furisto in https://github.com/containers/youki/pull/569
- Add option to list test groups by @Furisto in https://github.com/containers/youki/pull/573
- fix the name of build artifacts at release. by @utam0k in https://github.com/containers/youki/pull/574
- Bump quote from 1.0.13 to 1.0.14 by @dependabot in https://github.com/containers/youki/pull/575
- Bump version_check from 0.9.3 to 0.9.4 by @dependabot in https://github.com/containers/youki/pull/577
- align the version of crates. by @utam0k in https://github.com/containers/youki/pull/578
- Bump ppv-lite86 from 0.2.15 to 0.2.16 by @dependabot in https://github.com/containers/youki/pull/581
- Use correct hugetlb interface file name by @Furisto in https://github.com/containers/youki/pull/579
- Bump serde_json from 1.0.73 to 1.0.74 by @dependabot in https://github.com/containers/youki/pull/590
- Bump serde from 1.0.132 to 1.0.133 by @dependabot in https://github.com/containers/youki/pull/589
- Bump pin-project-lite from 0.2.7 to 0.2.8 by @dependabot in https://github.com/containers/youki/pull/588
- Bump fixedbitset from 0.4.0 to 0.4.1 by @dependabot in https://github.com/containers/youki/pull/587
- style(spellcheck): Run a spellchecker and fix typos by @em- in https://github.com/containers/youki/pull/580
- Ignore autogenerated code by @Furisto in https://github.com/containers/youki/pull/592
- Add commit id to info cmd by @Furisto in https://github.com/containers/youki/pull/593
- Bump oci-spec to 0.5.3 to prevent specifying commit hash. by @utam0k in https://github.com/containers/youki/pull/596
- chore(deps): bump libbpf-sys from 0.6.0-1 to 0.6.1-1 by @dependabot in https://github.com/containers/youki/pull/599
- chore(deps): bump syn from 1.0.84 to 1.0.85 by @dependabot in https://github.com/containers/youki/pull/598
- Readonly paths by @YJDoc2 in https://github.com/containers/youki/pull/582
- clean up the shell script for youki integration test. by @utam0k in https://github.com/containers/youki/pull/600
- chore(deps): bump crossbeam-channel from 0.5.1 to 0.5.2 by @dependabot in https://github.com/containers/youki/pull/602
- chore(deps): bump crossbeam-epoch from 0.9.5 to 0.9.6 by @dependabot in https://github.com/containers/youki/pull/604
- chore(deps): bump indexmap from 1.7.0 to 1.8.0 by @dependabot in https://github.com/containers/youki/pull/603
- chore(deps): bump crossbeam-queue from 0.3.2 to 0.3.3 by @dependabot in https://github.com/containers/youki/pull/605
- chore(deps): bump crossbeam-utils from 0.8.5 to 0.8.6 by @dependabot in https://github.com/containers/youki/pull/606
- Improve cgroup path handling for rootless containers by @Furisto in https://github.com/containers/youki/pull/597
- chore(deps): bump getrandom from 0.2.3 to 0.2.4 by @dependabot in https://github.com/containers/youki/pull/611
- chore(deps): bump smallvec from 1.7.0 to 1.8.0 by @dependabot in https://github.com/containers/youki/pull/612
- chore(deps): bump pnet from 0.28.0 to 0.29.0 by @dependabot in https://github.com/containers/youki/pull/610
- Pin nightly version in CI as temporary fix to coverage issue by @YJDoc2 in https://github.com/containers/youki/pull/619
- Ensure youki runs under podman by @Furisto in https://github.com/containers/youki/pull/613
- chore(deps): bump serde_json from 1.0.74 to 1.0.75 by @dependabot in https://github.com/containers/youki/pull/618
- make the runtime-tools directory one level deeper. by @utam0k in https://github.com/containers/youki/pull/614
- support rust 1.58.0 by @utam0k in https://github.com/containers/youki/pull/615
- Ensure exec command can find config.json by @Furisto in https://github.com/containers/youki/pull/616
- chore(deps): bump syn from 1.0.85 to 1.0.86 by @dependabot in https://github.com/containers/youki/pull/625
- chore(deps): bump libc from 0.2.112 to 0.2.113 by @dependabot in https://github.com/containers/youki/pull/624
- Create device as 0666 and not 066 by @adrianreber in https://github.com/containers/youki/pull/627
- integration test: move `config.json` to the code. by @utam0k in https://github.com/containers/youki/pull/621
- Add minimum rust version requirement to libcgroups and libcontainers by @YJDoc2 in https://github.com/containers/youki/pull/626

## [v0.0.1](https://github.com/containers/youki/commits/v0.0.1) - 2021-12-26
- Add for local to README by @succie in https://github.com/containers/youki/pull/1
- Update README.md by @aoki in https://github.com/containers/youki/pull/3
- traial implementation of async/await. by @utam0k in https://github.com/containers/youki/pull/4
- introduce ci for checkinng codes by github actions. by @utam0k in https://github.com/containers/youki/pull/5
- implementation the controller of devices in cgroups. by @utam0k in https://github.com/containers/youki/pull/6
- Improvement to make easier to write tests by @utam0k in https://github.com/containers/youki/pull/7
- organize and add to the list of features. by @utam0k in https://github.com/containers/youki/pull/18
- add information about the pronunciation and the etymology of youki by @yuchiki in https://github.com/containers/youki/pull/19
- Support hugetlb cgroup by @Furisto in https://github.com/containers/youki/pull/15
- refactor a code of github actions. by @utam0k in https://github.com/containers/youki/pull/22
- add pids cgroup controller by @kmpzr in https://github.com/containers/youki/pull/26
- Change logo by @128f in https://github.com/containers/youki/pull/29
- add memory cgroup controller by @tsturzl in https://github.com/containers/youki/pull/16
- adjust the size of the logo. by @utam0k in https://github.com/containers/youki/pull/30
- Blkio cgroup support by @Furisto in https://github.com/containers/youki/pull/31
- Fix typo in README.md regarding opencontainers/runtime-tools by @akluth in https://github.com/containers/youki/pull/35
- cgroup v1 networking by @tsturzl in https://github.com/containers/youki/pull/34
- fix a memory subsystem by @utam0k in https://github.com/containers/youki/pull/36
- Add comments to main.rs by @YJDoc2 in https://github.com/containers/youki/pull/38
- Update Rust-Analyzer in Dockerfile by @nalpine in https://github.com/containers/youki/pull/40
- get oci_spec in seperate crate by @ferrell-code in https://github.com/containers/youki/pull/42
- extract the integration tests writen in the ci file as a script file. by @utam0k in https://github.com/containers/youki/pull/37
- revert asynchronous devices mounting. by @utam0k in https://github.com/containers/youki/pull/41
- organize the logger. by @utam0k in https://github.com/containers/youki/pull/47
- add default handling when there isn't cgroup path in config.json. by @utam0k in https://github.com/containers/youki/pull/45
- add the tutorial on using youki. by @utam0k in https://github.com/containers/youki/pull/49
- update README. by @utam0k in https://github.com/containers/youki/pull/50
- Initial support for cgroups v2 by @Furisto in https://github.com/containers/youki/pull/48
- make log level debug to get more information when ci failed. 4b260b0 by @utam0k in https://github.com/containers/youki/pull/53
- cargo clippy. by @utam0k in https://github.com/containers/youki/pull/52
- Align cgroup controller implementations by @Furisto in https://github.com/containers/youki/pull/54
- Consolidate cgroup test methods by @Furisto in https://github.com/containers/youki/pull/57
- Add 'Community' section to README.md by @nimrodshn in https://github.com/containers/youki/pull/59
- Update README.md by @aoki in https://github.com/containers/youki/pull/58
- Add comments to create.rs by @YJDoc2 in https://github.com/containers/youki/pull/43
- utam0k -> containers by @smorimoto in https://github.com/containers/youki/pull/61
- Support for cgroup v1 cpu and cpuset subsystem by @Furisto in https://github.com/containers/youki/pull/63
- Add comments to process module and minor refactoring by @YJDoc2 in https://github.com/containers/youki/pull/64
- Added install command for prerequisite in README by @PeterYordanov in https://github.com/containers/youki/pull/66
- Fixed spelling mistake in src/rootfs.rs by @PeterYordanov in https://github.com/containers/youki/pull/67
- add handling of WouldBlock error. by @utam0k in https://github.com/containers/youki/pull/68
- Change execution path and fix CI by @minakawa-daiki in https://github.com/containers/youki/pull/73
- Fix issues with cgroup v1 and v2 by @Furisto in https://github.com/containers/youki/pull/69
- Added Integration test template by @minakawa-daiki in https://github.com/containers/youki/pull/71
- Added doc comments modules by @PeterYordanov in https://github.com/containers/youki/pull/70
- add some widgets to README.md by @utam0k in https://github.com/containers/youki/pull/76
- Handle relative cgroup paths by @Furisto in https://github.com/containers/youki/pull/74
- Improved testing, property testing, device tests by @tsturzl in https://github.com/containers/youki/pull/75
- Document Container and Command modules by @YJDoc2 in https://github.com/containers/youki/pull/79
- Fix badges in README by @tsturzl in https://github.com/containers/youki/pull/80
- add create kill delete state in integration test by @lizhemingi in https://github.com/containers/youki/pull/81
- Provide better error messages by @Furisto in https://github.com/containers/youki/pull/84
- Clean up use of unsafe by @tsturzl in https://github.com/containers/youki/pull/85
- Add info command by @Furisto in https://github.com/containers/youki/pull/83
- Fix README link typo by @sasurau4 in https://github.com/containers/youki/pull/88
- Add CODE-OF-CONDUCT.md and SECURITY.md by @utam0k in https://github.com/containers/youki/pull/86
- clean up around the tty. by @utam0k in https://github.com/containers/youki/pull/89
- Rename Cond to Pipe by @YJDoc2 in https://github.com/containers/youki/pull/90
- make sure to log any unimplemented controllers. by @utam0k in https://github.com/containers/youki/pull/91
- [WIP] Add support for cpuacct in cgroup v1. by @yjuba in https://github.com/containers/youki/pull/92
- use bail! insted of anyhow by @utam0k in https://github.com/containers/youki/pull/94
- Add a test for applying CpuAcct. by @yjuba in https://github.com/containers/youki/pull/96
- Add cgroup v1 freezer controller by @lizhemingi in https://github.com/containers/youki/pull/93
- Experimental support for rootless containers by @Furisto in https://github.com/containers/youki/pull/98
- Add unit tests for tty module in https://github.com/containers/youki/pull/102
- Extend info cmd with version and os by @Furisto in https://github.com/containers/youki/pull/101
- Use `assert!` instead of `assert_eq!` when comparing a boolean. by @utam0k in https://github.com/containers/youki/pull/104
- Add support for systemd managed cgroups by @nimrodshn in https://github.com/containers/youki/pull/46
- update README.md by @utam0k in https://github.com/containers/youki/pull/105
- Fix README.md Fedora & Centos instructions by @nimrodshn in https://github.com/containers/youki/pull/107
- Add list command by @Furisto in https://github.com/containers/youki/pull/108
- improve build time in CI by @utam0k in https://github.com/containers/youki/pull/97
- split the subcommands into their own files. by @utam0k in https://github.com/containers/youki/pull/110
- Update README.md by @bkochendorfer in https://github.com/containers/youki/pull/112
- Seperate adding tasks to cgroups and applying resource restrictions by @Furisto in https://github.com/containers/youki/pull/111
- Require only requested cgroups to be present by @Furisto in https://github.com/containers/youki/pull/114
- force delete container if it is running or created by @bobsongplus in https://github.com/containers/youki/pull/115
- add comments in intergration_test.sh about test case that runc no paas by @bobsongplus in https://github.com/containers/youki/pull/116
- remove unnecessary clone() in create.rs by @utam0k in https://github.com/containers/youki/pull/117
- add cgroup v2 pids controller by @bobsongplus in https://github.com/containers/youki/pull/119
- make String to signal conversion more simplify by using a Trait. by @utam0k in https://github.com/containers/youki/pull/122
- Reduce size of binary by @Furisto in https://github.com/containers/youki/pull/124
- Add cgroup v2 freezer controller by @lizhemingi in https://github.com/containers/youki/pull/123
- Modularize container creation by @Furisto in https://github.com/containers/youki/pull/121
- Cgroupv2 io controller by @bobsongplus in https://github.com/containers/youki/pull/128
- fix the warnings shown by cargo clippy by @utam0k in https://github.com/containers/youki/pull/127
- Add format check ci by @lizhemingi in https://github.com/containers/youki/pull/129
- Fix spec path in delete by @lizhemingi in https://github.com/containers/youki/pull/130
- Fix same tmp dir in freezer v2 tests by @lizhemingi in https://github.com/containers/youki/pull/133
- Document capabilities rs and refactor its drop_privileges function by @YJDoc2 in https://github.com/containers/youki/pull/131
- Document Info module by @YJDoc2 in https://github.com/containers/youki/pull/136
- cgroupsv2 hugetlb by @kmpzr in https://github.com/containers/youki/pull/135
- Document list and logger modules by @YJDoc2 in https://github.com/containers/youki/pull/137
- Implement exec command by @Furisto in https://github.com/containers/youki/pull/138
- Add pause and resume command by @lizhemingi in https://github.com/containers/youki/pull/139
- Adds spec cli command by @ferrell-code in https://github.com/containers/youki/pull/55
- memory cgv2 subsystem implemented by @tsturzl in https://github.com/containers/youki/pull/141
- add serde_support to caps by @ferrell-code in https://github.com/containers/youki/pull/151
- Correctly handle the rootfs path with bundle by @yihuaf in https://github.com/containers/youki/pull/153
- Refactor the container creation to use `clone(2)` instead of fork. by @yihuaf in https://github.com/containers/youki/pull/143
- prepare Vagrant instead of devcontainer for platforms other than linux. by @utam0k in https://github.com/containers/youki/pull/100
- Document namespace.rs by @YJDoc2 in https://github.com/containers/youki/pull/154
- Move commands into dedicated module by @Furisto in https://github.com/containers/youki/pull/155
- Fix alignment of cgroups info by @Furisto in https://github.com/containers/youki/pull/157
- Document Pause and Resume by @YJDoc2 in https://github.com/containers/youki/pull/156
- Converted linux in spec from Option<Linux> to Linux by @YJDoc2 in https://github.com/containers/youki/pull/158
- add implementation of run command by @zidoshare in https://github.com/containers/youki/pull/160
- Cleanup state file path construction by @saschagrunert in https://github.com/containers/youki/pull/161
- bump up to nix-0.22.0 by @utam0k in https://github.com/containers/youki/pull/164
- Add integration tests for life cycle by @minakawa-daiki in https://github.com/containers/youki/pull/113
- Use `remove_dir` instead of `remove_dir_all` because youki doesn't have permission to delete contents in cgroup directory. by @utam0k in https://github.com/containers/youki/pull/165
- add perf_event to cgroups v1 by @fbrv in https://github.com/containers/youki/pull/166
- Refactor clone(2) child stack creation. by @yihuaf in https://github.com/containers/youki/pull/167
- make the builder pattern more flowing and code readable. by @utam0k in https://github.com/containers/youki/pull/169
- Generalize OCI spec root by @saschagrunert in https://github.com/containers/youki/pull/174
- Fix how closure is transferred to the clone call. by @yihuaf in https://github.com/containers/youki/pull/173
- ci with release build by @utam0k in https://github.com/containers/youki/pull/175
- Implement events command for cgroup v1 stats by @Furisto in https://github.com/containers/youki/pull/171
- Implementation of ps commmand by @zidoshare in https://github.com/containers/youki/pull/172
- Implement --preserve-fds flag by @yihuaf in https://github.com/containers/youki/pull/177
- Add `Hooks` to OCI spec by @saschagrunert in https://github.com/containers/youki/pull/178
- implemented LISTEN_FDS by @yihuaf in https://github.com/containers/youki/pull/180
- Add Windows, VM and Solaris types by @saschagrunert in https://github.com/containers/youki/pull/181
- make ci fail even with clippy warning level. by @utam0k in https://github.com/containers/youki/pull/176
- Update README to reflect completion of features by @tsturzl in https://github.com/containers/youki/pull/190
- Implement events command for cgroup v2 stats by @Furisto in https://github.com/containers/youki/pull/191
- adjust author and version to current status. by @utam0k in https://github.com/containers/youki/pull/192
- Improve looking up the root directory by @Furisto in https://github.com/containers/youki/pull/193
- reduce the number of clones by introducing lifetime to rootless. by @utam0k in https://github.com/containers/youki/pull/194
- delete the original FileDescriptor. by @utam0k in https://github.com/containers/youki/pull/195
- Make optional types optional by @saschagrunert in https://github.com/containers/youki/pull/183
- support readonly path by @lizhemingi in https://github.com/containers/youki/pull/196
- reduce the number of clones by introducing lifetime to namespaces. by @utam0k in https://github.com/containers/youki/pull/197
- Move cgroups into own crate by @Furisto in https://github.com/containers/youki/pull/198
- Support sysctl by @Furisto in https://github.com/containers/youki/pull/199
- Change the license from MIT to Apache 2.0 by @utam0k in https://github.com/containers/youki/pull/200
- Implemented hooks by @yihuaf in https://github.com/containers/youki/pull/187
- Reflected that oci_spec has been moved to a separate repository by @utam0k in https://github.com/containers/youki/pull/202
- Support unified resource section by @Furisto in https://github.com/containers/youki/pull/203
- Organize integration tests and add current status to README by @utam0k in https://github.com/containers/youki/pull/204
- make sure integration tests complete in ubuntu 20.04 enviroment. by @utam0k in https://github.com/containers/youki/pull/206
- Fail fast to create a container if bundle path is illegal by @tiqwab in https://github.com/containers/youki/pull/210
- ensure theat read only paths work properly. by @utam0k in https://github.com/containers/youki/pull/212
- fork: use 8MB stack if rlimit returns unlimited  by @MoZhonghua in https://github.com/containers/youki/pull/214
- Chdir to process.cwd before starting container to pass integration test by @guni1192 in https://github.com/containers/youki/pull/215
- increment as we pass the `process` case. by @utam0k in https://github.com/containers/youki/pull/216
- Add necessary libraries to build youki in Vagrant provision by @tiqwab in https://github.com/containers/youki/pull/219
- Fix clone(2) with double fork by @yihuaf in https://github.com/containers/youki/pull/217
- Fix integration_test script for go env by @chenyukang in https://github.com/containers/youki/pull/222
- Show error log only when error happens by @chenyukang in https://github.com/containers/youki/pull/223
- exclude blkio test case in runtime-tools bacause it doesn't support linux kernel 5.0 or later. by @utam0k in https://github.com/containers/youki/pull/211
- Fix #209, pass root-readonly by @chenyukang in https://github.com/containers/youki/pull/224
- Tweak document by @chenyukang in https://github.com/containers/youki/pull/220
- introduction to sequence diagrams using vscode's draw.io by @utam0k in https://github.com/containers/youki/pull/231
- Fix user namespace for integration tests by @yihuaf in https://github.com/containers/youki/pull/233
- Fix tutorial in readme by @chenyukang in https://github.com/containers/youki/pull/229
- Fix graceful shutdown when intermediate or init process errors or panic by @yihuaf in https://github.com/containers/youki/pull/238
- [WIP] cgroups v2: PoC of devices controller by @MoZhonghua in https://github.com/containers/youki/pull/208
- Pass misc props test by @Furisto in https://github.com/containers/youki/pull/245
- Use chroot when not entering into mount namespace by @yihuaf in https://github.com/containers/youki/pull/242
- [Trivial] Include 3 more passed integration test by @yihuaf in https://github.com/containers/youki/pull/247
- distinguish channels more clearly between each process by @utam0k in https://github.com/containers/youki/pull/244
- [Trivial] Fix a typo where gid should be uid. by @yihuaf in https://github.com/containers/youki/pull/253
- enable oom_score_adj test by @yihuaf in https://github.com/containers/youki/pull/251
- Add codecov by @chenyukang in https://github.com/containers/youki/pull/232
- Pass process user integration test by @Furisto in https://github.com/containers/youki/pull/243
- Minor improvements to Container Struct by @utam0k in https://github.com/containers/youki/pull/257
- Add namespace information to info command by @Furisto in https://github.com/containers/youki/pull/258
- add tests of ContainerStatus. by @utam0k in https://github.com/containers/youki/pull/264
- The `.grcov.yml` moves under the `.github/` because `.github/workflows` is recognized as GitHub actions files. by @utam0k in https://github.com/containers/youki/pull/263
- Print logfile when test case crash by @chenyukang in https://github.com/containers/youki/pull/265
- Create test framework and setup initial integration tests by @YJDoc2 in https://github.com/containers/youki/pull/186
- fix unstable the channel tests. by @utam0k in https://github.com/containers/youki/pull/267
- fix a failure because it is running before checkout. by @utam0k in https://github.com/containers/youki/pull/270
- disable the code coverage because of unstable. by @utam0k in https://github.com/containers/youki/pull/272
- Rework cgroup detection by @Furisto in https://github.com/containers/youki/pull/269
- Pass mounts/mounts in testing by @chenyukang in https://github.com/containers/youki/pull/268
- bump clap and use crate_version macro by @humancalico in https://github.com/containers/youki/pull/259
- CI Code Coverage Fix by @YJDoc2 in https://github.com/containers/youki/pull/273
- Bump procfs by @Furisto in https://github.com/containers/youki/pull/274
- Pass linux_masked_paths by @chenyukang in https://github.com/containers/youki/pull/276
- Fixing and stabilizing github actions by @utam0k in https://github.com/containers/youki/pull/275
- Stablize cargo test by @yihuaf in https://github.com/containers/youki/pull/277
- Change cache action from default to Swatinem/rust-cache@v1  by @YJDoc2 in https://github.com/containers/youki/pull/278
- cache runtime-tools. by @utam0k in https://github.com/containers/youki/pull/280
- fix cargo clippy warning in cgroups. by @utam0k in https://github.com/containers/youki/pull/281
- fix: Mismatch of PWD in tutorial by @kenoss in https://github.com/containers/youki/pull/283
- Convert memory swap values by @Furisto in https://github.com/containers/youki/pull/285
- add Rust 1.55.0 by @utam0k in https://github.com/containers/youki/pull/288
- fix cargo clippy warning in cgroups by @utam0k in https://github.com/containers/youki/pull/291
- check if commands used in the unit test exists. by @utam0k in https://github.com/containers/youki/pull/290
- Pass uid_mapping test by @tommady in https://github.com/containers/youki/pull/289
- fix a failure when dirs is empty at changes job. by @utam0k in https://github.com/containers/youki/pull/294
- Upgrade oci-spec-rs to 0.4.0 by @guni1192 in https://github.com/containers/youki/pull/266
- update oci compliance in README. by @utam0k in https://github.com/containers/youki/pull/293
- 279 increate the code coverage of src capabilities by @tommady in https://github.com/containers/youki/pull/296
- Extend info cmd with status of cgroup controllers by @Furisto in https://github.com/containers/youki/pull/286
- sipliy split init.rs into several files. by @utam0k in https://github.com/containers/youki/pull/297
- Introduce a workspace to enable execution of commands in bulk. by @utam0k in https://github.com/containers/youki/pull/287
- Don't skip the hook timeout test, to incease coverage by @yihuaf in https://github.com/containers/youki/pull/298
- Implemented seccomp and pass the integration test by @yihuaf in https://github.com/containers/youki/pull/292
- update the README about seccomp. by @utam0k in https://github.com/containers/youki/pull/301
- fix doc comment of with_preserved_fds by @shorii in https://github.com/containers/youki/pull/302
- Forbid empty string values for container id in commands by @YJDoc2 in https://github.com/containers/youki/pull/305
- Fix Changes Job in CI by @YJDoc2 in https://github.com/containers/youki/pull/306
- prepare to use system call mocks in unit tests by @utam0k in https://github.com/containers/youki/pull/304
- handle name as a str instead of a String. by @utam0k in https://github.com/containers/youki/pull/308
- Add `new` method to instantiate Delete command by @rosds in https://github.com/containers/youki/pull/262
- Support 'shared' and 'unbindable' rootfs propagations by @tiqwab in https://github.com/containers/youki/pull/309
- Add integration test utils necessary for implementing rest integration tests by @YJDoc2 in https://github.com/containers/youki/pull/310
- Implement apparmor support by @Furisto in https://github.com/containers/youki/pull/312
- add unit tests for gid and uid mapping in `builder_impl()` by @utam0k in https://github.com/containers/youki/pull/311
- Fix error message(`LinuixIdMapping` to `uid_mappings`) by @shorii in https://github.com/containers/youki/pull/318
- style: Fix indentation by @kenoss in https://github.com/containers/youki/pull/319
- avoid cloning LinuxResources because it is a large structure. by @utam0k in https://github.com/containers/youki/pull/320
- fix vagrant errors #321 by @zidoshare in https://github.com/containers/youki/pull/322
- fix build error in vagrant by @zidoshare in https://github.com/containers/youki/pull/323
- rootful mode for vagrant by @zidoshare in https://github.com/containers/youki/pull/324
- fix flaky unit tests by @utam0k in https://github.com/containers/youki/pull/326
- Make container commands more suitable for use as a library by @Furisto in https://github.com/containers/youki/pull/314
- add a unit test for applying cgroup in builder_impl(). by @utam0k in https://github.com/containers/youki/pull/325
- Complete command help information by @Furisto in https://github.com/containers/youki/pull/334
- Improve readme and docs by @Furisto in https://github.com/containers/youki/pull/335
- Adds a note why `pidfile` integration test doesn't work by @yihuaf in https://github.com/containers/youki/pull/315
- add to README that all runtime_tools tests have been covered. by @utam0k in https://github.com/containers/youki/pull/336
- Updated oci-spec-rs to 0.5.1 or later by @guni1192 in https://github.com/containers/youki/pull/303
- Ensure cgroup error behavior is consistent with runc by @Furisto in https://github.com/containers/youki/pull/333
- fix inaccessiblity of private field. by @utam0k in https://github.com/containers/youki/pull/338
- Add various refactorings by @tranzystorekk in https://github.com/containers/youki/pull/341
- Implement seccomp notify by @yihuaf in https://github.com/containers/youki/pull/330
- Add HugeTLB tests by @YJDoc2 in https://github.com/containers/youki/pull/339
- README edits for clarity and correctness by @oldaccountdeadname in https://github.com/containers/youki/pull/348
- Implemented util function to test in child process by @yihuaf in https://github.com/containers/youki/pull/345
- Seal /proc/self/exe to protect against CVE-2019-5736 by @oblique in https://github.com/containers/youki/pull/343
- remove dead code in src/utils.rs by @hle0 in https://github.com/containers/youki/pull/352
- Support cgroup namespaces for cgroup v1 by @Furisto in https://github.com/containers/youki/pull/349
- Add pid to newuidmap/newgidmap as argument by @shorii in https://github.com/containers/youki/pull/353
- Add cgroup namespace to info command by @Furisto in https://github.com/containers/youki/pull/355
- Add rootless option for spec by @chenyukang in https://github.com/containers/youki/pull/350
- part of PR 340 - adding syscalls by @tommady in https://github.com/containers/youki/pull/356
- part of PR 340 moving syscalls into structure by @tommady in https://github.com/containers/youki/pull/357
- part of PR 340 adding two testcases test_to_sflag and test_parse_mount by @tommady in https://github.com/containers/youki/pull/358
- part of PR 340 adding test_setup_ptmx and test_setup_default_symlinks by @tommady in https://github.com/containers/youki/pull/359
- Implement secure_join for path by @Ian-Yy in https://github.com/containers/youki/pull/354
- part of PR 340 adding test_bind_dev,test_mknod_dev and test_create_devices by @tommady in https://github.com/containers/youki/pull/362
- use the console for code blocks. by @utam0k in https://github.com/containers/youki/pull/368
- Check libseccomp is available at correct version on build by @tsturzl in https://github.com/containers/youki/pull/367
- Use generic for signal argument in container_kill by @rosds in https://github.com/containers/youki/pull/363
- Combine test_framework and  add README and guide for integration tests by @YJDoc2 in https://github.com/containers/youki/pull/360
- Update Youki with latest oci-spec-rs by @yihuaf in https://github.com/containers/youki/pull/364
- remove a unnecessary clone method. by @utam0k in https://github.com/containers/youki/pull/370
- part of PR 340 adding test_mount_to_container and separate rootfs file by @tommady in https://github.com/containers/youki/pull/365
- Restructure the channel code once again by @yihuaf in https://github.com/containers/youki/pull/372
- organize the process around the namespace in init by @utam0k in https://github.com/containers/youki/pull/371
- Add integration tests validation workflow by @YJDoc2 in https://github.com/containers/youki/pull/375
- part of PR 340 adding test_make_parent_mount_private by @tommady in https://github.com/containers/youki/pull/374
- Support systemd named hierarchy and emulate cgroup namespaces for v1 control cgroups by @Furisto in https://github.com/containers/youki/pull/373
- Improve integration test readme by @Furisto in https://github.com/containers/youki/pull/377
- 279 increate the code coverage of src container by @tommady in https://github.com/containers/youki/pull/376
- Support cgroup v2 mounts by @Furisto in https://github.com/containers/youki/pull/378
- Add pidfile test by @YJDoc2 in https://github.com/containers/youki/pull/379
- remove a GitHub commit activeity. by @utam0k in https://github.com/containers/youki/pull/383
- Fix multi mapping for rootless containers by @Furisto in https://github.com/containers/youki/pull/381
- Update procfs by @Furisto in https://github.com/containers/youki/pull/387
- Fix path issues by @Furisto in https://github.com/containers/youki/pull/386
- fix running unit tests multiple times will cause a rare failed by @tommady in https://github.com/containers/youki/pull/380
- Refactor process and channel code by @yihuaf in https://github.com/containers/youki/pull/388
- remove a unnecessary calls to clone() by limiting the lifetime. by @utam0k in https://github.com/containers/youki/pull/390
- implement seccomp notify by @yihuaf in https://github.com/containers/youki/pull/384
- turning the sequnce diagram. by @utam0k in https://github.com/containers/youki/pull/394
- add a unit test for mounting cgroup v1 by @utam0k in https://github.com/containers/youki/pull/392
- Add readme for rootless by @chenyukang in https://github.com/containers/youki/pull/395
- Cgroup v1 pid integration tests by @Furisto in https://github.com/containers/youki/pull/391
- small improvement by @utam0k in https://github.com/containers/youki/pull/399
- Add ns_itype test by @YJDoc2 in https://github.com/containers/youki/pull/389
- add a unit test for fork. by @utam0k in https://github.com/containers/youki/pull/401
- add a unit test for the failed case of fork. by @utam0k in https://github.com/containers/youki/pull/402
- Make youki a library crate by @Furisto in https://github.com/containers/youki/pull/403
- [Trivial] minor fixes by @yihuaf in https://github.com/containers/youki/pull/406
- increate the code coverage of src process part1 by @tommady in https://github.com/containers/youki/pull/397
- add a config about the dependabot. by @utam0k in https://github.com/containers/youki/pull/407
- Bump instant from 0.1.10 to 0.1.12 by @dependabot in https://github.com/containers/youki/pull/408
- Bump syn from 1.0.76 to 1.0.80 by @dependabot in https://github.com/containers/youki/pull/409
- Bump smallvec from 1.6.1 to 1.7.0 by @dependabot in https://github.com/containers/youki/pull/412
- Bump cstr-argument from 0.1.1 to 0.1.2 by @dependabot in https://github.com/containers/youki/pull/414
- Bump anyhow from 1.0.43 to 1.0.44 by @dependabot in https://github.com/containers/youki/pull/417
- Bump dbus from 0.9.3 to 0.9.5 by @dependabot in https://github.com/containers/youki/pull/410
- Bump libc from 0.2.101 to 0.2.105 by @dependabot in https://github.com/containers/youki/pull/419
- Bump serde_json from 1.0.67 to 1.0.68 by @dependabot in https://github.com/containers/youki/pull/418
- Bump thiserror from 1.0.29 to 1.0.30 by @dependabot in https://github.com/containers/youki/pull/421
- Bump unicode-width from 0.1.8 to 0.1.9 by @dependabot in https://github.com/containers/youki/pull/420
- Bump cc from 1.0.70 to 1.0.71 by @dependabot in https://github.com/containers/youki/pull/422
- Bump pkg-config from 0.3.20 to 0.3.21 by @dependabot in https://github.com/containers/youki/pull/413
- Bump libbpf-sys from 0.4.0-2 to 0.5.0-1 by @dependabot in https://github.com/containers/youki/pull/411
- Bump nix from 0.22.1 to 0.23.0 by @dependabot in https://github.com/containers/youki/pull/425
- Bump proc-macro2 from 1.0.29 to 1.0.30 by @dependabot in https://github.com/containers/youki/pull/426
- Bump systemd from 0.8.2 to 0.9.0 by @dependabot in https://github.com/containers/youki/pull/429
- Bump slab from 0.4.4 to 0.4.5 by @dependabot in https://github.com/containers/youki/pull/427
- Bump mio from 0.7.13 to 0.7.14 by @dependabot in https://github.com/containers/youki/pull/424
- Bump errno-dragonfly from 0.1.1 to 0.1.2 by @dependabot in https://github.com/containers/youki/pull/433
- Bump ppv-lite86 from 0.2.14 to 0.2.15 by @dependabot in https://github.com/containers/youki/pull/432
- Bump quote from 1.0.9 to 1.0.10 by @dependabot in https://github.com/containers/youki/pull/430
- Bump pkg-config from 0.3.21 to 0.3.22 by @dependabot in https://github.com/containers/youki/pull/428
- Bump flate2 from 1.0.21 to 1.0.22 by @dependabot in https://github.com/containers/youki/pull/431
- implemented seccomp notify integration tests by @yihuaf in https://github.com/containers/youki/pull/435
- make the table of features in README more accurate. by @utam0k in https://github.com/containers/youki/pull/434
- Bump proc-macro2 from 1.0.30 to 1.0.32 by @dependabot in https://github.com/containers/youki/pull/437
- Update caps and clap by @YJDoc2 in https://github.com/containers/youki/pull/438
- Bump errno from 0.2.7 to 0.2.8 by @dependabot in https://github.com/containers/youki/pull/439
- Bump nix from 0.22.0 to 0.23.0 by @dependabot in https://github.com/containers/youki/pull/440
- add support for missing executable file. by @utam0k in https://github.com/containers/youki/pull/441
- increate the code coverage of src process part2 by @tommady in https://github.com/containers/youki/pull/436
- refactoring the syscall test by @tommady in https://github.com/containers/youki/pull/445
- Bump libc from 0.2.105 to 0.2.106 by @dependabot in https://github.com/containers/youki/pull/446
- Implement json log format by @yihuaf in https://github.com/containers/youki/pull/448
- Bump libbpf-sys from 0.5.0-1 to 0.5.0-2 by @dependabot in https://github.com/containers/youki/pull/449
- Bump anyhow from 1.0.44 to 1.0.45 by @dependabot in https://github.com/containers/youki/pull/450
- adding test_sync_seccomp for process/container_main_process by @tommady in https://github.com/containers/youki/pull/452
- Support resource control via systemd by @Furisto in https://github.com/containers/youki/pull/451
- Move to 2021 by @chenyukang in https://github.com/containers/youki/pull/405
- clearly state the feedback address in the README. by @utam0k in https://github.com/containers/youki/pull/456
- Integration test linux cgroups cpus by @tsturzl in https://github.com/containers/youki/pull/462
- Bump serde_json from 1.0.68 to 1.0.69 by @dependabot in https://github.com/containers/youki/pull/459
- Bump libc from 0.2.106 to 0.2.107 by @dependabot in https://github.com/containers/youki/pull/460
- `cgroup` should not be capitalized. by @utam0k in https://github.com/containers/youki/pull/463
- Bump cc from 1.0.71 to 1.0.72 by @dependabot in https://github.com/containers/youki/pull/466
- add a ci for the first release. by @utam0k in https://github.com/containers/youki/pull/458
- enable default error code for seccomp by @yihuaf in https://github.com/containers/youki/pull/470
- cgroups v1 memory integration test by @tsturzl in https://github.com/containers/youki/pull/473
- Fix test_make_parent_mount_private by @tsturzl in https://github.com/containers/youki/pull/472
- Bump mio from 0.7.14 to 0.8.0 by @dependabot in https://github.com/containers/youki/pull/477
- Bump serde_json from 1.0.69 to 1.0.70 by @dependabot in https://github.com/containers/youki/pull/476
- style: adjusting the position of parameters and flag declarations by @unknowndevQwQ in https://github.com/containers/youki/pull/474
- adding benchmark execution time github action by @tommady in https://github.com/containers/youki/pull/478
- Add debug flag by @unknowndevQwQ in https://github.com/containers/youki/pull/465
- Bump serde_json from 1.0.70 to 1.0.71 by @dependabot in https://github.com/containers/youki/pull/480
- youki original config by @utam0k in https://github.com/containers/youki/pull/447
- Systemd support for memory and unified restrictions by @Furisto in https://github.com/containers/youki/pull/479
- use a command instead of label to run benchmark. by @utam0k in https://github.com/containers/youki/pull/483
- Bump anyhow from 1.0.45 to 1.0.47 by @dependabot in https://github.com/containers/youki/pull/485
- Bump libc from 0.2.107 to 0.2.108 by @dependabot in https://github.com/containers/youki/pull/484
- Bump anyhow from 1.0.47 to 1.0.48 by @dependabot in https://github.com/containers/youki/pull/486
- Create a subdirectory under XDG_RUNTIME_DIR by @dgibson in https://github.com/containers/youki/pull/488
- Bump futures-io from 0.3.17 to 0.3.18 by @dependabot in https://github.com/containers/youki/pull/489
- Bump futures-core from 0.3.17 to 0.3.18 by @dependabot in https://github.com/containers/youki/pull/490
- Bump futures-channel from 0.3.17 to 0.3.18 by @dependabot in https://github.com/containers/youki/pull/493
- Bump crc32fast from 1.2.1 to 1.2.2 by @dependabot in https://github.com/containers/youki/pull/491
- Bump futures from 0.3.17 to 0.3.18 by @dependabot in https://github.com/containers/youki/pull/495
- Bump futures-task from 0.3.17 to 0.3.18 by @dependabot in https://github.com/containers/youki/pull/492
- Use /tmp/youki-<uid> rather than /tmp/youki/<uid> in determine_root_path by @dgibson in https://github.com/containers/youki/pull/497
- Bump syn from 1.0.81 to 1.0.82 by @dependabot in https://github.com/containers/youki/pull/501
- Bump serde_json from 1.0.71 to 1.0.72 by @dependabot in https://github.com/containers/youki/pull/500
- make complex loglevel decision easy to understand. by @utam0k in https://github.com/containers/youki/pull/482
- Support resource restrictions for rootless containers by @Furisto in https://github.com/containers/youki/pull/499
- Bump procfs from 0.11.0 to 0.11.1 by @dependabot in https://github.com/containers/youki/pull/505
- Bump ryu from 1.0.5 to 1.0.6 by @dependabot in https://github.com/containers/youki/pull/503
- Bump anyhow from 1.0.48 to 1.0.50 by @dependabot in https://github.com/containers/youki/pull/502
- Bump getset from 0.1.1 to 0.1.2 by @dependabot in https://github.com/containers/youki/pull/504
- Bump anyhow from 1.0.50 to 1.0.51 by @dependabot in https://github.com/containers/youki/pull/507
- Bump crc32fast from 1.2.2 to 1.3.0 by @dependabot in https://github.com/containers/youki/pull/510
- Fix log files and remove env_logger by @yihuaf in https://github.com/containers/youki/pull/511
- Split CLI parsing front end into a separate crate by @dgibson in https://github.com/containers/youki/pull/509
- Improvements to cgroup support by @Furisto in https://github.com/containers/youki/pull/513
- ignore integration test crate for code coverage by @tsturzl in https://github.com/containers/youki/pull/517
- Add shell completion by @theoparis in https://github.com/containers/youki/pull/515
- Bump memoffset from 0.6.4 to 0.6.5 by @dependabot in https://github.com/containers/youki/pull/522
- Bump libbpf-sys from 0.5.0-2 to 0.6.0-1 by @dependabot in https://github.com/containers/youki/pull/521
- Bump libc from 0.2.108 to 0.2.109 by @dependabot in https://github.com/containers/youki/pull/520
- Bump proc-macro2 from 1.0.32 to 1.0.33 by @dependabot in https://github.com/containers/youki/pull/519
- Bump pkg-config from 0.3.22 to 0.3.23 by @dependabot in https://github.com/containers/youki/pull/523
- Integration test: cgroup v1 network tests, fix to memory tests by @tsturzl in https://github.com/containers/youki/pull/516
- bump rust from 1.56.1 to 1.57.0 by @utam0k in https://github.com/containers/youki/pull/524
- Bump hermit-abi from 0.1.19 to 0.1.20 by @dependabot in https://github.com/containers/youki/pull/526
- remove unneede `impl Default` by @utam0k in https://github.com/containers/youki/pull/527
- Bump ryu from 1.0.6 to 1.0.9 by @dependabot in https://github.com/containers/youki/pull/535
- Bump libc from 0.2.109 to 0.2.111 by @dependabot in https://github.com/containers/youki/pull/533
- Bump pkg-config from 0.3.23 to 0.3.24 by @dependabot in https://github.com/containers/youki/pull/532
- Bump serde_json from 1.0.72 to 1.0.73 by @dependabot in https://github.com/containers/youki/pull/539
- Update version for runc compatibility for Moby by @jhult in https://github.com/containers/youki/pull/530
- Implement integration tests for cgroup v2 cpu by @Furisto in https://github.com/containers/youki/pull/528
- Bump libc from 0.2.111 to 0.2.112 by @dependabot in https://github.com/containers/youki/pull/538
- Bump procfs from 0.11.1 to 0.12.0 by @dependabot in https://github.com/containers/youki/pull/534
- Bump proc-macro2 from 1.0.33 to 1.0.34 by @dependabot in https://github.com/containers/youki/pull/542
- Bump tar from 0.4.37 to 0.4.38 by @dependabot in https://github.com/containers/youki/pull/541
- Bump once_cell from 1.8.0 to 1.9.0 by @dependabot in https://github.com/containers/youki/pull/540
- implement the update subcommand(partially) by @knight42 in https://github.com/containers/youki/pull/536
- add the benchmark result to README. by @utam0k in https://github.com/containers/youki/pull/544
- Bump serde from 1.0.131 to 1.0.132 by @dependabot in https://github.com/containers/youki/pull/545
- fix(libcgroup): make cgroup manager be able to set blkio weight by @knight42 in https://github.com/containers/youki/pull/543
- Add Cgroup V1 block IO integration test by @YJDoc2 in https://github.com/containers/youki/pull/537
- feat: add --resource option to update subcommand by @knight42 in https://github.com/containers/youki/pull/546
- Bump futures from 0.3.18 to 0.3.19 by @dependabot in https://github.com/containers/youki/pull/556
- Bump futures-io from 0.3.18 to 0.3.19 by @dependabot in https://github.com/containers/youki/pull/558
- Bump nix from 0.23.0 to 0.23.1 by @dependabot in https://github.com/containers/youki/pull/551
- Bump fastrand from 1.5.0 to 1.6.0 by @dependabot in https://github.com/containers/youki/pull/555
- Bump num_cpus from 1.13.0 to 1.13.1 by @dependabot in https://github.com/containers/youki/pull/559
- update README.md about the table of features. by @utam0k in https://github.com/containers/youki/pull/547
- Bump syn from 1.0.82 to 1.0.83 by @dependabot in https://github.com/containers/youki/pull/561
- Bump anyhow from 1.0.51 to 1.0.52 by @dependabot in https://github.com/containers/youki/pull/563
- Log value that is written to cgroup file by @Furisto in https://github.com/containers/youki/pull/562
- Add Mdbook documentation by @YJDoc2 in https://github.com/containers/youki/pull/560
- Update mdbook docs and Add doc link in the Readme by @YJDoc2 in https://github.com/containers/youki/pull/565
- The release tag generally begins with v by @utam0k in https://github.com/containers/youki/pull/564
